"""
Setup.py
"""
import setuptools

with open("requirements.txt", "r", encoding="utf8") as fp:
    install_requires = fp.read()

setuptools.setup(
    name="deepcrawl_graphql",
    version="0.0.2",
    author="Andrei Mutu",
    author_email="support@deepcrawl.com",
    description="A package to simplify usage of the DeepCrawl GraphQL",
    long_description="""
        DeepCrawl is a cloud based website crawler to diagnose & fix technical SEO and performance issues.
        This Python package simplifies the use of the DeepCrawl’s GraphQL.
    """,
    long_description_content_type="text/x-rst",
    url="https://github.com/DeepCrawlSEO/dc_graphql_wrapper",
    packages=setuptools.find_packages(exclude=("tests", "docs")),
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
    install_requires=install_requires,
    data_files=["requirements.txt"],
)
