import sgqlc.types
import sgqlc.types.datetime
import sgqlc.types.relay


deepcrawl_schema = sgqlc.types.Schema()


# Unexport Node/PageInfo, let schema re-declare them
deepcrawl_schema -= sgqlc.types.relay.Node
deepcrawl_schema -= sgqlc.types.relay.PageInfo



########################################################################
# Scalars and Enumerations
########################################################################
class AccountOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('active', 'createdAt', 'id', 'name', 'packagePlan', 'updatedAt')


class AccountPackageType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Archived', 'PartnerSubscription', 'Subscription', 'Trial')


class AccountSettingDataType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Boolean', 'Number')


class AccountSettingSource(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Manual', 'Package')


class AccountSettingType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('IntegrationAddons', 'SubscriptionSettings')


class AdobeAnalyticsProjectReportSuiteOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'maxRows', 'minimumVisits', 'numberOfDays', 'perPage', 'reportSuiteId', 'suiteName', 'updatedAt')


class AdobeConnectionOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('company', 'createdAt', 'updatedAt', 'username')


class AdvancedCrawlRateDay(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Friday', 'Monday', 'Saturday', 'Sunday', 'Thursday', 'Tuesday', 'Wednesday')


class AdvancedCrawlRateType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Daily', 'Weekly')


class AggregatesBackend(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Elasticsearch', 'Odin')


class AlertSettingCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Always', 'Never')


class BigInt(sgqlc.types.Scalar):
    __schema__ = deepcrawl_schema


Boolean = sgqlc.types.Boolean

class BuildOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('ciBuildId', 'createdAt', 'failedTestCount', 'finishedAt', 'id', 'passed', 'passedTestCount', 'status', 'updatedAt', 'warnedTestCount')


class BuildScheduleOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'id', 'lastRunStartedAt', 'name', 'nextRunAt', 'startAt', 'updatedAt')


class BuildScheduleRepetitionRate(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Daily', 'EveryFourHours', 'EveryTwelveHours', 'EveryWeekday', 'Hourly', 'Monthly', 'Weekly')


class BuildScheduleTestSuiteOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'id')


class BuildStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Aborted', 'Cancelled', 'Finished', 'Queued', 'Running')


class BuildTriggerType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('CI', 'Manual', 'Schedule')


class CompareToCrawl(sgqlc.types.Scalar):
    __schema__ = deepcrawl_schema


class CompareToCrawlType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('LastCrawl', 'None')


class ConnectionPredicate(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('arrayContainsLike', 'arrayNotContainsLike', 'beginsWith', 'contains', 'endsWith', 'eq', 'ge', 'gt', 'in', 'isEmpty', 'isNull', 'le', 'lt', 'matchesRegex', 'ne', 'notContains', 'notIn', 'notMatchesRegex')


class CrawlDuplicateUrlOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('canonicalUrl', 'contentSize', 'deeprank', 'description', 'descriptionLength', 'descriptionLengthPx', 'duplicateCount', 'duplicateNonIndexable', 'duplicateType', 'exampleDuplicate1', 'exampleDuplicate2', 'foundAtSitemap', 'foundAtUrl', 'htmlSize', 'httpStatusCode', 'indexable', 'level', 'ogTitle', 'pageTitle', 'pageTitleLength', 'pageTitleLengthPx', 'primaryUrl', 'wordCount')


class CrawlHreflangsOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('urlCount',)


class CrawlLinkOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('attrRel', 'attrType', 'handheld', 'hreflang', 'internal', 'isHreflang', 'isRedirect', 'isRestricted', 'linkType', 'mobile', 'relUrlFrom', 'tag', 'urlFrom', 'urlFromAlias', 'urlFromDeeprank', 'urlFromHttps', 'urlFromStatusCode', 'urlFromTitle', 'urlTo', 'urlToAlias', 'urlToDeeprank', 'urlToHttps', 'urlToStatusCode', 'urlToTitle')


class CrawlLinkedDomainOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('linkCount',)


class CrawlOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('archivedAt', 'archivingAt', 'brokenAt', 'bucketSlot', 'canceledAt', 'cancelingAt', 'crawlLevels', 'crawlability', 'crawlabilityTrend', 'crawledAt', 'crawledPhase1At', 'crawledPhase2At', 'crawlingAt', 'crawlingPhase1At', 'crawlingPhase2At', 'createdAt', 'discoveredUrlsAt', 'discoveringUrlsAt', 'errorMessage', 'erroredAt', 'finishedAt', 'fsmExtTransitionedAt', 'fsmState', 'fsmTransitionedAt', 'id', 'incomplete', 'isContainer', 'isScheduled', 'languageSettings', 'languageSettingsAdded', 'languageSettingsRemoved', 'limitLevelsMax', 'limitPagesMax', 'maxProcessLinks', 'migratedAt', 'migratingAt', 'pageGroupings', 'partition', 'pausedReminderSent', 'populatedAt', 'populatingAt', 'postPopulatedAt', 'postPopulatingAt', 'postTransformedAt', 'postTransformingAt', 'processInstanceType', 'processedAt', 'processingAt', 'progressCrawled', 'progressDiscovered', 'progressEnqueued', 'progressStepped', 'progressUpdatedAt', 'queuedAt', 'queueingAt', 'readyAt', 'refineryEnabled', 'refineryProcessedAt', 'refineryProcessingAt', 'refineryProcessingEnabled', 'robotsOverwrite', 'scheduleRunningEmailSentAt', 'scheduled', 'siteExplorer', 'startedByApi', 'status', 'statusEnum', 'totalStepLinks', 'totalSteps', 'transformedAt', 'transformingAt', 'updatedAt', 'useEsReportStats', 'useRewriteRules', 'useRobotsOverwrite', 'version')


class CrawlSegmentOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'failedAt', 'failureReason', 'generatedAt', 'generatingAt', 'segmentVersion', 'updatedAt')


class CrawlSitemapOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('httpStatusCode', 'logRequestsTotal', 'restrictedReason', 'sitemapType', 'url', 'urlCount')


class CrawlStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Archived', 'Archiving', 'Crawling', 'Discovering', 'Draft', 'Errored', 'Finalizing', 'Finished', 'Paused', 'Queued', 'Queuing')


class CrawlType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Backlinks', 'GoogleAnalytics', 'GoogleSearchConsole', 'List', 'LogSummary', 'Sitemap', 'Web')


class CrawlUncrawledUrlOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('fileExtension', 'foundAtSitemap', 'foundAtUrl', 'foundInBacklinks', 'foundInGoogleAnalytics', 'foundInGoogleSearchConsole', 'foundInList', 'foundInLogSummary', 'foundInSitemap', 'level', 'restrictedReason', 'tag', 'url', 'urlAlias')


class CrawlUniqueLinkOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('anchorText', 'attrRel', 'hasImageAltText', 'hasImageLink', 'hreflang', 'instanceCount', 'internal', 'isHreflang', 'isImageAltTextEmpty', 'isRedirect', 'isRestricted', 'linkType', 'nofollow', 'primaryUrlFrom', 'primaryUrlFromAlias', 'primaryUrlFromDeeprank', 'primaryUrlFromHttps', 'primaryUrlFromStatusCode', 'primaryUrlFromTitle', 'tag', 'urlTo', 'urlToAlias', 'urlToDeeprank', 'urlToHttps', 'urlToStatusCode', 'urlToTitle')


class CrawlUrlAggregateDimension(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('amphtml', 'amphtmlReciprocate', 'canonicalUrlIsConsistent', 'canonicalizedPage', 'css', 'customExtractionMatch', 'disallowedPage', 'duplicateBody', 'duplicateBodyNonIndexable', 'duplicateDescription', 'duplicateDescriptionNonIndexable', 'duplicatePage', 'duplicatePageNonIndexable', 'duplicateTitle', 'duplicateTitleNonIndexable', 'failedReason', 'fileExtension', 'headerContentType', 'httpStatusCode', 'https', 'indexable', 'isImage', 'isSelfCanonical', 'js', 'level', 'metaContentType', 'nofollowedPage', 'noindex', 'ogLocale', 'ogType', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'viewport')


class CrawlUrlAggregateOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('amphtml', 'amphtmlReciprocate', 'avgBacklinkCount', 'avgBacklinkDomainCount', 'avgBodyTagsInHeadCount', 'avgBreadcrumbSchemaCount', 'avgCanonicalLinksInCount', 'avgContentHtmlRatio', 'avgContentSize', 'avgDeeprank', 'avgDescriptionLength', 'avgDescriptionLengthPx', 'avgDuplicateBodyCount', 'avgDuplicateDescriptionCount', 'avgDuplicatePageCount', 'avgDuplicateTitleCount', 'avgEventSchemaCount', 'avgExternalLinksCount', 'avgFaqpageSchemaCount', 'avgFetchTime', 'avgFolderCount', 'avgFollowedExternalLinksOutCount', 'avgFollowedLinksInCount', 'avgGaAvgPageLoadTime', 'avgGaAvgTimeOnPage', 'avgGaPageviewsPerVisits', 'avgGaVisitBounceRate', 'avgGaVisits', 'avgH1Count', 'avgH1Length', 'avgHeadTagsInBodyCount', 'avgHowtoSchemaCount', 'avgHreflangLinksInCount', 'avgHtmlSize', 'avgInternalLinksCount', 'avgLinksInCount', 'avgLinksOutCount', 'avgLogRequestsDesktop', 'avgLogRequestsMobile', 'avgLogRequestsTotal', 'avgMobileDesktopContentDifference', 'avgMobileDesktopLinksInDifference', 'avgMobileDesktopLinksOutDifference', 'avgNewsarticleSchemaCount', 'avgPageTitleLength', 'avgPageTitleLengthPx', 'avgParamCount', 'avgPerformanceCls', 'avgPerformanceDcl', 'avgPerformanceFcp', 'avgPerformanceLcp', 'avgPerformanceTtfb', 'avgPerformanceTti', 'avgProductPriceSchemaValue', 'avgProductRatingSchemaValue', 'avgProductSchemaCount', 'avgQapageSchemaCount', 'avgRecipeSchemaCount', 'avgRedirectCount', 'avgRedirectsInCount', 'avgRelLinksInCount', 'avgRenderedLinkCountDifference', 'avgRenderedWordCountDifference', 'avgReviewSchemaCount', 'avgSearchConsoleDesktopClicks', 'avgSearchConsoleDesktopCtr', 'avgSearchConsoleDesktopImpressions', 'avgSearchConsoleDesktopPosition', 'avgSearchConsoleMobileClicks', 'avgSearchConsoleMobileCtr', 'avgSearchConsoleMobileImpressions', 'avgSearchConsoleMobilePosition', 'avgSearchConsoleTabletClicks', 'avgSearchConsoleTabletCtr', 'avgSearchConsoleTabletImpressions', 'avgSearchConsoleTabletPosition', 'avgSearchConsoleTotalClicks', 'avgSearchConsoleTotalCtr', 'avgSearchConsoleTotalImpressions', 'avgSearchConsoleTotalPosition', 'avgSitemapsInCount', 'avgVideoobjectSchemaCount', 'avgWordCount', 'canonicalUrlIsConsistent', 'canonicalizedPage', 'countBacklinkCount', 'countBacklinkDomainCount', 'countBodyTagsInHeadCount', 'countBreadcrumbSchemaCount', 'countCanonicalLinksInCount', 'countContentHtmlRatio', 'countContentSize', 'countDeeprank', 'countDescriptionLength', 'countDescriptionLengthPx', 'countDuplicateBodyCount', 'countDuplicateDescriptionCount', 'countDuplicatePageCount', 'countDuplicateTitleCount', 'countEventSchemaCount', 'countExternalLinksCount', 'countFaqpageSchemaCount', 'countFetchTime', 'countFolderCount', 'countFollowedExternalLinksOutCount', 'countFollowedLinksInCount', 'countFoundAtSitemap', 'countGaAvgPageLoadTime', 'countGaAvgTimeOnPage', 'countGaPageviewsPerVisits', 'countGaVisitBounceRate', 'countGaVisits', 'countH1Count', 'countH1Length', 'countHeadTagsInBodyCount', 'countHowtoSchemaCount', 'countHreflangLinksInCount', 'countHtmlSize', 'countInternalLinksCount', 'countLinksInCount', 'countLinksOutCount', 'countLogRequestsDesktop', 'countLogRequestsMobile', 'countLogRequestsTotal', 'countMobileDesktopContentDifference', 'countMobileDesktopLinksInDifference', 'countMobileDesktopLinksOutDifference', 'countNewsarticleSchemaCount', 'countPageTitleLength', 'countPageTitleLengthPx', 'countParamCount', 'countPerformanceCls', 'countPerformanceDcl', 'countPerformanceFcp', 'countPerformanceLcp', 'countPerformanceTtfb', 'countPerformanceTti', 'countProductPriceSchemaValue', 'countProductRatingSchemaValue', 'countProductSchemaCount', 'countQapageSchemaCount', 'countRecipeSchemaCount', 'countRedirectCount', 'countRedirectsInCount', 'countRelLinksInCount', 'countRenderedLinkCountDifference', 'countRenderedWordCountDifference', 'countReviewSchemaCount', 'countSearchConsoleDesktopClicks', 'countSearchConsoleDesktopCtr', 'countSearchConsoleDesktopImpressions', 'countSearchConsoleDesktopPosition', 'countSearchConsoleMobileClicks', 'countSearchConsoleMobileCtr', 'countSearchConsoleMobileImpressions', 'countSearchConsoleMobilePosition', 'countSearchConsoleTabletClicks', 'countSearchConsoleTabletCtr', 'countSearchConsoleTabletImpressions', 'countSearchConsoleTabletPosition', 'countSearchConsoleTotalClicks', 'countSearchConsoleTotalCtr', 'countSearchConsoleTotalImpressions', 'countSearchConsoleTotalPosition', 'countSitemapsInCount', 'countUrl', 'countVideoobjectSchemaCount', 'countWordCount', 'css', 'customExtractionMatch', 'disallowedPage', 'duplicateBody', 'duplicateBodyNonIndexable', 'duplicateDescription', 'duplicateDescriptionNonIndexable', 'duplicatePage', 'duplicatePageNonIndexable', 'duplicateTitle', 'duplicateTitleNonIndexable', 'failedReason', 'fileExtension', 'headerContentType', 'httpStatusCode', 'https', 'indexable', 'isImage', 'isSelfCanonical', 'js', 'level', 'maxBacklinkCount', 'maxBacklinkDomainCount', 'maxBodyTagsInHeadCount', 'maxBreadcrumbSchemaCount', 'maxCanonicalLinksInCount', 'maxContentHtmlRatio', 'maxContentSize', 'maxDeeprank', 'maxDescriptionLength', 'maxDescriptionLengthPx', 'maxDuplicateBodyCount', 'maxDuplicateDescriptionCount', 'maxDuplicatePageCount', 'maxDuplicateTitleCount', 'maxEventSchemaCount', 'maxExternalLinksCount', 'maxFaqpageSchemaCount', 'maxFetchTime', 'maxFolderCount', 'maxFollowedExternalLinksOutCount', 'maxFollowedLinksInCount', 'maxGaAvgPageLoadTime', 'maxGaAvgTimeOnPage', 'maxGaPageviewsPerVisits', 'maxGaVisitBounceRate', 'maxGaVisits', 'maxH1Count', 'maxH1Length', 'maxHeadTagsInBodyCount', 'maxHowtoSchemaCount', 'maxHreflangLinksInCount', 'maxHtmlSize', 'maxInternalLinksCount', 'maxLinksInCount', 'maxLinksOutCount', 'maxLogRequestsDesktop', 'maxLogRequestsMobile', 'maxLogRequestsTotal', 'maxMobileDesktopContentDifference', 'maxMobileDesktopLinksInDifference', 'maxMobileDesktopLinksOutDifference', 'maxNewsarticleSchemaCount', 'maxPageTitleLength', 'maxPageTitleLengthPx', 'maxParamCount', 'maxPerformanceCls', 'maxPerformanceDcl', 'maxPerformanceFcp', 'maxPerformanceLcp', 'maxPerformanceTtfb', 'maxPerformanceTti', 'maxProductPriceSchemaValue', 'maxProductRatingSchemaValue', 'maxProductSchemaCount', 'maxQapageSchemaCount', 'maxRecipeSchemaCount', 'maxRedirectCount', 'maxRedirectsInCount', 'maxRelLinksInCount', 'maxRenderedLinkCountDifference', 'maxRenderedWordCountDifference', 'maxReviewSchemaCount', 'maxSearchConsoleDesktopClicks', 'maxSearchConsoleDesktopCtr', 'maxSearchConsoleDesktopImpressions', 'maxSearchConsoleDesktopPosition', 'maxSearchConsoleMobileClicks', 'maxSearchConsoleMobileCtr', 'maxSearchConsoleMobileImpressions', 'maxSearchConsoleMobilePosition', 'maxSearchConsoleTabletClicks', 'maxSearchConsoleTabletCtr', 'maxSearchConsoleTabletImpressions', 'maxSearchConsoleTabletPosition', 'maxSearchConsoleTotalClicks', 'maxSearchConsoleTotalCtr', 'maxSearchConsoleTotalImpressions', 'maxSearchConsoleTotalPosition', 'maxSitemapsInCount', 'maxVideoobjectSchemaCount', 'maxWordCount', 'metaContentType', 'minBacklinkCount', 'minBacklinkDomainCount', 'minBodyTagsInHeadCount', 'minBreadcrumbSchemaCount', 'minCanonicalLinksInCount', 'minContentHtmlRatio', 'minContentSize', 'minDeeprank', 'minDescriptionLength', 'minDescriptionLengthPx', 'minDuplicateBodyCount', 'minDuplicateDescriptionCount', 'minDuplicatePageCount', 'minDuplicateTitleCount', 'minEventSchemaCount', 'minExternalLinksCount', 'minFaqpageSchemaCount', 'minFetchTime', 'minFolderCount', 'minFollowedExternalLinksOutCount', 'minFollowedLinksInCount', 'minGaAvgPageLoadTime', 'minGaAvgTimeOnPage', 'minGaPageviewsPerVisits', 'minGaVisitBounceRate', 'minGaVisits', 'minH1Count', 'minH1Length', 'minHeadTagsInBodyCount', 'minHowtoSchemaCount', 'minHreflangLinksInCount', 'minHtmlSize', 'minInternalLinksCount', 'minLinksInCount', 'minLinksOutCount', 'minLogRequestsDesktop', 'minLogRequestsMobile', 'minLogRequestsTotal', 'minMobileDesktopContentDifference', 'minMobileDesktopLinksInDifference', 'minMobileDesktopLinksOutDifference', 'minNewsarticleSchemaCount', 'minPageTitleLength', 'minPageTitleLengthPx', 'minParamCount', 'minPerformanceCls', 'minPerformanceDcl', 'minPerformanceFcp', 'minPerformanceLcp', 'minPerformanceTtfb', 'minPerformanceTti', 'minProductPriceSchemaValue', 'minProductRatingSchemaValue', 'minProductSchemaCount', 'minQapageSchemaCount', 'minRecipeSchemaCount', 'minRedirectCount', 'minRedirectsInCount', 'minRelLinksInCount', 'minRenderedLinkCountDifference', 'minRenderedWordCountDifference', 'minReviewSchemaCount', 'minSearchConsoleDesktopClicks', 'minSearchConsoleDesktopCtr', 'minSearchConsoleDesktopImpressions', 'minSearchConsoleDesktopPosition', 'minSearchConsoleMobileClicks', 'minSearchConsoleMobileCtr', 'minSearchConsoleMobileImpressions', 'minSearchConsoleMobilePosition', 'minSearchConsoleTabletClicks', 'minSearchConsoleTabletCtr', 'minSearchConsoleTabletImpressions', 'minSearchConsoleTabletPosition', 'minSearchConsoleTotalClicks', 'minSearchConsoleTotalCtr', 'minSearchConsoleTotalImpressions', 'minSearchConsoleTotalPosition', 'minSitemapsInCount', 'minVideoobjectSchemaCount', 'minWordCount', 'nofollowedPage', 'noindex', 'ogLocale', 'ogType', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'sumBacklinkCount', 'sumBacklinkDomainCount', 'sumBodyTagsInHeadCount', 'sumBreadcrumbSchemaCount', 'sumCanonicalLinksInCount', 'sumContentHtmlRatio', 'sumContentSize', 'sumDeeprank', 'sumDescriptionLength', 'sumDescriptionLengthPx', 'sumDuplicateBodyCount', 'sumDuplicateDescriptionCount', 'sumDuplicatePageCount', 'sumDuplicateTitleCount', 'sumEventSchemaCount', 'sumExternalLinksCount', 'sumFaqpageSchemaCount', 'sumFetchTime', 'sumFolderCount', 'sumFollowedExternalLinksOutCount', 'sumFollowedLinksInCount', 'sumGaAvgPageLoadTime', 'sumGaAvgTimeOnPage', 'sumGaPageviewsPerVisits', 'sumGaVisitBounceRate', 'sumGaVisits', 'sumH1Count', 'sumH1Length', 'sumHeadTagsInBodyCount', 'sumHowtoSchemaCount', 'sumHreflangLinksInCount', 'sumHtmlSize', 'sumInternalLinksCount', 'sumLinksInCount', 'sumLinksOutCount', 'sumLogRequestsDesktop', 'sumLogRequestsMobile', 'sumLogRequestsTotal', 'sumMobileDesktopContentDifference', 'sumMobileDesktopLinksInDifference', 'sumMobileDesktopLinksOutDifference', 'sumNewsarticleSchemaCount', 'sumPageTitleLength', 'sumPageTitleLengthPx', 'sumParamCount', 'sumPerformanceCls', 'sumPerformanceDcl', 'sumPerformanceFcp', 'sumPerformanceLcp', 'sumPerformanceTtfb', 'sumPerformanceTti', 'sumProductPriceSchemaValue', 'sumProductRatingSchemaValue', 'sumProductSchemaCount', 'sumQapageSchemaCount', 'sumRecipeSchemaCount', 'sumRedirectCount', 'sumRedirectsInCount', 'sumRelLinksInCount', 'sumRenderedLinkCountDifference', 'sumRenderedWordCountDifference', 'sumReviewSchemaCount', 'sumSearchConsoleDesktopClicks', 'sumSearchConsoleDesktopCtr', 'sumSearchConsoleDesktopImpressions', 'sumSearchConsoleDesktopPosition', 'sumSearchConsoleMobileClicks', 'sumSearchConsoleMobileCtr', 'sumSearchConsoleMobileImpressions', 'sumSearchConsoleMobilePosition', 'sumSearchConsoleTabletClicks', 'sumSearchConsoleTabletCtr', 'sumSearchConsoleTabletImpressions', 'sumSearchConsoleTabletPosition', 'sumSearchConsoleTotalClicks', 'sumSearchConsoleTotalCtr', 'sumSearchConsoleTotalImpressions', 'sumSearchConsoleTotalPosition', 'sumSitemapsInCount', 'sumVideoobjectSchemaCount', 'sumWordCount', 'viewport')


class CrawlUrlOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('amphtml', 'amphtmlReciprocate', 'amphtmlValid', 'backlinkCount', 'backlinkDomainCount', 'bodyTagsInHeadCount', 'breadcrumbSchemaCount', 'canonicalHeaderUrl', 'canonicalHtmlUrl', 'canonicalLinksInCount', 'canonicalUrl', 'canonicalUrlIsConsistent', 'canonicalizedPage', 'contentHtmlRatio', 'contentSize', 'crawlDatetime', 'css', 'customExtraction1', 'customExtraction10', 'customExtraction11', 'customExtraction12', 'customExtraction13', 'customExtraction14', 'customExtraction15', 'customExtraction16', 'customExtraction17', 'customExtraction18', 'customExtraction19', 'customExtraction2', 'customExtraction20', 'customExtraction21', 'customExtraction22', 'customExtraction23', 'customExtraction24', 'customExtraction25', 'customExtraction26', 'customExtraction27', 'customExtraction28', 'customExtraction29', 'customExtraction3', 'customExtraction30', 'customExtraction4', 'customExtraction5', 'customExtraction6', 'customExtraction7', 'customExtraction8', 'customExtraction9', 'customExtractionMatch', 'deeprank', 'description', 'descriptionLength', 'descriptionLengthPx', 'desktopUrl', 'disallowedPage', 'duplicateBody', 'duplicateBodyCount', 'duplicateBodyNonIndexable', 'duplicateBodyPrimaryUrl', 'duplicateDescription', 'duplicateDescriptionCount', 'duplicateDescriptionNonIndexable', 'duplicateDescriptionPrimaryUrl', 'duplicatePage', 'duplicatePageCount', 'duplicatePageNonIndexable', 'duplicateTitle', 'duplicateTitleCount', 'duplicateTitleNonIndexable', 'duplicateTitlePrimaryUrl', 'encodingHeader', 'eventSchemaCount', 'externalLinksCount', 'failedReason', 'faqpageSchemaCount', 'fbAdmins', 'fbAppId', 'fetchTime', 'fileExtension', 'folderCount', 'followedExternalLinksOutCount', 'followedLinksInCount', 'foundAtSitemap', 'foundAtUrl', 'foundInBacklinks', 'foundInGoogleAnalytics', 'foundInGoogleSearchConsole', 'foundInList', 'foundInLogSummary', 'foundInSitemap', 'foundInWebCrawl', 'gaAvgPageLoadTime', 'gaAvgTimeOnPage', 'gaPageviewsPerVisits', 'gaVisitBounceRate', 'gaVisits', 'h1Count', 'h1Length', 'hasStructuredData', 'headTagsInBodyCount', 'headerContentType', 'headerNoarchive', 'headerNofollow', 'headerNoindex', 'headerNoodp', 'headerNosnippet', 'headerNoydir', 'howtoSchemaCount', 'hreflangLinksInCount', 'hreflangLinksOutCount', 'hreflangOnHeader', 'hreflangOnPage', 'hreflangOnSitemap', 'hreflangUrlCount', 'hsts', 'htmlSize', 'httpStatusCode', 'https', 'indexable', 'internal', 'internalLinksCount', 'isImage', 'isRedirect', 'isRedirectLoop', 'isSelfCanonical', 'js', 'level', 'linksInCount', 'linksOutCount', 'logRequestsDesktop', 'logRequestsMobile', 'logRequestsTotal', 'metaCharset', 'metaContentType', 'metaDisabledSitelinks', 'metaNoarchive', 'metaNofollow', 'metaNoindex', 'metaNoodp', 'metaNosnippet', 'metaNoydir', 'metaRedirect', 'mobileDesktopContentDifference', 'mobileDesktopContentMismatch', 'mobileDesktopLinksInDifference', 'mobileDesktopLinksOutDifference', 'mobileReciprocate', 'mobileRelAlternate', 'mobileRelAlternateHeaderUrl', 'mobileRelAlternateHtmlUrl', 'mobileRelAlternateUrl', 'mobileRelAlternateUrlIsConsistent', 'mobileRelAmphtml', 'mobileRelAmphtmlUrl', 'newsarticleAuthorSchemaValue', 'newsarticleSchemaCount', 'newsarticleSchemaValid', 'noarchive', 'nofollowedPage', 'noindex', 'noodp', 'nosnippet', 'noydir', 'ogDescription', 'ogImage', 'ogLocale', 'ogSiteName', 'ogTitle', 'ogType', 'ogUrl', 'page1', 'pageTitle', 'pageTitleLength', 'pageTitleLengthPx', 'paginatedPage', 'paramCount', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'pathCount', 'performanceCls', 'performanceDcl', 'performanceFcp', 'performanceLcp', 'performanceTtfb', 'performanceTti', 'previousPath', 'primaryPage', 'primaryUrl', 'primaryUrlNonIndexable', 'productAvailabilitySchemaValue', 'productBrandSchemaValue', 'productPriceSchemaValue', 'productRatingSchemaValue', 'productSchemaCount', 'productSchemaValid', 'productSkuSchemaValue', 'qapageSchemaCount', 'recipeSchemaCount', 'redirectCount', 'redirectedToStatusCode', 'redirectedToUrl', 'redirectsInCount', 'relLinksInCount', 'relNextHeaderUrl', 'relNextHtmlUrl', 'relNextUrl', 'relNextUrlIsConsistent', 'relPrevHeaderUrl', 'relPrevHtmlUrl', 'relPrevUrl', 'relPrevUrlIsConsistent', 'renderedCanonicalLinkMatch', 'renderedLinkCountDifference', 'renderedWordCountDifference', 'responsive', 'reviewSchemaCount', 'robotsNoindex', 'searchConsoleDesktopClicks', 'searchConsoleDesktopCtr', 'searchConsoleDesktopImpressions', 'searchConsoleDesktopPosition', 'searchConsoleMobileClicks', 'searchConsoleMobileCtr', 'searchConsoleMobileImpressions', 'searchConsoleMobilePosition', 'searchConsoleTabletClicks', 'searchConsoleTabletCtr', 'searchConsoleTabletImpressions', 'searchConsoleTabletPosition', 'searchConsoleTotalClicks', 'searchConsoleTotalCtr', 'searchConsoleTotalImpressions', 'searchConsoleTotalPosition', 'secureFormInputField', 'separateDesktop', 'separateMobile', 'sitemapsInCount', 'twitterCard', 'twitterDescription', 'twitterDescriptionLength', 'twitterImage', 'twitterSite', 'twitterTitle', 'url', 'urlAlias', 'urlLength', 'validTwitterCard', 'varyUserAgent', 'videoobjectSchemaCount', 'viewport', 'wordCount')


class CrawlWebCrawlDepthOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('duplicatePages', 'failedUrls', 'level', 'non200StatusCodePages', 'nonIndexablePages', 'paginatedPages', 'uniquePages')


class CrawlerType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Legacy', 'SerpentMapped', 'SerpentModular')


class CustomChartOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'metric', 'type', 'updatedAt')


class CustomChartType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('MonitorCrawlCompare',)


class CustomDashboardOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'name', 'type', 'updatedAt')


class CustomDashboardType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Monitor',)


class CustomMetricContainerOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('id',)


class CustomMetricContainerVersionOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('failedAt', 'id', 'processedAt', 'processingAt')


class CustomMetricContainerVersionStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Draft', 'Errored', 'Processed', 'Processing')


class CustomTableOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'type', 'updatedAt')


class CustomTableType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('MonitorProjects',)


class DatasourceCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('CrawlDuplicateUrls', 'CrawlHreflangs', 'CrawlLinkedDomains', 'CrawlLinks', 'CrawlSitemapDiscoveries', 'CrawlSitemaps', 'CrawlUncrawledUrls', 'CrawlUniqueLinks', 'CrawlUrls', 'CrawlWebCrawlDepths')


DateTime = sgqlc.types.datetime.DateTime

class EmailAlertType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Fail', 'Pass', 'Warning')


Float = sgqlc.types.Float

class GoogleConnectionType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('ServiceAccount', 'Web')


class GoogleSearchConsolePropertyOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'siteUrl', 'updatedAt')


class GoogleSearchConsoleSearchType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Image', 'Video', 'Web')


Int = sgqlc.types.Int

class JSONObject(sgqlc.types.Scalar):
    __schema__ = deepcrawl_schema


class LegacyTaskOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'description', 'identified', 'priority', 'remaining', 'title', 'updatedAt')


class LegacyTaskPriority(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Critical', 'High', 'Low', 'Medium', 'Note')


class LocationCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Australia', 'Austria', 'Belgium', 'Canada', 'China', 'Custom', 'Default', 'Egypt', 'France', 'Germany', 'Global', 'GreatBritain', 'India', 'Italy', 'Japan', 'Netherlands', 'Singapore', 'Spain', 'Switzerland', 'Turkey', 'UnitedStates', 'Uzbekistan')


class LocationType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Country', 'CustomIP', 'DynamicIP', 'Global', 'StaticIP')


class LogzioAPIRegion(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('AsiaPacificSydney', 'CanadaCentral', 'EuropeFrankfurt', 'EuropeLondon', 'USEastNorthernVirginia', 'WestEuropeNetherlands', 'WestUS2Washington')


class LogzioConnectionOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'label', 'updatedAt')


class LogzioProjectQueryOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'dateRange', 'enabled', 'maxRows', 'updatedAt', 'useLastCrawlDate')


class MetricType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Array', 'Bit', 'Boolean', 'Date', 'Decimal', 'Integer', 'String')


class MetricsServerId(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('ElasticSearch5', 'ElasticSearch7Cluster1')


class ObjectID(sgqlc.types.Scalar):
    __schema__ = deepcrawl_schema


class OrderDirection(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('ASC', 'DESC')


class PauseReason(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('CreditLimit', 'CustomExtractionTimeout', 'LevelLimit', 'Manual', 'PageGroupingTimeout', 'UrlLimit', 'UrlsExcludedTimeout', 'UrlsIncludedTimeout')


class PermissionCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Admin', 'AdminGrant', 'Beta', 'Dev', 'SsoClient')


class PrimitiveType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Array', 'Boolean', 'Date', 'Number', 'String')


class ProjectOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('allPagesTotal', 'crawlRate', 'crawlingAt', 'crawlsTotalCount', 'createdAt', 'duplicatePrecision', 'emptyPageThreshold', 'finishedAt', 'highLogSummaryRequests', 'id', 'isTestSuite', 'lastCrawlCrawlingAt', 'lastCrawlStatus', 'legacyTasksTotalCount', 'limitPagesMax', 'lowLogSummaryRequests', 'maxContentSize', 'maxDescriptionLength', 'maxExternalLinks', 'maxHtmlSize', 'maxLinks', 'maxLoadTime', 'maxRedirections', 'maxTitleWidth', 'maxUrlLength', 'minContentRatio', 'minDescriptionLength', 'minTitleLength', 'name', 'rendererBlockAds', 'rendererBlockAnalytics', 'rendererJsString', 'robotsOverwrite', 'schedulesTotalCount', 'segmentsTotalCount', 'sitePrimary', 'siteTest', 'testsTotalCount', 'thinPageThreshold', 'totalSteps', 'updatedAt', 'useRenderer', 'useRobotsOverwrite')


class ProjectUploadType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('AdobeAnalyticsCSV', 'AdwordsFinalUrlCSV', 'AhrefsBacklinksCSV', 'AhrefsBacklinksCSV2', 'AnalyticsCSV', 'BacklinksCSV', 'Custom', 'GenericBacklinksCSV', 'GenericLogfileCSV', 'GoogleAnalyticsCSV', 'ListTxt', 'LogzioLogfileDesktopCSV', 'LogzioLogfileMobileCSV', 'MajesticBacklinksCSV', 'MajesticBacklinksCSV2', 'OSEBacklinksCSV', 'ReducedAdobeAnalyticsCSV', 'ScreamingFrogLogfileBaiduCSV', 'ScreamingFrogLogfileBingbotCSV', 'ScreamingFrogLogfileGooglebotCSV', 'ScreamingFrogLogfileGooglebotOnlyCSV', 'ScreamingFrogLogfileGooglebotOnlyCSV2', 'ScreamingFrogLogfileYandexCSV', 'Sitemap', 'SplunkLogfileBingCSV', 'SplunkLogfileDesktopCSV', 'SplunkLogfileGoogleCSV', 'SplunkLogfileMobileCSV')


class ReportDownloadOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'totalRows', 'updatedAt')


class ReportDownloadOutputType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('CompactCsvZip', 'CsvGzip', 'CsvZip', 'XmlZip')


class ReportDownloadStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Draft', 'Generated', 'Generating')


class ReportOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('change', 'createdAt', 'datasourceCode', 'datasourceCodeEnum', 'generationTime', 'hasChanges', 'queryVersion', 'reportTemplateCode', 'reportTypeCode', 'reportTypeCodeEnum', 'totalRows', 'totalWeight')


class ReportTemplateOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('beta', 'changeSign', 'changeWeight', 'code', 'createdAt', 'datasourceCode', 'datasourceCodeEnum', 'deletedAt', 'description', 'healthscoreCategory', 'id', 'name', 'position', 'summary', 'totalSign', 'totalWeight', 'updatedAt')


class ReportTypeCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Added', 'Basic', 'Missing', 'Removed')


class RoleCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Admin', 'Editor', 'Viewer')


class ScheduleFrequencyCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Daily', 'Fortnightly', 'Hourly', 'Monthly', 'OneTime', 'Quarterly', 'Weekly')


class SegmentOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'name', 'updatedAt')


class SegmentRulePredicate(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('BeginsWith', 'Contains', 'EndsWith', 'Equal', 'IsEmpty', 'MatchRegex', 'NotContain', 'NotEqual', 'NotMatchRegex')


class SegmentableMetric(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('URL',)


class Severity(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Fail', 'Warning')


class SitemapStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Malformed', 'Valid')


class SitemapType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Custom', 'Discovered')


class SlackAlertType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Fail', 'Pass', 'Warning')


class SlackWebhookOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt',)


class SplunkConnectionOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'updatedAt', 'url', 'username')


class SplunkProjectQueryOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt', 'dateRange', 'enabled', 'updatedAt', 'useLastCrawlDate')


class SplunkProxyCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Custom',)


String = sgqlc.types.String

class TestOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('absoluteThreshold', 'createdAt', 'relativeThreshold', 'severity', 'thresholdType', 'updatedAt')


class TestResultOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('passed', 'reportTemplateCode', 'severity', 'status')


class TestResultStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Done', 'Ignore', 'WorkingOnIt')


class TestSuiteCrawlType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Backlinks', 'GoogleAnalytics', 'GoogleSearchConsole', 'List', 'LogSummary', 'Sitemap', 'Web')


class TestSuiteEmailAlertOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt',)


class TestSuiteLocationCode(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Custom', 'Default')


class TestSuiteOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('allPagesTotal', 'clonedAt', 'crawlRate', 'crawlingAt', 'crawlsTotalCount', 'createdAt', 'duplicatePrecision', 'emptyPageThreshold', 'finishedAt', 'highLogSummaryRequests', 'id', 'isTestSuite', 'lastCrawlCrawlingAt', 'lastCrawlStatus', 'legacyTasksTotalCount', 'limitPagesMax', 'lowLogSummaryRequests', 'maxContentSize', 'maxDescriptionLength', 'maxExternalLinks', 'maxHtmlSize', 'maxLinks', 'maxLoadTime', 'maxRedirections', 'maxTitleWidth', 'maxUrlLength', 'minContentRatio', 'minDescriptionLength', 'minTitleLength', 'name', 'parentLinkedAt', 'rendererBlockAds', 'rendererBlockAnalytics', 'rendererJsString', 'robotsOverwrite', 'schedulesTotalCount', 'segmentsTotalCount', 'sitePrimary', 'siteTest', 'testsTotalCount', 'thinPageThreshold', 'totalSteps', 'updatedAt', 'useRenderer', 'useRobotsOverwrite')


class ThresholdPredicate(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('GreaterThanOrEqual', 'LessThan')


class ThresholdType(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Absolute', 'Relative')


class Upload(sgqlc.types.Scalar):
    __schema__ = deepcrawl_schema


class UrlFileUploadStatus(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('Draft', 'Errored', 'Processed', 'Processing')


class UrlRewriteCaseOption(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('RewriteToLowercase', 'RewriteToUppercase')


class UserKeyOrderField(sgqlc.types.Enum):
    __schema__ = deepcrawl_schema
    __choices__ = ('createdAt',)



########################################################################
# Input Objects
########################################################################
class APICallbackHeaderInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('key', 'value')
    key = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='key')
    value = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='value')


class AbortBuildInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_id',)
    build_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildId')


class AccountConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'active', 'and_', 'created_at', 'custom_logo', 'name', 'package_plan', 'serpent_crawler_enabled', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AccountConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AccountConnectionFilterInput')), graphql_name='_or')
    active = sgqlc.types.Field('ConnectionBooleanFilterInput', graphql_name='active')
    and_ = sgqlc.types.Field('AccountConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='createdAt')
    custom_logo = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='customLogo')
    name = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='name')
    package_plan = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='packagePlan')
    serpent_crawler_enabled = sgqlc.types.Field('ConnectionBooleanFilterInput', graphql_name='serpentCrawlerEnabled')
    updated_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='updatedAt')


class AccountOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(AccountOrderField), graphql_name='field')


class AddCustomSitemapsInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id', 'sitemap_urls')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    sitemap_urls = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='sitemapUrls')


class AdobeAnalyticsProjectReportSuiteConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'max_rows', 'minimum_visits', 'number_of_days', 'per_page', 'report_suite_id', 'suite_name', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AdobeAnalyticsProjectReportSuiteConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AdobeAnalyticsProjectReportSuiteConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('AdobeAnalyticsProjectReportSuiteConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='createdAt')
    max_rows = sgqlc.types.Field('ConnectionIntFilterInput', graphql_name='maxRows')
    minimum_visits = sgqlc.types.Field('ConnectionIntFilterInput', graphql_name='minimumVisits')
    number_of_days = sgqlc.types.Field('ConnectionIntFilterInput', graphql_name='numberOfDays')
    per_page = sgqlc.types.Field('ConnectionIntFilterInput', graphql_name='perPage')
    report_suite_id = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='reportSuiteId')
    suite_name = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='suiteName')
    updated_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='updatedAt')


class AdobeAnalyticsProjectReportSuiteOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuiteOrderField), graphql_name='field')


class AdobeConnectionConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'company', 'created_at', 'updated_at', 'username')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AdobeConnectionConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('AdobeConnectionConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('AdobeConnectionConnectionFilterInput', graphql_name='and')
    company = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='company')
    created_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='createdAt')
    updated_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='updatedAt')
    username = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='username')


class AdobeConnectionOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(AdobeConnectionOrderField), graphql_name='field')


class AdvancedCrawlRateInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('end', 'maximum_crawl_rate', 'start', 'type')
    end = sgqlc.types.Field(sgqlc.types.non_null('AdvancedCrawlRateTimeInput'), graphql_name='end')
    maximum_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maximumCrawlRate')
    start = sgqlc.types.Field(sgqlc.types.non_null('AdvancedCrawlRateTimeInput'), graphql_name='start')
    type = sgqlc.types.Field(sgqlc.types.non_null(AdvancedCrawlRateType), graphql_name='type')


class AdvancedCrawlRateTimeInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('day', 'hour')
    day = sgqlc.types.Field(AdvancedCrawlRateDay, graphql_name='day')
    hour = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='hour')


class BuildConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'ci_build_id', 'created_at', 'failed_test_count', 'finished_at', 'passed', 'passed_test_count', 'status', 'updated_at', 'warned_test_count')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('BuildConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('BuildConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('BuildConnectionFilterInput', graphql_name='and')
    ci_build_id = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='ciBuildId')
    created_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='createdAt')
    failed_test_count = sgqlc.types.Field('ConnectionFloatFilterInput', graphql_name='failedTestCount')
    finished_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='finishedAt')
    passed = sgqlc.types.Field('ConnectionBooleanFilterInput', graphql_name='passed')
    passed_test_count = sgqlc.types.Field('ConnectionFloatFilterInput', graphql_name='passedTestCount')
    status = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='status')
    updated_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='updatedAt')
    warned_test_count = sgqlc.types.Field('ConnectionFloatFilterInput', graphql_name='warnedTestCount')


class BuildOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(BuildOrderField), graphql_name='field')


class BuildScheduleConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'last_run_started_at', 'name', 'next_run_at', 'start_at', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('BuildScheduleConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('BuildScheduleConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('BuildScheduleConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='createdAt')
    last_run_started_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='lastRunStartedAt')
    name = sgqlc.types.Field('ConnectionStringFilterInput', graphql_name='name')
    next_run_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='nextRunAt')
    start_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='startAt')
    updated_at = sgqlc.types.Field('ConnectionDateFilterInput', graphql_name='updatedAt')


class BuildScheduleOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(BuildScheduleOrderField), graphql_name='field')


class BuildScheduleTestSuiteOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(BuildScheduleTestSuiteOrderField), graphql_name='field')


class CancelBuildInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_id',)
    build_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildId')


class CancelCrawlingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class CheckDomainInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('url',)
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')


class CloneTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_id',)
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class ConfirmEmailInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('token',)
    token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='token')


class ConnectionBigIntFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'ge', 'gt', 'in_', 'is_null', 'le', 'lt', 'ne', 'not_in')
    eq = sgqlc.types.Field(BigInt, graphql_name='eq')
    ge = sgqlc.types.Field(BigInt, graphql_name='ge')
    gt = sgqlc.types.Field(BigInt, graphql_name='gt')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(BigInt)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    le = sgqlc.types.Field(BigInt, graphql_name='le')
    lt = sgqlc.types.Field(BigInt, graphql_name='lt')
    ne = sgqlc.types.Field(BigInt, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(BigInt)), graphql_name='notIn')


class ConnectionBooleanFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'is_null', 'ne')
    eq = sgqlc.types.Field(Boolean, graphql_name='eq')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(Boolean, graphql_name='ne')


class ConnectionCrawlStatusFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(CrawlStatus, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CrawlStatus)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(CrawlStatus, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CrawlStatus)), graphql_name='notIn')


class ConnectionCustomChartTypeFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(CustomChartType, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomChartType)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(CustomChartType, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomChartType)), graphql_name='notIn')


class ConnectionCustomDashboardTypeFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(CustomDashboardType, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomDashboardType)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(CustomDashboardType, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomDashboardType)), graphql_name='notIn')


class ConnectionCustomTableTypeFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(CustomTableType, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomTableType)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(CustomTableType, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomTableType)), graphql_name='notIn')


class ConnectionDatasourceCodeFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(DatasourceCode, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(DatasourceCode)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(DatasourceCode, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(DatasourceCode)), graphql_name='notIn')


class ConnectionDateFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'ge', 'gt', 'in_', 'is_null', 'le', 'lt', 'ne', 'not_in')
    eq = sgqlc.types.Field(DateTime, graphql_name='eq')
    ge = sgqlc.types.Field(DateTime, graphql_name='ge')
    gt = sgqlc.types.Field(DateTime, graphql_name='gt')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(DateTime)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    le = sgqlc.types.Field(DateTime, graphql_name='le')
    lt = sgqlc.types.Field(DateTime, graphql_name='lt')
    ne = sgqlc.types.Field(DateTime, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(DateTime)), graphql_name='notIn')


class ConnectionFloatFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'ge', 'gt', 'in_', 'is_null', 'le', 'lt', 'ne', 'not_in')
    eq = sgqlc.types.Field(Float, graphql_name='eq')
    ge = sgqlc.types.Field(Float, graphql_name='ge')
    gt = sgqlc.types.Field(Float, graphql_name='gt')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(Float)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    le = sgqlc.types.Field(Float, graphql_name='le')
    lt = sgqlc.types.Field(Float, graphql_name='lt')
    ne = sgqlc.types.Field(Float, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(Float)), graphql_name='notIn')


class ConnectionIntFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'ge', 'gt', 'in_', 'is_null', 'le', 'lt', 'ne', 'not_in')
    eq = sgqlc.types.Field(Int, graphql_name='eq')
    ge = sgqlc.types.Field(Int, graphql_name='ge')
    gt = sgqlc.types.Field(Int, graphql_name='gt')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(Int)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    le = sgqlc.types.Field(Int, graphql_name='le')
    lt = sgqlc.types.Field(Int, graphql_name='lt')
    ne = sgqlc.types.Field(Int, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(Int)), graphql_name='notIn')


class ConnectionLegacyTaskPriorityFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(LegacyTaskPriority, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTaskPriority)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(LegacyTaskPriority, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTaskPriority)), graphql_name='notIn')


class ConnectionObjectIDFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(ObjectID, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(ObjectID, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID)), graphql_name='notIn')


class ConnectionReportTypeCodeFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('eq', 'in_', 'is_null', 'ne', 'not_in')
    eq = sgqlc.types.Field(ReportTypeCode, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(ReportTypeCode)), graphql_name='in')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    ne = sgqlc.types.Field(ReportTypeCode, graphql_name='ne')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(ReportTypeCode)), graphql_name='notIn')


class ConnectionStringArrayFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('array_contains_like', 'array_not_contains_like', 'is_null')
    array_contains_like = sgqlc.types.Field(String, graphql_name='arrayContainsLike')
    array_not_contains_like = sgqlc.types.Field(String, graphql_name='arrayNotContainsLike')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')


class ConnectionStringFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('begins_with', 'contains', 'ends_with', 'eq', 'in_', 'is_empty', 'is_null', 'matches_regex', 'ne', 'not_contains', 'not_in', 'not_matches_regex')
    begins_with = sgqlc.types.Field(String, graphql_name='beginsWith')
    contains = sgqlc.types.Field(String, graphql_name='contains')
    ends_with = sgqlc.types.Field(String, graphql_name='endsWith')
    eq = sgqlc.types.Field(String, graphql_name='eq')
    in_ = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='in')
    is_empty = sgqlc.types.Field(Boolean, graphql_name='isEmpty')
    is_null = sgqlc.types.Field(Boolean, graphql_name='isNull')
    matches_regex = sgqlc.types.Field(String, graphql_name='matchesRegex')
    ne = sgqlc.types.Field(String, graphql_name='ne')
    not_contains = sgqlc.types.Field(String, graphql_name='notContains')
    not_in = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='notIn')
    not_matches_regex = sgqlc.types.Field(String, graphql_name='notMatchesRegex')


class CrawlConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'archived_at', 'archiving_at', 'broken_at', 'bucket_slot', 'canceled_at', 'canceling_at', 'crawl_levels', 'crawlability', 'crawlability_trend', 'crawled_at', 'crawled_phase1_at', 'crawled_phase2_at', 'crawling_at', 'crawling_phase1_at', 'crawling_phase2_at', 'created_at', 'discovered_urls_at', 'discovering_urls_at', 'error_message', 'errored_at', 'finished_at', 'fsm_ext_transitioned_at', 'fsm_transitioned_at', 'incomplete', 'is_container', 'is_scheduled', 'language_settings', 'language_settings_added', 'language_settings_removed', 'limit_levels_max', 'limit_pages_max', 'max_process_links', 'migrated_at', 'migrating_at', 'optimus_transformed_at', 'optimus_transforming_at', 'page_groupings', 'partition', 'paused_reminder_sent', 'populated_at', 'populating_at', 'post_populated_at', 'post_populating_at', 'post_transformed_at', 'post_transforming_at', 'process_instance_type', 'processed_at', 'processing_at', 'progress_crawled', 'progress_discovered', 'progress_enqueued', 'progress_stepped', 'progress_updated_at', 'queued_at', 'queueing_at', 'ready_at', 'refinery_enabled', 'refinery_processed_at', 'refinery_processing_at', 'refinery_processing_enabled', 'robots_overwrite', 'schedule_running_email_sent_at', 'scheduled', 'site_explorer', 'started_by_api', 'status', 'status_enum', 'total_step_links', 'total_steps', 'transformed_at', 'transforming_at', 'updated_at', 'use_es_report_stats', 'use_rewrite_rules', 'use_robots_overwrite', 'version')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlConnectionFilterInput', graphql_name='and')
    archived_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='archivedAt')
    archiving_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='archivingAt')
    broken_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='brokenAt')
    bucket_slot = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='bucketSlot')
    canceled_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='canceledAt')
    canceling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='cancelingAt')
    crawl_levels = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='crawlLevels')
    crawlability = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='crawlability')
    crawlability_trend = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='crawlabilityTrend')
    crawled_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawledAt')
    crawled_phase1_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawledPhase1At')
    crawled_phase2_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawledPhase2At')
    crawling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlingAt')
    crawling_phase1_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlingPhase1At')
    crawling_phase2_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlingPhase2At')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    discovered_urls_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='discoveredUrlsAt')
    discovering_urls_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='discoveringUrlsAt')
    error_message = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='errorMessage')
    errored_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='erroredAt')
    finished_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='finishedAt')
    fsm_ext_transitioned_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='fsmExtTransitionedAt')
    fsm_transitioned_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='fsmTransitionedAt')
    incomplete = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='incomplete')
    is_container = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isContainer')
    is_scheduled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isScheduled')
    language_settings = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='languageSettings')
    language_settings_added = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='languageSettingsAdded')
    language_settings_removed = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='languageSettingsRemoved')
    limit_levels_max = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='limitLevelsMax')
    limit_pages_max = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='limitPagesMax')
    max_process_links = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='maxProcessLinks')
    migrated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='migratedAt')
    migrating_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='migratingAt')
    optimus_transformed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='optimusTransformedAt')
    optimus_transforming_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='optimusTransformingAt')
    page_groupings = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='pageGroupings')
    partition = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='partition')
    paused_reminder_sent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='pausedReminderSent')
    populated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='populatedAt')
    populating_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='populatingAt')
    post_populated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='postPopulatedAt')
    post_populating_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='postPopulatingAt')
    post_transformed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='postTransformedAt')
    post_transforming_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='postTransformingAt')
    process_instance_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='processInstanceType')
    processed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='processedAt')
    processing_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='processingAt')
    progress_crawled = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='progressCrawled')
    progress_discovered = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='progressDiscovered')
    progress_enqueued = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='progressEnqueued')
    progress_stepped = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='progressStepped')
    progress_updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='progressUpdatedAt')
    queued_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='queuedAt')
    queueing_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='queueingAt')
    ready_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='readyAt')
    refinery_enabled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='refineryEnabled')
    refinery_processed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='refineryProcessedAt')
    refinery_processing_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='refineryProcessingAt')
    refinery_processing_enabled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='refineryProcessingEnabled')
    robots_overwrite = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='robotsOverwrite')
    schedule_running_email_sent_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='scheduleRunningEmailSentAt')
    scheduled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='scheduled')
    site_explorer = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='siteExplorer')
    started_by_api = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='startedByApi')
    status = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='status')
    status_enum = sgqlc.types.Field(ConnectionCrawlStatusFilterInput, graphql_name='statusEnum')
    total_step_links = sgqlc.types.Field(ConnectionBigIntFilterInput, graphql_name='totalStepLinks')
    total_steps = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='totalSteps')
    transformed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='transformedAt')
    transforming_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='transformingAt')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    use_es_report_stats = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useEsReportStats')
    use_rewrite_rules = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRewriteRules')
    use_robots_overwrite = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRobotsOverwrite')
    version = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='version')


class CrawlDuplicateUrlConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'canonical_url', 'canonical_url_digest', 'content_size', 'deeprank', 'description', 'description_length', 'description_length_px', 'duplicate_count', 'duplicate_non_indexable', 'duplicate_type', 'example_duplicate1', 'example_duplicate2', 'example_duplicate_digest1', 'example_duplicate_digest2', 'found_at_sitemap', 'found_at_url', 'html_size', 'http_status_code', 'indexable', 'level', 'og_title', 'page_title', 'page_title_length', 'page_title_length_px', 'primary_url', 'primary_url_digest', 'word_count')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlDuplicateUrlConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlDuplicateUrlConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlDuplicateUrlConnectionFilterInput', graphql_name='and')
    canonical_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalUrl')
    canonical_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalUrlDigest')
    content_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='contentSize')
    deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='deeprank')
    description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='description')
    description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='descriptionLengthPx')
    duplicate_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicateCount')
    duplicate_non_indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateNonIndexable')
    duplicate_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateType')
    example_duplicate1 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='exampleDuplicate1')
    example_duplicate2 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='exampleDuplicate2')
    example_duplicate_digest1 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='exampleDuplicateDigest1')
    example_duplicate_digest2 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='exampleDuplicateDigest2')
    found_at_sitemap = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtUrl')
    html_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='htmlSize')
    http_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='httpStatusCode')
    indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='indexable')
    level = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='level')
    og_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogTitle')
    page_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='pageTitle')
    page_title_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='pageTitleLengthPx')
    primary_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrl')
    primary_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlDigest')
    word_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='wordCount')


class CrawlDuplicateUrlOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlDuplicateUrlOrderField), graphql_name='field')


class CrawlHreflangsConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'hreflangs_digest', 'url_count')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlHreflangsConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlHreflangsConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlHreflangsConnectionFilterInput', graphql_name='and')
    hreflangs_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='hreflangsDigest')
    url_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlCount')


class CrawlHreflangsOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlHreflangsOrderField), graphql_name='field')


class CrawlLinkConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'attr_rel', 'attr_type', 'handheld', 'hreflang', 'internal', 'is_hreflang', 'is_redirect', 'is_restricted', 'link_type', 'mobile', 'rel_url_from', 'rel_url_from_digest', 'tag', 'url_from', 'url_from_alias', 'url_from_alias_digest', 'url_from_deeprank', 'url_from_digest', 'url_from_https', 'url_from_status_code', 'url_from_status_code_id', 'url_from_title', 'url_to', 'url_to_alias', 'url_to_alias_digest', 'url_to_deeprank', 'url_to_digest', 'url_to_https', 'url_to_status_code', 'url_to_title')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlLinkConnectionFilterInput', graphql_name='and')
    attr_rel = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='attrRel')
    attr_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='attrType')
    handheld = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='handheld')
    hreflang = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='hreflang')
    internal = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='internal')
    is_hreflang = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isHreflang')
    is_redirect = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRedirect')
    is_restricted = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRestricted')
    link_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='linkType')
    mobile = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobile')
    rel_url_from = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relUrlFrom')
    rel_url_from_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relUrlFromDigest')
    tag = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='tag')
    url_from = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlFrom')
    url_from_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlFromAlias')
    url_from_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlFromAliasDigest')
    url_from_deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='urlFromDeeprank')
    url_from_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlFromDigest')
    url_from_https = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='urlFromHttps')
    url_from_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlFromStatusCode')
    url_from_status_code_id = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='urlFromStatusCodeId')
    url_from_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlFromTitle')
    url_to = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlTo')
    url_to_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToAlias')
    url_to_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToAliasDigest')
    url_to_deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='urlToDeeprank')
    url_to_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToDigest')
    url_to_https = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='urlToHttps')
    url_to_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlToStatusCode')
    url_to_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToTitle')


class CrawlLinkOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlLinkOrderField), graphql_name='field')


class CrawlLinkedDomainConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'domain', 'link_count')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkedDomainConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkedDomainConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlLinkedDomainConnectionFilterInput', graphql_name='and')
    domain = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='domain')
    link_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='linkCount')


class CrawlLinkedDomainOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlLinkedDomainOrderField), graphql_name='field')


class CrawlOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlOrderField), graphql_name='field')


class CrawlReportsByCodeInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('order_by', 'report_template_codes', 'report_type_codes', 'segment_id')
    order_by = sgqlc.types.Field('ReportOrder', graphql_name='orderBy')
    report_template_codes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='reportTemplateCodes')
    report_type_codes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ReportTypeCode))), graphql_name='reportTypeCodes')
    segment_id = sgqlc.types.Field(ObjectID, graphql_name='segmentId')


class CrawlSegmentConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'crawl_id', 'created_at', 'failed_at', 'failure_reason', 'generated_at', 'generating_at', 'segment_id', 'segment_version', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSegmentConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSegmentConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlSegmentConnectionFilterInput', graphql_name='and')
    crawl_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='crawlId')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    failed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='failedAt')
    failure_reason = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='failureReason')
    generated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='generatedAt')
    generating_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='generatingAt')
    segment_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='segmentId')
    segment_version = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='segmentVersion')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class CrawlSegmentOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlSegmentOrderField), graphql_name='field')


class CrawlSitemapConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'http_status_code', 'log_requests_total', 'restricted_reason', 'sitemap_type', 'url', 'url_count', 'url_digest')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSitemapConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSitemapConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlSitemapConnectionFilterInput', graphql_name='and')
    http_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='httpStatusCode')
    log_requests_total = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='logRequestsTotal')
    restricted_reason = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='restrictedReason')
    sitemap_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='sitemapType')
    url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='url')
    url_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlCount')
    url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlDigest')


class CrawlSitemapOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlSitemapOrderField), graphql_name='field')


class CrawlTypeCountsInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_types', 'segment_id')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType))), graphql_name='crawlTypes')
    segment_id = sgqlc.types.Field(ObjectID, graphql_name='segmentId')


class CrawlUncrawledUrlConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'file_extension', 'found_at_sitemap', 'found_at_url', 'found_in_backlinks', 'found_in_google_analytics', 'found_in_google_search_console', 'found_in_list', 'found_in_log_summary', 'found_in_sitemap', 'level', 'restricted_reason', 'tag', 'url', 'url_alias', 'url_alias_digest', 'url_digest')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUncrawledUrlConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUncrawledUrlConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlUncrawledUrlConnectionFilterInput', graphql_name='and')
    file_extension = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='fileExtension')
    found_at_sitemap = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtUrl')
    found_in_backlinks = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInBacklinks')
    found_in_google_analytics = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInGoogleAnalytics')
    found_in_google_search_console = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInGoogleSearchConsole')
    found_in_list = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInList')
    found_in_log_summary = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInLogSummary')
    found_in_sitemap = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInSitemap')
    level = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='level')
    restricted_reason = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='restrictedReason')
    tag = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='tag')
    url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='url')
    url_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlAlias')
    url_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlAliasDigest')
    url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlDigest')


class CrawlUncrawledUrlOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlUncrawledUrlOrderField), graphql_name='field')


class CrawlUniqueLinkConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'anchor_text', 'and_', 'attr_rel', 'has_image_alt_text', 'has_image_link', 'hreflang', 'instance_count', 'internal', 'is_hreflang', 'is_image_alt_text_empty', 'is_redirect', 'is_restricted', 'link_type', 'nofollow', 'primary_url_from', 'primary_url_from_alias', 'primary_url_from_alias_digest', 'primary_url_from_deeprank', 'primary_url_from_digest', 'primary_url_from_https', 'primary_url_from_status_code', 'primary_url_from_title', 'tag', 'unique_link_digest', 'url_to', 'url_to_alias', 'url_to_alias_digest', 'url_to_deeprank', 'url_to_digest', 'url_to_https', 'url_to_status_code', 'url_to_title')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUniqueLinkConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUniqueLinkConnectionFilterInput')), graphql_name='_or')
    anchor_text = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='anchorText')
    and_ = sgqlc.types.Field('CrawlUniqueLinkConnectionFilterInput', graphql_name='and')
    attr_rel = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='attrRel')
    has_image_alt_text = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hasImageAltText')
    has_image_link = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hasImageLink')
    hreflang = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='hreflang')
    instance_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='instanceCount')
    internal = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='internal')
    is_hreflang = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isHreflang')
    is_image_alt_text_empty = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isImageAltTextEmpty')
    is_redirect = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRedirect')
    is_restricted = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRestricted')
    link_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='linkType')
    nofollow = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='nofollow')
    primary_url_from = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlFrom')
    primary_url_from_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlFromAlias')
    primary_url_from_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlFromAliasDigest')
    primary_url_from_deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='primaryUrlFromDeeprank')
    primary_url_from_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlFromDigest')
    primary_url_from_https = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='primaryUrlFromHttps')
    primary_url_from_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='primaryUrlFromStatusCode')
    primary_url_from_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlFromTitle')
    tag = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='tag')
    unique_link_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='uniqueLinkDigest')
    url_to = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlTo')
    url_to_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToAlias')
    url_to_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToAliasDigest')
    url_to_deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='urlToDeeprank')
    url_to_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToDigest')
    url_to_https = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='urlToHttps')
    url_to_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlToStatusCode')
    url_to_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlToTitle')


class CrawlUniqueLinkOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlUniqueLinkOrderField), graphql_name='field')


class CrawlUpdatedSubscriptionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class CrawlUrlAggregateOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlUrlAggregateOrderField), graphql_name='field')


class CrawlUrlConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'amphtml', 'amphtml_reciprocate', 'amphtml_valid', 'and_', 'backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_header_url', 'canonical_html_url', 'canonical_links_in_count', 'canonical_url', 'canonical_url_digest', 'canonical_url_is_consistent', 'canonicalized_page', 'content_html_ratio', 'content_size', 'crawl_datetime', 'css', 'custom_extraction1', 'custom_extraction2', 'custom_extraction3', 'custom_extraction4', 'custom_extraction5', 'custom_extraction6', 'custom_extraction7', 'custom_extraction8', 'custom_extraction9', 'custom_extraction10', 'custom_extraction11', 'custom_extraction12', 'custom_extraction13', 'custom_extraction14', 'custom_extraction15', 'custom_extraction16', 'custom_extraction17', 'custom_extraction18', 'custom_extraction19', 'custom_extraction20', 'custom_extraction21', 'custom_extraction22', 'custom_extraction23', 'custom_extraction24', 'custom_extraction25', 'custom_extraction26', 'custom_extraction27', 'custom_extraction28', 'custom_extraction29', 'custom_extraction30', 'custom_extraction_match', 'deeprank', 'description', 'description_length', 'description_length_px', 'desktop_url', 'desktop_url_digest', 'disallowed_page', 'duplicate_body', 'duplicate_body_count', 'duplicate_body_non_indexable', 'duplicate_body_primary_url', 'duplicate_body_primary_url_digest', 'duplicate_description', 'duplicate_description_count', 'duplicate_description_non_indexable', 'duplicate_description_primary_url', 'duplicate_description_primary_url_digest', 'duplicate_page', 'duplicate_page_count', 'duplicate_page_non_indexable', 'duplicate_title', 'duplicate_title_count', 'duplicate_title_non_indexable', 'duplicate_title_primary_url', 'duplicate_title_primary_url_digest', 'encoding_header', 'event_schema_count', 'external_links_count', 'failed_reason', 'faqpage_schema_count', 'fb_admins', 'fb_app_id', 'fetch_time', 'file_extension', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'found_at_sitemap', 'found_at_url', 'found_in_backlinks', 'found_in_google_analytics', 'found_in_google_search_console', 'found_in_list', 'found_in_log_summary', 'found_in_sitemap', 'found_in_web_crawl', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'has_structured_data', 'head_tags_in_body_count', 'header_content_type', 'header_noarchive', 'header_nofollow', 'header_noindex', 'header_noodp', 'header_nosnippet', 'header_noydir', 'howto_schema_count', 'hreflang_links_in_count', 'hreflang_links_out_count', 'hreflang_on_header', 'hreflang_on_page', 'hreflang_on_sitemap', 'hreflang_url_count', 'hsts', 'html_size', 'http_status_code', 'https', 'indexable', 'internal', 'internal_links_count', 'is_image', 'is_redirect', 'is_redirect_loop', 'is_self_canonical', 'js', 'level', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'meta_charset', 'meta_content_type', 'meta_disabled_sitelinks', 'meta_noarchive', 'meta_nofollow', 'meta_noindex', 'meta_noodp', 'meta_nosnippet', 'meta_noydir', 'meta_redirect', 'mobile_desktop_content_difference', 'mobile_desktop_content_mismatch', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'mobile_reciprocate', 'mobile_rel_alternate', 'mobile_rel_alternate_header_url', 'mobile_rel_alternate_header_url_digest', 'mobile_rel_alternate_html_url', 'mobile_rel_alternate_html_url_digest', 'mobile_rel_alternate_url', 'mobile_rel_alternate_url_digest', 'mobile_rel_alternate_url_is_consistent', 'mobile_rel_amphtml', 'mobile_rel_amphtml_url', 'mobile_rel_amphtml_url_digest', 'newsarticle_author_schema_value', 'newsarticle_schema_count', 'newsarticle_schema_valid', 'noarchive', 'nofollowed_page', 'noindex', 'noodp', 'nosnippet', 'noydir', 'og_description', 'og_image', 'og_locale', 'og_site_name', 'og_title', 'og_type', 'og_url', 'page1', 'page_title', 'page_title_length', 'page_title_length_px', 'paginated_page', 'param_count', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'path_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'previous_path', 'previous_path_digest', 'primary_page', 'primary_url', 'primary_url_digest', 'primary_url_non_indexable', 'product_availability_schema_value', 'product_brand_schema_value', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'product_schema_valid', 'product_sku_schema_value', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirected_to_status_code', 'redirected_to_url', 'redirected_to_url_digest', 'redirects_in_count', 'rel_links_in_count', 'rel_next_header_url', 'rel_next_html_url', 'rel_next_url', 'rel_next_url_is_consistent', 'rel_prev_header_url', 'rel_prev_html_url', 'rel_prev_url', 'rel_prev_url_is_consistent', 'rendered_canonical_link_match', 'rendered_link_count_difference', 'rendered_word_count_difference', 'responsive', 'review_schema_count', 'robots_noindex', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'secure_form_input_field', 'separate_desktop', 'separate_mobile', 'sitemaps_in_count', 'twitter_card', 'twitter_description', 'twitter_description_length', 'twitter_image', 'twitter_site', 'twitter_title', 'url', 'url_alias', 'url_alias_digest', 'url_digest', 'url_length', 'valid_twitter_card', 'vary_user_agent', 'videoobject_schema_count', 'viewport', 'word_count')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUrlConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUrlConnectionFilterInput')), graphql_name='_or')
    amphtml = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='amphtml')
    amphtml_reciprocate = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='amphtmlReciprocate')
    amphtml_valid = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='amphtmlValid')
    and_ = sgqlc.types.Field('CrawlUrlConnectionFilterInput', graphql_name='and')
    backlink_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='breadcrumbSchemaCount')
    canonical_header_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalHeaderUrl')
    canonical_html_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalHtmlUrl')
    canonical_links_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='canonicalLinksInCount')
    canonical_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalUrl')
    canonical_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='canonicalUrlDigest')
    canonical_url_is_consistent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='canonicalUrlIsConsistent')
    canonicalized_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='canonicalizedPage')
    content_html_ratio = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='contentSize')
    crawl_datetime = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlDatetime')
    css = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='css')
    custom_extraction1 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction1')
    custom_extraction2 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction2')
    custom_extraction3 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction3')
    custom_extraction4 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction4')
    custom_extraction5 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction5')
    custom_extraction6 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction6')
    custom_extraction7 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction7')
    custom_extraction8 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction8')
    custom_extraction9 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction9')
    custom_extraction10 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction10')
    custom_extraction11 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction11')
    custom_extraction12 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction12')
    custom_extraction13 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction13')
    custom_extraction14 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction14')
    custom_extraction15 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction15')
    custom_extraction16 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction16')
    custom_extraction17 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction17')
    custom_extraction18 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction18')
    custom_extraction19 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction19')
    custom_extraction20 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction20')
    custom_extraction21 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction21')
    custom_extraction22 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction22')
    custom_extraction23 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction23')
    custom_extraction24 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction24')
    custom_extraction25 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction25')
    custom_extraction26 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction26')
    custom_extraction27 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction27')
    custom_extraction28 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction28')
    custom_extraction29 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction29')
    custom_extraction30 = sgqlc.types.Field(ConnectionStringArrayFilterInput, graphql_name='customExtraction30')
    custom_extraction_match = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='customExtractionMatch')
    deeprank = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='deeprank')
    description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='description')
    description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='descriptionLengthPx')
    desktop_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='desktopUrl')
    desktop_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='desktopUrlDigest')
    disallowed_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='disallowedPage')
    duplicate_body = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateBody')
    duplicate_body_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicateBodyCount')
    duplicate_body_non_indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateBodyNonIndexable')
    duplicate_body_primary_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateBodyPrimaryUrl')
    duplicate_body_primary_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateBodyPrimaryUrlDigest')
    duplicate_description = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateDescription')
    duplicate_description_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicateDescriptionCount')
    duplicate_description_non_indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateDescriptionNonIndexable')
    duplicate_description_primary_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateDescriptionPrimaryUrl')
    duplicate_description_primary_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateDescriptionPrimaryUrlDigest')
    duplicate_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicatePage')
    duplicate_page_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicatePageCount')
    duplicate_page_non_indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicatePageNonIndexable')
    duplicate_title = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateTitle')
    duplicate_title_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicateTitleCount')
    duplicate_title_non_indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='duplicateTitleNonIndexable')
    duplicate_title_primary_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateTitlePrimaryUrl')
    duplicate_title_primary_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='duplicateTitlePrimaryUrlDigest')
    encoding_header = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='encodingHeader')
    event_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='externalLinksCount')
    failed_reason = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='failedReason')
    faqpage_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='faqpageSchemaCount')
    fb_admins = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='fbAdmins')
    fb_app_id = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='fbAppId')
    fetch_time = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='fetchTime')
    file_extension = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='fileExtension')
    folder_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='followedLinksInCount')
    found_at_sitemap = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='foundAtUrl')
    found_in_backlinks = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInBacklinks')
    found_in_google_analytics = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInGoogleAnalytics')
    found_in_google_search_console = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInGoogleSearchConsole')
    found_in_list = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInList')
    found_in_log_summary = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInLogSummary')
    found_in_sitemap = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInSitemap')
    found_in_web_crawl = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='foundInWebCrawl')
    ga_avg_page_load_time = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='h1Count')
    h1_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='h1Length')
    has_structured_data = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hasStructuredData')
    head_tags_in_body_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='headTagsInBodyCount')
    header_content_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='headerContentType')
    header_noarchive = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNoarchive')
    header_nofollow = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNofollow')
    header_noindex = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNoindex')
    header_noodp = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNoodp')
    header_nosnippet = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNosnippet')
    header_noydir = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='headerNoydir')
    howto_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='hreflangLinksInCount')
    hreflang_links_out_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='hreflangLinksOutCount')
    hreflang_on_header = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hreflangOnHeader')
    hreflang_on_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hreflangOnPage')
    hreflang_on_sitemap = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hreflangOnSitemap')
    hreflang_url_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='hreflangUrlCount')
    hsts = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='hsts')
    html_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='htmlSize')
    http_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='httpStatusCode')
    https = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='https')
    indexable = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='indexable')
    internal = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='internal')
    internal_links_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='internalLinksCount')
    is_image = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isImage')
    is_redirect = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRedirect')
    is_redirect_loop = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isRedirectLoop')
    is_self_canonical = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isSelfCanonical')
    js = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='js')
    level = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='level')
    links_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='logRequestsTotal')
    meta_charset = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='metaCharset')
    meta_content_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='metaContentType')
    meta_disabled_sitelinks = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaDisabledSitelinks')
    meta_noarchive = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNoarchive')
    meta_nofollow = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNofollow')
    meta_noindex = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNoindex')
    meta_noodp = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNoodp')
    meta_nosnippet = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNosnippet')
    meta_noydir = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaNoydir')
    meta_redirect = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='metaRedirect')
    mobile_desktop_content_difference = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_content_mismatch = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobileDesktopContentMismatch')
    mobile_desktop_links_in_difference = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='mobileDesktopLinksOutDifference')
    mobile_reciprocate = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobileReciprocate')
    mobile_rel_alternate = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobileRelAlternate')
    mobile_rel_alternate_header_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateHeaderUrl')
    mobile_rel_alternate_header_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateHeaderUrlDigest')
    mobile_rel_alternate_html_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateHtmlUrl')
    mobile_rel_alternate_html_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateHtmlUrlDigest')
    mobile_rel_alternate_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateUrl')
    mobile_rel_alternate_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAlternateUrlDigest')
    mobile_rel_alternate_url_is_consistent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobileRelAlternateUrlIsConsistent')
    mobile_rel_amphtml = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='mobileRelAmphtml')
    mobile_rel_amphtml_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAmphtmlUrl')
    mobile_rel_amphtml_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='mobileRelAmphtmlUrlDigest')
    newsarticle_author_schema_value = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='newsarticleAuthorSchemaValue')
    newsarticle_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='newsarticleSchemaCount')
    newsarticle_schema_valid = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='newsarticleSchemaValid')
    noarchive = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='noarchive')
    nofollowed_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='nofollowedPage')
    noindex = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='noindex')
    noodp = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='noodp')
    nosnippet = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='nosnippet')
    noydir = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='noydir')
    og_description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogDescription')
    og_image = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogImage')
    og_locale = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogLocale')
    og_site_name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogSiteName')
    og_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogTitle')
    og_type = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogType')
    og_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='ogUrl')
    page1 = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='page1')
    page_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='pageTitle')
    page_title_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='pageTitleLengthPx')
    paginated_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='paginatedPage')
    param_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='paramCount')
    path0 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path0')
    path1 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path1')
    path2 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path2')
    path3 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path3')
    path4 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path4')
    path5 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path5')
    path6 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path6')
    path7 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path7')
    path8 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path8')
    path9 = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='path9')
    path_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='pathCount')
    performance_cls = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='performanceTti')
    previous_path = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='previousPath')
    previous_path_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='previousPathDigest')
    primary_page = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='primaryPage')
    primary_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrl')
    primary_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlDigest')
    primary_url_non_indexable = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='primaryUrlNonIndexable')
    product_availability_schema_value = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='productAvailabilitySchemaValue')
    product_brand_schema_value = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='productBrandSchemaValue')
    product_price_schema_value = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='productSchemaCount')
    product_schema_valid = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='productSchemaValid')
    product_sku_schema_value = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='productSkuSchemaValue')
    qapage_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='redirectCount')
    redirected_to_status_code = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='redirectedToStatusCode')
    redirected_to_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='redirectedToUrl')
    redirected_to_url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='redirectedToUrlDigest')
    redirects_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='relLinksInCount')
    rel_next_header_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relNextHeaderUrl')
    rel_next_html_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relNextHtmlUrl')
    rel_next_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relNextUrl')
    rel_next_url_is_consistent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='relNextUrlIsConsistent')
    rel_prev_header_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relPrevHeaderUrl')
    rel_prev_html_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relPrevHtmlUrl')
    rel_prev_url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='relPrevUrl')
    rel_prev_url_is_consistent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='relPrevUrlIsConsistent')
    rendered_canonical_link_match = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='renderedCanonicalLinkMatch')
    rendered_link_count_difference = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='renderedWordCountDifference')
    responsive = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='responsive')
    review_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='reviewSchemaCount')
    robots_noindex = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='robotsNoindex')
    search_console_desktop_clicks = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='searchConsoleTotalPosition')
    secure_form_input_field = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='secureFormInputField')
    separate_desktop = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='separateDesktop')
    separate_mobile = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='separateMobile')
    sitemaps_in_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='sitemapsInCount')
    twitter_card = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='twitterCard')
    twitter_description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='twitterDescription')
    twitter_description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='twitterDescriptionLength')
    twitter_image = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='twitterImage')
    twitter_site = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='twitterSite')
    twitter_title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='twitterTitle')
    url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='url')
    url_alias = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlAlias')
    url_alias_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlAliasDigest')
    url_digest = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='urlDigest')
    url_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='urlLength')
    valid_twitter_card = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='validTwitterCard')
    vary_user_agent = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='varyUserAgent')
    videoobject_schema_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='videoobjectSchemaCount')
    viewport = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='viewport')
    word_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='wordCount')


class CrawlUrlOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlUrlOrderField), graphql_name='field')


class CrawlWebCrawlDepthConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'duplicate_pages', 'failed_urls', 'level', 'non200_status_code_pages', 'non_indexable_pages', 'paginated_pages', 'unique_pages')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlWebCrawlDepthConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlWebCrawlDepthConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CrawlWebCrawlDepthConnectionFilterInput', graphql_name='and')
    duplicate_pages = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='duplicatePages')
    failed_urls = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='failedUrls')
    level = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='level')
    non200_status_code_pages = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='non200StatusCodePages')
    non_indexable_pages = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='nonIndexablePages')
    paginated_pages = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='paginatedPages')
    unique_pages = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='uniquePages')


class CrawlWebCrawlDepthOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CrawlWebCrawlDepthOrderField), graphql_name='field')


class CreateAdobeAnalyticsProjectReportSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_connection_id', 'max_rows', 'minimum_visits', 'number_of_days', 'per_page', 'project_id', 'report_suite_id', 'suite_name')
    adobe_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='adobeConnectionId')
    max_rows = sgqlc.types.Field(Int, graphql_name='maxRows')
    minimum_visits = sgqlc.types.Field(Int, graphql_name='minimumVisits')
    number_of_days = sgqlc.types.Field(Int, graphql_name='numberOfDays')
    per_page = sgqlc.types.Field(Int, graphql_name='perPage')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    report_suite_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportSuiteId')
    suite_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='suiteName')


class CreateAdobeConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('api_username', 'secret')
    api_username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='apiUsername')
    secret = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='secret')


class CreateAndRunBuildInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('ci_build_id', 'test_suite_id')
    ci_build_id = sgqlc.types.Field(String, graphql_name='ciBuildId')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class CreateBuildScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_id', 'name', 'repetition_rate', 'start_at')
    account_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='accountId')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    repetition_rate = sgqlc.types.Field(BuildScheduleRepetitionRate, graphql_name='repetitionRate')
    start_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='startAt')


class CreateCrawlUrlSegmentInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_url_filter', 'name', 'project_id')
    crawl_url_filter = sgqlc.types.Field(sgqlc.types.non_null(CrawlUrlConnectionFilterInput), graphql_name='crawlUrlFilter')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class CreateCustomChartForCustomDashboardInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('items', 'metadata', 'metric', 'type')
    items = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='items')
    metadata = sgqlc.types.Field(JSONObject, graphql_name='metadata')
    metric = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='metric')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomChartType), graphql_name='type')


class CreateCustomChartInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_dashboard_id', 'items', 'metadata', 'metric', 'type')
    custom_dashboard_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customDashboardId')
    items = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='items')
    metadata = sgqlc.types.Field(JSONObject, graphql_name='metadata')
    metric = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='metric')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomChartType), graphql_name='type')


class CreateCustomDashboardInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_id', 'custom_charts', 'custom_tables', 'name', 'type')
    account_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='accountId')
    custom_charts = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CreateCustomChartForCustomDashboardInput)), graphql_name='customCharts')
    custom_tables = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CreateCustomTableForCustomDashboardInput')), graphql_name='customTables')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboardType), graphql_name='type')


class CreateCustomTableForCustomDashboardInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('columns', 'filter', 'order_by', 'type')
    columns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='columns')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    order_by = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomTableType), graphql_name='type')


class CreateCustomTableInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('columns', 'custom_dashboard_id', 'filter', 'order_by', 'type')
    columns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='columns')
    custom_dashboard_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customDashboardId')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    order_by = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomTableType), graphql_name='type')


class CreateGoogleAnalyticsProjectViewInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection_id', 'inherit_from_schedule_period_override', 'last_ndays', 'project_id', 'session_number_min', 'view_id')
    google_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='googleConnectionId')
    inherit_from_schedule_period_override = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lastNDays')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    session_number_min = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='sessionNumberMin')
    view_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='viewId')


class CreateGoogleConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('redirect_url',)
    redirect_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='redirectUrl')


class CreateGoogleSearchConsoleConfigurationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('country', 'exclude_queries', 'include_queries', 'inherit_from_schedule_period_override', 'last_ndays', 'min_clicks', 'project_id', 'search_type', 'use_search_console_property_domains_as_start_urls')
    country = sgqlc.types.Field(String, graphql_name='country')
    exclude_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeQueries')
    include_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeQueries')
    inherit_from_schedule_period_override = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lastNDays')
    min_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minClicks')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    search_type = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleSearchType), graphql_name='searchType')
    use_search_console_property_domains_as_start_urls = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useSearchConsolePropertyDomainsAsStartUrls')


class CreateGoogleSearchConsolePropertyInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection_id', 'permission_level', 'project_id', 'site_url')
    google_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='googleConnectionId')
    permission_level = sgqlc.types.Field(String, graphql_name='permissionLevel')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    site_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='siteUrl')


class CreateJiraAuthenticationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_id', 'cloud_id', 'jira_url', 'name', 'refresh_token')
    account_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='accountId')
    cloud_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cloudId')
    jira_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraUrl')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    refresh_token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='refreshToken')


class CreateJiraIntegrationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication_id', 'jira_issue_type_id', 'jira_project_id', 'name')
    jira_authentication_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraAuthenticationId')
    jira_issue_type_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraIssueTypeId')
    jira_project_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraProjectId')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class CreateLogzioConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('label', 'token')
    label = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='label')
    token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='token')


class CreateLogzioProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'date_range', 'desktop_ua_regexp', 'enabled', 'logzio_connection_id', 'max_rows', 'mobile_ua_regexp', 'path_field_name', 'project_id', 'query_filter', 'use_last_crawl_date', 'user_agent_field_name')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='dateRange')
    desktop_ua_regexp = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='desktopUaRegexp')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    logzio_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='logzioConnectionId')
    max_rows = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRows')
    mobile_ua_regexp = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='mobileUaRegexp')
    path_field_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='pathFieldName')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    query_filter = sgqlc.types.Field(JSONObject, graphql_name='queryFilter')
    use_last_crawl_date = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useLastCrawlDate')
    user_agent_field_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='userAgentFieldName')


class CreateMajesticConfigurationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('enabled', 'max_rows', 'project_id', 'use_historic_data', 'use_root_domain')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    max_rows = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRows')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    use_historic_data = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useHistoricData')
    use_root_domain = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRootDomain')


class CreateProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_id', 'alert_emails', 'alert_setting_code', 'api_callback_headers', 'api_callback_url', 'auto_finalize_on_crawl_limits', 'compare_to_crawl', 'crawl_disallowed_urls1st_level', 'crawl_hyperlinks_external', 'crawl_images_external', 'crawl_images_internal', 'crawl_nofollow_hyperlinks', 'crawl_non_html', 'crawl_not_included1st_level', 'crawl_redirects_external', 'crawl_redirects_internal', 'crawl_rel_amphtml_external', 'crawl_rel_amphtml_internal', 'crawl_rel_canonicals_external', 'crawl_rel_canonicals_internal', 'crawl_rel_hreflangs_external', 'crawl_rel_hreflangs_internal', 'crawl_rel_mobile_external', 'crawl_rel_mobile_internal', 'crawl_rel_next_prev_external', 'crawl_rel_next_prev_internal', 'crawl_robots_txt_noindex', 'crawl_scripts_external', 'crawl_scripts_internal', 'crawl_stylesheets_external', 'crawl_stylesheets_internal', 'crawl_test_site', 'crawl_types', 'custom_dns', 'custom_extractions', 'discover_sitemaps_in_robots_txt', 'duplicate_precision', 'empty_page_threshold', 'exclude_url_patterns', 'ignore_invalid_sslcertificate', 'include_http_and_https', 'include_subdomains', 'include_url_patterns', 'limit_levels_max', 'limit_urls_max', 'location_code', 'log_summary_requests_high', 'log_summary_requests_low', 'max_body_content_length', 'max_description_length', 'max_followed_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'maximum_crawl_rate', 'maximum_crawl_rate_advanced', 'min_description_length', 'min_title_length', 'mobile_homepage_url', 'mobile_url_pattern', 'mobile_user_agent_code', 'name', 'primary_domain', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_block_custom', 'renderer_js_string', 'renderer_js_urls', 'robots_overwrite', 'secondary_domains', 'start_urls', 'test_site_domain', 'test_site_password', 'test_site_username', 'thin_page_threshold', 'url_rewrite_query_parameters', 'url_rewrite_rules', 'url_rewrite_strip_fragment', 'url_sampling', 'use_mobile_settings', 'use_renderer', 'use_robots_overwrite', 'use_stealth_mode', 'use_url_rewrite_rules', 'user_agent_code', 'user_agent_string', 'user_agent_string_mobile', 'user_agent_token', 'user_agent_token_mobile')
    account_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='accountId')
    alert_emails = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='alertEmails')
    alert_setting_code = sgqlc.types.Field(sgqlc.types.non_null(AlertSettingCode), graphql_name='alertSettingCode')
    api_callback_headers = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(APICallbackHeaderInput))), graphql_name='apiCallbackHeaders')
    api_callback_url = sgqlc.types.Field(String, graphql_name='apiCallbackUrl')
    auto_finalize_on_crawl_limits = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='autoFinalizeOnCrawlLimits')
    compare_to_crawl = sgqlc.types.Field(sgqlc.types.non_null(CompareToCrawlType), graphql_name='compareToCrawl')
    crawl_disallowed_urls1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlDisallowedUrls1stLevel')
    crawl_hyperlinks_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlHyperlinksExternal')
    crawl_images_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesExternal')
    crawl_images_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesInternal')
    crawl_nofollow_hyperlinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNofollowHyperlinks')
    crawl_non_html = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNonHtml')
    crawl_not_included1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNotIncluded1stLevel')
    crawl_redirects_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsExternal')
    crawl_redirects_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsInternal')
    crawl_rel_amphtml_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlExternal')
    crawl_rel_amphtml_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlInternal')
    crawl_rel_canonicals_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsExternal')
    crawl_rel_canonicals_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsInternal')
    crawl_rel_hreflangs_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsExternal')
    crawl_rel_hreflangs_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsInternal')
    crawl_rel_mobile_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileExternal')
    crawl_rel_mobile_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileInternal')
    crawl_rel_next_prev_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevExternal')
    crawl_rel_next_prev_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevInternal')
    crawl_robots_txt_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRobotsTxtNoindex')
    crawl_scripts_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsExternal')
    crawl_scripts_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsInternal')
    crawl_stylesheets_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsExternal')
    crawl_stylesheets_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsInternal')
    crawl_test_site = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlTestSite')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType))), graphql_name='crawlTypes')
    custom_dns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomDnsSettingInput'))), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomExtractionSettingInput'))), graphql_name='customExtractions')
    discover_sitemaps_in_robots_txt = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='discoverSitemapsInRobotsTxt')
    duplicate_precision = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='emptyPageThreshold')
    exclude_url_patterns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='excludeUrlPatterns')
    ignore_invalid_sslcertificate = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='ignoreInvalidSSLCertificate')
    include_http_and_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeHttpAndHttps')
    include_subdomains = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeSubdomains')
    include_url_patterns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='includeUrlPatterns')
    limit_levels_max = sgqlc.types.Field(Int, graphql_name='limitLevelsMax')
    limit_urls_max = sgqlc.types.Field(Int, graphql_name='limitUrlsMax')
    location_code = sgqlc.types.Field(sgqlc.types.non_null(LocationCode), graphql_name='locationCode')
    log_summary_requests_high = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsHigh')
    log_summary_requests_low = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsLow')
    max_body_content_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxBodyContentLength')
    max_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxDescriptionLength')
    max_followed_external_links = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxFollowedExternalLinks')
    max_html_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxUrlLength')
    maximum_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maximumCrawlRate')
    maximum_crawl_rate_advanced = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AdvancedCrawlRateInput))), graphql_name='maximumCrawlRateAdvanced')
    min_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minTitleLength')
    mobile_homepage_url = sgqlc.types.Field(String, graphql_name='mobileHomepageUrl')
    mobile_url_pattern = sgqlc.types.Field(String, graphql_name='mobileUrlPattern')
    mobile_user_agent_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='mobileUserAgentCode')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    primary_domain = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryDomain')
    renderer_block_ads = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAnalytics')
    renderer_block_custom = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='rendererBlockCustom')
    renderer_js_string = sgqlc.types.Field(String, graphql_name='rendererJsString')
    renderer_js_urls = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='rendererJsUrls')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    secondary_domains = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='secondaryDomains')
    start_urls = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='startUrls')
    test_site_domain = sgqlc.types.Field(String, graphql_name='testSiteDomain')
    test_site_password = sgqlc.types.Field(String, graphql_name='testSitePassword')
    test_site_username = sgqlc.types.Field(String, graphql_name='testSiteUsername')
    thin_page_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='thinPageThreshold')
    url_rewrite_query_parameters = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='urlRewriteQueryParameters')
    url_rewrite_rules = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UrlRewriteRuleInput'))), graphql_name='urlRewriteRules')
    url_rewrite_strip_fragment = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlRewriteStripFragment')
    url_sampling = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UrlSamplingInput'))), graphql_name='urlSampling')
    use_mobile_settings = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useMobileSettings')
    use_renderer = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRobotsOverwrite')
    use_stealth_mode = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useStealthMode')
    use_url_rewrite_rules = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useUrlRewriteRules')
    user_agent_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='userAgentCode')
    user_agent_string = sgqlc.types.Field(String, graphql_name='userAgentString')
    user_agent_string_mobile = sgqlc.types.Field(String, graphql_name='userAgentStringMobile')
    user_agent_token = sgqlc.types.Field(String, graphql_name='userAgentToken')
    user_agent_token_mobile = sgqlc.types.Field(String, graphql_name='userAgentTokenMobile')


class CreateProjectLegacyTaskInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('actions', 'assigned_to', 'deadline_at', 'description', 'discovered_at', 'dismissed', 'fixed_at', 'identified', 'notify_assignees', 'priority', 'project_id', 'title')
    actions = sgqlc.types.Field(String, graphql_name='actions')
    assigned_to = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='assignedTo')
    deadline_at = sgqlc.types.Field(DateTime, graphql_name='deadlineAt')
    description = sgqlc.types.Field(String, graphql_name='description')
    discovered_at = sgqlc.types.Field(DateTime, graphql_name='discoveredAt')
    dismissed = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='dismissed')
    fixed_at = sgqlc.types.Field(DateTime, graphql_name='fixedAt')
    identified = sgqlc.types.Field(Int, graphql_name='identified')
    notify_assignees = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='notifyAssignees')
    priority = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskPriority), graphql_name='priority')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    title = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='title')


class CreateReportDownloadInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_duplicate_url_filter', 'crawl_hreflangs_filter', 'crawl_id', 'crawl_link_filter', 'crawl_linked_domain_filter', 'crawl_sitemap_filter', 'crawl_uncrawled_url_filter', 'crawl_unique_link_filter', 'crawl_url_filter', 'crawl_web_crawl_depth_filter', 'file_name', 'filter', 'output_type', 'report_id', 'report_template_code', 'report_type_code', 'segment_id', 'selected_metrics')
    crawl_duplicate_url_filter = sgqlc.types.Field(CrawlDuplicateUrlConnectionFilterInput, graphql_name='crawlDuplicateUrlFilter')
    crawl_hreflangs_filter = sgqlc.types.Field(CrawlHreflangsConnectionFilterInput, graphql_name='crawlHreflangsFilter')
    crawl_id = sgqlc.types.Field(ObjectID, graphql_name='crawlId')
    crawl_link_filter = sgqlc.types.Field(CrawlLinkConnectionFilterInput, graphql_name='crawlLinkFilter')
    crawl_linked_domain_filter = sgqlc.types.Field(CrawlLinkedDomainConnectionFilterInput, graphql_name='crawlLinkedDomainFilter')
    crawl_sitemap_filter = sgqlc.types.Field(CrawlSitemapConnectionFilterInput, graphql_name='crawlSitemapFilter')
    crawl_uncrawled_url_filter = sgqlc.types.Field(CrawlUncrawledUrlConnectionFilterInput, graphql_name='crawlUncrawledUrlFilter')
    crawl_unique_link_filter = sgqlc.types.Field(CrawlUniqueLinkConnectionFilterInput, graphql_name='crawlUniqueLinkFilter')
    crawl_url_filter = sgqlc.types.Field(CrawlUrlConnectionFilterInput, graphql_name='crawlUrlFilter')
    crawl_web_crawl_depth_filter = sgqlc.types.Field(CrawlWebCrawlDepthConnectionFilterInput, graphql_name='crawlWebCrawlDepthFilter')
    file_name = sgqlc.types.Field(String, graphql_name='fileName')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    output_type = sgqlc.types.Field(sgqlc.types.non_null(ReportDownloadOutputType), graphql_name='outputType')
    report_id = sgqlc.types.Field(ObjectID, graphql_name='reportId')
    report_template_code = sgqlc.types.Field(String, graphql_name='reportTemplateCode')
    report_type_code = sgqlc.types.Field(ReportTypeCode, graphql_name='reportTypeCode')
    segment_id = sgqlc.types.Field(ObjectID, graphql_name='segmentId')
    selected_metrics = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='selectedMetrics')


class CreateReportLegacyTaskInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('actions', 'assigned_to', 'deadline_at', 'description', 'discovered_at', 'dismissed', 'filters', 'fixed_at', 'identified', 'notify_assignees', 'priority', 'report_id', 'title')
    actions = sgqlc.types.Field(String, graphql_name='actions')
    assigned_to = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='assignedTo')
    deadline_at = sgqlc.types.Field(DateTime, graphql_name='deadlineAt')
    description = sgqlc.types.Field(String, graphql_name='description')
    discovered_at = sgqlc.types.Field(DateTime, graphql_name='discoveredAt')
    dismissed = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='dismissed')
    filters = sgqlc.types.Field(JSONObject, graphql_name='filters')
    fixed_at = sgqlc.types.Field(DateTime, graphql_name='fixedAt')
    identified = sgqlc.types.Field(Int, graphql_name='identified')
    notify_assignees = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='notifyAssignees')
    priority = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskPriority), graphql_name='priority')
    report_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='reportId')
    title = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='title')


class CreateScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('next_run_time', 'project_id', 'schedule_frequency')
    next_run_time = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='nextRunTime')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    schedule_frequency = sgqlc.types.Field(sgqlc.types.non_null(ScheduleFrequencyCode), graphql_name='scheduleFrequency')


class CreateSessionUsingUserKeyInputType(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('secret', 'user_key_id')
    secret = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='secret')
    user_key_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='userKeyId')


class CreateSessionUsingUsernameInputType(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('password', 'username')
    password = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='password')
    username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='username')


class CreateSlackWebhookInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'test_suite_id', 'url')
    alert_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SlackAlertType))), graphql_name='alertTypes')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')


class CreateSplunkConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_proxy', 'password', 'proxy_code', 'url', 'username')
    custom_proxy = sgqlc.types.Field(String, graphql_name='customProxy')
    password = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='password')
    proxy_code = sgqlc.types.Field(SplunkProxyCode, graphql_name='proxyCode')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='username')


class CreateSplunkProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'date_range', 'enabled', 'project_id', 'query', 'splunk_connection_id', 'use_last_crawl_date')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='dateRange')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    query = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='query')
    splunk_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='splunkConnectionId')
    use_last_crawl_date = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useLastCrawlDate')


class CreateTestInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('absolute_threshold', 'automatic_threshold_enabled', 'create_jira_ticket_on_failure', 'jira_ticket_custom_note', 'relative_threshold', 'report_template_code', 'severity', 'test_suite_id', 'threshold_predicate', 'threshold_type')
    absolute_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='absoluteThreshold')
    automatic_threshold_enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThresholdEnabled')
    create_jira_ticket_on_failure = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='createJiraTicketOnFailure')
    jira_ticket_custom_note = sgqlc.types.Field(String, graphql_name='jiraTicketCustomNote')
    relative_threshold = sgqlc.types.Field(Int, graphql_name='relativeThreshold')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    severity = sgqlc.types.Field(Severity, graphql_name='severity')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')
    threshold_predicate = sgqlc.types.Field(sgqlc.types.non_null(ThresholdPredicate), graphql_name='thresholdPredicate')
    threshold_type = sgqlc.types.Field(sgqlc.types.non_null(ThresholdType), graphql_name='thresholdType')


class CreateTestSuiteEmailAlertInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'email', 'test_suite_id')
    alert_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(EmailAlertType))), graphql_name='alertTypes')
    email = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='email')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class CreateTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_id', 'alert_emails', 'automatic_threshold', 'automatic_threshold_enabled_for_all', 'crawl_rate', 'crawl_types', 'custom_dns', 'custom_extractions', 'custom_header_user_agent', 'custom_header_user_agent_short', 'duplicate_precision', 'empty_page_threshold', 'high_log_summary_requests', 'limit_pages_max', 'location', 'low_log_summary_requests', 'max_content_size', 'max_description_length', 'max_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'min_content_ratio', 'min_description_length', 'min_title_length', 'name', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_block_custom', 'renderer_js_string', 'renderer_js_urls', 'robots_overwrite', 'site_primary', 'site_test', 'site_test_pass', 'site_test_user', 'start_urls', 'thin_page_threshold', 'urls_excluded', 'urls_included', 'use_renderer', 'use_robots_overwrite')
    account_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='accountId')
    alert_emails = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='alertEmails')
    automatic_threshold = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThreshold')
    automatic_threshold_enabled_for_all = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThresholdEnabledForAll')
    crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='crawlRate')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteCrawlType))), graphql_name='crawlTypes')
    custom_dns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomDnsSettingInput')), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomExtractionSettingInput')), graphql_name='customExtractions')
    custom_header_user_agent = sgqlc.types.Field(String, graphql_name='customHeaderUserAgent')
    custom_header_user_agent_short = sgqlc.types.Field(String, graphql_name='customHeaderUserAgentShort')
    duplicate_precision = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='emptyPageThreshold')
    high_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='highLogSummaryRequests')
    limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitPagesMax')
    location = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteLocationCode), graphql_name='location')
    low_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lowLogSummaryRequests')
    max_content_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxContentSize')
    max_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxDescriptionLength')
    max_external_links = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxExternalLinks')
    max_html_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxUrlLength')
    min_content_ratio = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minTitleLength')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    renderer_block_ads = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAnalytics')
    renderer_block_custom = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererBlockCustom')
    renderer_js_string = sgqlc.types.Field(String, graphql_name='rendererJsString')
    renderer_js_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererJsUrls')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    site_primary = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(String, graphql_name='siteTest')
    site_test_pass = sgqlc.types.Field(String, graphql_name='siteTestPass')
    site_test_user = sgqlc.types.Field(String, graphql_name='siteTestUser')
    start_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='startUrls')
    thin_page_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='thinPageThreshold')
    urls_excluded = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsExcluded')
    urls_included = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsIncluded')
    use_renderer = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRobotsOverwrite')


class CreateUrlFileUploadForProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_type', 'enabled', 'project_id', 'project_upload_type', 'upload_base_domain')
    crawl_type = sgqlc.types.Field(sgqlc.types.non_null(CrawlType), graphql_name='crawlType')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    project_upload_type = sgqlc.types.Field(ProjectUploadType, graphql_name='projectUploadType')
    upload_base_domain = sgqlc.types.Field(String, graphql_name='uploadBaseDomain')


class CreateUrlFileUploadForTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_type', 'enabled', 'project_upload_type', 'test_suite_id', 'upload_base_domain')
    crawl_type = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteCrawlType), graphql_name='crawlType')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    project_upload_type = sgqlc.types.Field(ProjectUploadType, graphql_name='projectUploadType')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')
    upload_base_domain = sgqlc.types.Field(String, graphql_name='uploadBaseDomain')


class CustomChartConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'metric', 'type', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomChartConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomChartConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CustomChartConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    metric = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='metric')
    type = sgqlc.types.Field(ConnectionCustomChartTypeFilterInput, graphql_name='type')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class CustomChartOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CustomChartOrderField), graphql_name='field')


class CustomDashboardConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'account_id', 'and_', 'created_at', 'name', 'type', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomDashboardConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomDashboardConnectionFilterInput')), graphql_name='_or')
    account_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='accountId')
    and_ = sgqlc.types.Field('CustomDashboardConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')
    type = sgqlc.types.Field(ConnectionCustomDashboardTypeFilterInput, graphql_name='type')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class CustomDashboardOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboardOrderField), graphql_name='field')


class CustomDnsSettingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('hostname', 'ip_address')
    hostname = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='hostname')
    ip_address = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='ipAddress')


class CustomExtractionSettingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('clean_html_tags', 'label', 'match_number_from', 'match_number_to', 'regex', 'regex_filter')
    clean_html_tags = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='cleanHtmlTags')
    label = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='label')
    match_number_from = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='matchNumberFrom')
    match_number_to = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='matchNumberTo')
    regex = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='regex')
    regex_filter = sgqlc.types.Field(String, graphql_name='regexFilter')


class CustomMetricContainerConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'name')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CustomMetricContainerConnectionFilterInput', graphql_name='and')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')


class CustomMetricContainerOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainerOrderField), graphql_name='field')


class CustomMetricContainerVersionConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'failed_at', 'processed_at', 'processing_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerVersionConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerVersionConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CustomMetricContainerVersionConnectionFilterInput', graphql_name='and')
    failed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='failedAt')
    processed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='processedAt')
    processing_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='processingAt')


class CustomMetricContainerVersionOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainerVersionOrderField), graphql_name='field')


class CustomTableConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'type', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomTableConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomTableConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('CustomTableConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    type = sgqlc.types.Field(ConnectionCustomTableTypeFilterInput, graphql_name='type')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class CustomTableOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(CustomTableOrderField), graphql_name='field')


class DeleteAdobeAnalyticsProjectReportSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suite_id',)
    adobe_analytics_project_report_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='adobeAnalyticsProjectReportSuiteId')


class DeleteAdobeConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_connection_id',)
    adobe_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='adobeConnectionId')


class DeleteBuildScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_id',)
    build_schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildScheduleId')


class DeleteCrawlInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class DeleteGoogleAnalyticsProjectViewInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id',)
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class DeleteGoogleConnectionInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection_id',)
    google_connection_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='googleConnectionId')


class DeleteGoogleSearchConsoleConfigurationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id',)
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class DeleteGoogleSearchConsolePropertyInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_property_id',)
    google_search_console_property_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='googleSearchConsolePropertyId')


class DeleteJiraAuthenticationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication_id',)
    jira_authentication_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraAuthenticationId')


class DeleteJiraIntegrationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration_id',)
    jira_integration_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraIntegrationId')


class DeleteLegacyTaskInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('legacy_task_id',)
    legacy_task_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='legacyTaskId')


class DeleteLogzioProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('logzio_project_query_id',)
    logzio_project_query_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='logzioProjectQueryId')


class DeleteReportDownloadInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('report_download_id',)
    report_download_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='reportDownloadId')


class DeleteScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('schedule_id',)
    schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='scheduleId')


class DeleteSegmentInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('segment_id',)
    segment_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='segmentId')


class DeleteSlackWebhookInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('slack_webhook_id',)
    slack_webhook_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='slackWebhookId')


class DeleteSplunkProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('splunk_project_query_id',)
    splunk_project_query_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='splunkProjectQueryId')


class DeleteTestInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_id',)
    test_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testId')


class DeleteTestSuiteEmailAlertInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_email_alert_id',)
    test_suite_email_alert_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteEmailAlertId')


class DeleteTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_id',)
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class DeleteUrlFileUploadInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('url_file_upload_id',)
    url_file_upload_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='urlFileUploadId')


class DeleteUserKeyInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('user_key_id',)
    user_key_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='userKeyId')


class DisableSitemapInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id', 'url_digest')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')


class DisableSitemapsInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id',)
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class EnableSitemapInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id', 'url_digest')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')


class EnableSitemapsInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id',)
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class GetJiraIssueTypesInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication_id', 'jira_project_id')
    jira_authentication_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraAuthenticationId')
    jira_project_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraProjectId')


class GetJiraProjectsInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication_id', 'name_contains')
    jira_authentication_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraAuthenticationId')
    name_contains = sgqlc.types.Field(String, graphql_name='nameContains')


class GetReportInputType(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id', 'report_template_code', 'report_type_code', 'segment_id')
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    report_type_code = sgqlc.types.Field(sgqlc.types.non_null(ReportTypeCode), graphql_name='reportTypeCode')
    segment_id = sgqlc.types.Field(ObjectID, graphql_name='segmentId')


class GoogleSearchConsolePropertyOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsolePropertyOrderField), graphql_name='field')


class LegacyTaskConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'description', 'fixed_at', 'identified', 'priority', 'remaining', 'segment_id', 'title')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LegacyTaskConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LegacyTaskConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('LegacyTaskConnectionFilterInput', graphql_name='and')
    description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='description')
    fixed_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='fixedAt')
    identified = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='identified')
    priority = sgqlc.types.Field(ConnectionLegacyTaskPriorityFilterInput, graphql_name='priority')
    remaining = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='remaining')
    segment_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='segmentId')
    title = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='title')


class LegacyTaskOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskOrderField), graphql_name='field')


class LinkChildTestSuiteToParentTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('child_test_suite_id', 'parent_test_suite_id')
    child_test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='childTestSuiteId')
    parent_test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='parentTestSuiteId')


class LinkCustomMetricContainerToProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_metric_container_id', 'project_id')
    custom_metric_container_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customMetricContainerId')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class LinkJiraIntegrationToTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration_id', 'test_suite_id')
    jira_integration_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraIntegrationId')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class LinkTestSuiteToBuildScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_id', 'test_suite_id')
    build_schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildScheduleId')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')


class LogzioConnectionConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'label', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LogzioConnectionConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LogzioConnectionConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('LogzioConnectionConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    label = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='label')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class LogzioConnectionOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(LogzioConnectionOrderField), graphql_name='field')


class LogzioProjectQueryConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'date_range', 'enabled', 'max_rows', 'updated_at', 'use_last_crawl_date')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LogzioProjectQueryConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LogzioProjectQueryConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('LogzioProjectQueryConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    date_range = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='dateRange')
    enabled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='enabled')
    max_rows = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxRows')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    use_last_crawl_date = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useLastCrawlDate')


class LogzioProjectQueryOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(LogzioProjectQueryOrderField), graphql_name='field')


class PauseCrawlingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class ProjectConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'all_pages_total', 'and_', 'crawl_rate', 'crawling_at', 'crawls_total_count', 'created_at', 'duplicate_precision', 'empty_page_threshold', 'finished_at', 'force_monitor_app', 'high_log_summary_requests', 'is_test_suite', 'last_crawl_crawling_at', 'last_crawl_status', 'legacy_tasks_total_count', 'limit_pages_max', 'low_log_summary_requests', 'max_content_size', 'max_description_length', 'max_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'min_content_ratio', 'min_description_length', 'min_title_length', 'name', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_js_string', 'robots_overwrite', 'schedules_total_count', 'segments_total_count', 'site_primary', 'site_test', 'tests_total_count', 'thin_page_threshold', 'total_steps', 'updated_at', 'use_renderer', 'use_robots_overwrite')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ProjectConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ProjectConnectionFilterInput')), graphql_name='_or')
    all_pages_total = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='allPagesTotal')
    and_ = sgqlc.types.Field('ProjectConnectionFilterInput', graphql_name='and')
    crawl_rate = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='crawlRate')
    crawling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlingAt')
    crawls_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='crawlsTotalCount')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    duplicate_precision = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='emptyPageThreshold')
    finished_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='finishedAt')
    force_monitor_app = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='forceMonitorApp')
    high_log_summary_requests = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='highLogSummaryRequests')
    is_test_suite = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isTestSuite')
    last_crawl_crawling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='lastCrawlCrawlingAt')
    last_crawl_status = sgqlc.types.Field(ConnectionCrawlStatusFilterInput, graphql_name='lastCrawlStatus')
    legacy_tasks_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='legacyTasksTotalCount')
    limit_pages_max = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='limitPagesMax')
    low_log_summary_requests = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='lowLogSummaryRequests')
    max_content_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxContentSize')
    max_description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxDescriptionLength')
    max_external_links = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxExternalLinks')
    max_html_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxUrlLength')
    min_content_ratio = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='minTitleLength')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')
    renderer_block_ads = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='rendererBlockAnalytics')
    renderer_js_string = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='rendererJsString')
    robots_overwrite = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='robotsOverwrite')
    schedules_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='schedulesTotalCount')
    segments_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='segmentsTotalCount')
    site_primary = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='siteTest')
    tests_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='testsTotalCount')
    thin_page_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='thinPageThreshold')
    total_steps = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='totalSteps')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    use_renderer = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRobotsOverwrite')


class ProjectOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(ProjectOrderField), graphql_name='field')


class ReportConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'change', 'created_at', 'datasource_code', 'datasource_code_enum', 'has_changes', 'query_version', 'report_template_code', 'report_type_code', 'report_type_code_enum', 'segment_id', 'total_rows', 'total_weight')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('ReportConnectionFilterInput', graphql_name='and')
    change = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='change')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    datasource_code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='datasourceCode')
    datasource_code_enum = sgqlc.types.Field(ConnectionDatasourceCodeFilterInput, graphql_name='datasourceCodeEnum')
    has_changes = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='hasChanges')
    query_version = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='queryVersion')
    report_template_code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='reportTemplateCode')
    report_type_code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='reportTypeCode')
    report_type_code_enum = sgqlc.types.Field(ConnectionReportTypeCodeFilterInput, graphql_name='reportTypeCodeEnum')
    segment_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='segmentId')
    total_rows = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='totalRows')
    total_weight = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='totalWeight')


class ReportDownloadConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'segment_id', 'total_rows', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportDownloadConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportDownloadConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('ReportDownloadConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    segment_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='segmentId')
    total_rows = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='totalRows')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class ReportDownloadOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(ReportDownloadOrderField), graphql_name='field')


class ReportOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(ReportOrderField), graphql_name='field')


class ReportTemplateConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'beta', 'categories_raw', 'change_sign', 'change_weight', 'code', 'created_at', 'datasource_code', 'datasource_code_enum', 'deleted_at', 'description', 'healthscore_category', 'healthscore_subcategories_raw', 'name', 'position', 'subcategories_raw', 'summary', 'tags_raw', 'total_sign', 'total_weight', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportTemplateConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('ReportTemplateConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('ReportTemplateConnectionFilterInput', graphql_name='and')
    beta = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='beta')
    categories_raw = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='categoriesRaw')
    change_sign = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='changeSign')
    change_weight = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='changeWeight')
    code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='code')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    datasource_code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='datasourceCode')
    datasource_code_enum = sgqlc.types.Field(ConnectionDatasourceCodeFilterInput, graphql_name='datasourceCodeEnum')
    deleted_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='deletedAt')
    description = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='description')
    healthscore_category = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='healthscoreCategory')
    healthscore_subcategories_raw = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='healthscoreSubcategoriesRaw')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')
    position = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='position')
    subcategories_raw = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='subcategoriesRaw')
    summary = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='summary')
    tags_raw = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='tagsRaw')
    total_sign = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='totalSign')
    total_weight = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='totalWeight')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class ReportTemplateOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(ReportTemplateOrderField), graphql_name='field')


class RequestPasswordResetInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('email',)
    email = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='email')


class ResetPasswordInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('new_password', 'password_reset_token', 'skip_leaked_password_validation')
    new_password = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='newPassword')
    password_reset_token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='passwordResetToken')
    skip_leaked_password_validation = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='skipLeakedPasswordValidation')


class ResumeCrawlingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class RunCrawlForProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project_id',)
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class SegmentConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'name', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SegmentConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SegmentConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('SegmentConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class SegmentOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(SegmentOrderField), graphql_name='field')


class SetBuildScheduleTestSuitesInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_id', 'test_suite_ids')
    build_schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildScheduleId')
    test_suite_ids = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID))), graphql_name='testSuiteIds')


class ShareProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('expires_at', 'project_id', 'target_url')
    expires_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='expiresAt')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    target_url = sgqlc.types.Field(String, graphql_name='targetUrl')


class SlackWebhookOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(SlackWebhookOrderField), graphql_name='field')


class SplunkConnectionConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'updated_at', 'url', 'username')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SplunkConnectionConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SplunkConnectionConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('SplunkConnectionConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    url = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='url')
    username = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='username')


class SplunkConnectionOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(SplunkConnectionOrderField), graphql_name='field')


class SplunkProjectQueryConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at', 'date_range', 'enabled', 'query', 'updated_at', 'use_last_crawl_date')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SplunkProjectQueryConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('SplunkProjectQueryConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('SplunkProjectQueryConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    date_range = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='dateRange')
    enabled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='enabled')
    query = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='query')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    use_last_crawl_date = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useLastCrawlDate')


class SplunkProjectQueryOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(SplunkProjectQueryOrderField), graphql_name='field')


class TestConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'absolute_threshold', 'and_', 'automatic_threshold_enabled', 'create_jira_ticket_on_failure', 'created_at', 'relative_threshold', 'severity', 'updated_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestConnectionFilterInput')), graphql_name='_or')
    absolute_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='absoluteThreshold')
    and_ = sgqlc.types.Field('TestConnectionFilterInput', graphql_name='and')
    automatic_threshold_enabled = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='automaticThresholdEnabled')
    create_jira_ticket_on_failure = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='createJiraTicketOnFailure')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    relative_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='relativeThreshold')
    severity = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='severity')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')


class TestOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(TestOrderField), graphql_name='field')


class TestResultConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'passed', 'report_template_code', 'severity')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestResultConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestResultConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('TestResultConnectionFilterInput', graphql_name='and')
    passed = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='passed')
    report_template_code = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='reportTemplateCode')
    severity = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='severity')


class TestResultOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(TestResultOrderField), graphql_name='field')


class TestSuiteConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'all_pages_total', 'and_', 'cloned_at', 'crawl_rate', 'crawling_at', 'crawls_total_count', 'created_at', 'duplicate_precision', 'empty_page_threshold', 'finished_at', 'force_monitor_app', 'high_log_summary_requests', 'is_test_suite', 'last_crawl_crawling_at', 'last_crawl_status', 'legacy_tasks_total_count', 'limit_pages_max', 'low_log_summary_requests', 'max_content_size', 'max_description_length', 'max_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'min_content_ratio', 'min_description_length', 'min_title_length', 'name', 'parent_linked_at', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_js_string', 'robots_overwrite', 'schedules_total_count', 'segments_total_count', 'site_primary', 'site_test', 'tests_total_count', 'thin_page_threshold', 'total_steps', 'updated_at', 'use_renderer', 'use_robots_overwrite')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestSuiteConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('TestSuiteConnectionFilterInput')), graphql_name='_or')
    all_pages_total = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='allPagesTotal')
    and_ = sgqlc.types.Field('TestSuiteConnectionFilterInput', graphql_name='and')
    cloned_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='clonedAt')
    crawl_rate = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='crawlRate')
    crawling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='crawlingAt')
    crawls_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='crawlsTotalCount')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')
    duplicate_precision = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='emptyPageThreshold')
    finished_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='finishedAt')
    force_monitor_app = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='forceMonitorApp')
    high_log_summary_requests = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='highLogSummaryRequests')
    is_test_suite = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='isTestSuite')
    last_crawl_crawling_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='lastCrawlCrawlingAt')
    last_crawl_status = sgqlc.types.Field(ConnectionCrawlStatusFilterInput, graphql_name='lastCrawlStatus')
    legacy_tasks_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='legacyTasksTotalCount')
    limit_pages_max = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='limitPagesMax')
    low_log_summary_requests = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='lowLogSummaryRequests')
    max_content_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxContentSize')
    max_description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxDescriptionLength')
    max_external_links = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxExternalLinks')
    max_html_size = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='maxUrlLength')
    min_content_ratio = sgqlc.types.Field(ConnectionFloatFilterInput, graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='minTitleLength')
    name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='name')
    parent_linked_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='parentLinkedAt')
    renderer_block_ads = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='rendererBlockAnalytics')
    renderer_js_string = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='rendererJsString')
    robots_overwrite = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='robotsOverwrite')
    schedules_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='schedulesTotalCount')
    segments_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='segmentsTotalCount')
    site_primary = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='siteTest')
    tests_total_count = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='testsTotalCount')
    thin_page_threshold = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='thinPageThreshold')
    total_steps = sgqlc.types.Field(ConnectionIntFilterInput, graphql_name='totalSteps')
    updated_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='updatedAt')
    use_renderer = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(ConnectionBooleanFilterInput, graphql_name='useRobotsOverwrite')


class TestSuiteEmailAlertOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteEmailAlertOrderField), graphql_name='field')


class TestSuiteOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteOrderField), graphql_name='field')


class UnarchiveCrawlInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id',)
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')


class UnlinkChildTestSuiteFromParentTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('child_test_suite_id',)
    child_test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='childTestSuiteId')


class UnlinkCustomMetricContainerFromProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_metric_container_id', 'project_id')
    custom_metric_container_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customMetricContainerId')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')


class UnlinkJiraIntegrationFromTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_jira_integration_id',)
    test_suite_jira_integration_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteJiraIntegrationId')


class UnlinkTestSuiteFromBuildScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_test_suite_id',)
    build_schedule_test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildScheduleTestSuiteId')


class UpdateAdobeAnalyticsProjectReportSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suite_id', 'adobe_connection_id', 'max_rows', 'minimum_visits', 'number_of_days', 'per_page', 'report_suite_id', 'suite_name')
    adobe_analytics_project_report_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='adobeAnalyticsProjectReportSuiteId')
    adobe_connection_id = sgqlc.types.Field(ObjectID, graphql_name='adobeConnectionId')
    max_rows = sgqlc.types.Field(Int, graphql_name='maxRows')
    minimum_visits = sgqlc.types.Field(Int, graphql_name='minimumVisits')
    number_of_days = sgqlc.types.Field(Int, graphql_name='numberOfDays')
    per_page = sgqlc.types.Field(Int, graphql_name='perPage')
    report_suite_id = sgqlc.types.Field(String, graphql_name='reportSuiteId')
    suite_name = sgqlc.types.Field(String, graphql_name='suiteName')


class UpdateBuildScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_id', 'name', 'repetition_rate', 'start_at')
    build_schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='buildScheduleId')
    name = sgqlc.types.Field(String, graphql_name='name')
    repetition_rate = sgqlc.types.Field(BuildScheduleRepetitionRate, graphql_name='repetitionRate')
    start_at = sgqlc.types.Field(DateTime, graphql_name='startAt')


class UpdateCurrentUserInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('first_name', 'job_title', 'last_name')
    first_name = sgqlc.types.Field(String, graphql_name='firstName')
    job_title = sgqlc.types.Field(String, graphql_name='jobTitle')
    last_name = sgqlc.types.Field(String, graphql_name='lastName')


class UpdateCustomChartInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_chart_id', 'items', 'metadata', 'metric')
    custom_chart_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customChartId')
    items = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='items')
    metadata = sgqlc.types.Field(JSONObject, graphql_name='metadata')
    metric = sgqlc.types.Field(String, graphql_name='metric')


class UpdateCustomDashboardInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_dashboard_id', 'name')
    custom_dashboard_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customDashboardId')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class UpdateCustomTableInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('columns', 'custom_table_id', 'filter', 'order_by')
    columns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='columns')
    custom_table_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='customTableId')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    order_by = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy')


class UpdateGoogleAnalyticsProjectViewInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection_id', 'inherit_from_schedule_period_override', 'last_ndays', 'project_id', 'session_number_min', 'view_id')
    google_connection_id = sgqlc.types.Field(ObjectID, graphql_name='googleConnectionId')
    inherit_from_schedule_period_override = sgqlc.types.Field(Boolean, graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(Int, graphql_name='lastNDays')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    session_number_min = sgqlc.types.Field(Int, graphql_name='sessionNumberMin')
    view_id = sgqlc.types.Field(String, graphql_name='viewId')


class UpdateGoogleSearchConsoleConfigurationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('country', 'exclude_queries', 'include_queries', 'inherit_from_schedule_period_override', 'last_ndays', 'min_clicks', 'project_id', 'search_type', 'use_search_console_property_domains_as_start_urls')
    country = sgqlc.types.Field(String, graphql_name='country')
    exclude_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeQueries')
    include_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeQueries')
    inherit_from_schedule_period_override = sgqlc.types.Field(Boolean, graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(Int, graphql_name='lastNDays')
    min_clicks = sgqlc.types.Field(Int, graphql_name='minClicks')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    search_type = sgqlc.types.Field(GoogleSearchConsoleSearchType, graphql_name='searchType')
    use_search_console_property_domains_as_start_urls = sgqlc.types.Field(Boolean, graphql_name='useSearchConsolePropertyDomainsAsStartUrls')


class UpdateGoogleSearchConsolePropertyInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection_id', 'google_search_console_property_id', 'permission_level', 'site_url')
    google_connection_id = sgqlc.types.Field(ObjectID, graphql_name='googleConnectionId')
    google_search_console_property_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='googleSearchConsolePropertyId')
    permission_level = sgqlc.types.Field(String, graphql_name='permissionLevel')
    site_url = sgqlc.types.Field(String, graphql_name='siteUrl')


class UpdateJiraAuthenticationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication_id', 'name')
    jira_authentication_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraAuthenticationId')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class UpdateJiraIntegrationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration_id', 'jira_issue_type_id', 'jira_project_id', 'name')
    jira_integration_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='jiraIntegrationId')
    jira_issue_type_id = sgqlc.types.Field(String, graphql_name='jiraIssueTypeId')
    jira_project_id = sgqlc.types.Field(String, graphql_name='jiraProjectId')
    name = sgqlc.types.Field(String, graphql_name='name')


class UpdateLegacyTaskInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('assigned_to', 'deadline_at', 'description', 'fixed_at', 'legacy_task_id', 'notify_assignees', 'priority', 'title')
    assigned_to = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='assignedTo')
    deadline_at = sgqlc.types.Field(DateTime, graphql_name='deadlineAt')
    description = sgqlc.types.Field(String, graphql_name='description')
    fixed_at = sgqlc.types.Field(DateTime, graphql_name='fixedAt')
    legacy_task_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='legacyTaskId')
    notify_assignees = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='notifyAssignees')
    priority = sgqlc.types.Field(LegacyTaskPriority, graphql_name='priority')
    title = sgqlc.types.Field(String, graphql_name='title')


class UpdateLogzioProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'date_range', 'desktop_ua_regexp', 'enabled', 'logzio_connection_id', 'logzio_project_query_id', 'max_rows', 'mobile_ua_regexp', 'path_field_name', 'query_filter', 'use_last_crawl_date', 'user_agent_field_name')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    date_range = sgqlc.types.Field(Int, graphql_name='dateRange')
    desktop_ua_regexp = sgqlc.types.Field(String, graphql_name='desktopUaRegexp')
    enabled = sgqlc.types.Field(Boolean, graphql_name='enabled')
    logzio_connection_id = sgqlc.types.Field(ObjectID, graphql_name='logzioConnectionId')
    logzio_project_query_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='logzioProjectQueryId')
    max_rows = sgqlc.types.Field(Int, graphql_name='maxRows')
    mobile_ua_regexp = sgqlc.types.Field(String, graphql_name='mobileUaRegexp')
    path_field_name = sgqlc.types.Field(String, graphql_name='pathFieldName')
    query_filter = sgqlc.types.Field(JSONObject, graphql_name='queryFilter')
    use_last_crawl_date = sgqlc.types.Field(Boolean, graphql_name='useLastCrawlDate')
    user_agent_field_name = sgqlc.types.Field(String, graphql_name='userAgentFieldName')


class UpdateMajesticConfigurationInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('enabled', 'max_rows', 'project_id', 'use_historic_data', 'use_root_domain')
    enabled = sgqlc.types.Field(Boolean, graphql_name='enabled')
    max_rows = sgqlc.types.Field(Int, graphql_name='maxRows')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    use_historic_data = sgqlc.types.Field(Boolean, graphql_name='useHistoricData')
    use_root_domain = sgqlc.types.Field(Boolean, graphql_name='useRootDomain')


class UpdatePasswordInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('new_password', 'skip_leaked_password_validation')
    new_password = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='newPassword')
    skip_leaked_password_validation = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='skipLeakedPasswordValidation')


class UpdateProjectInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_emails', 'alert_setting_code', 'api_callback_headers', 'api_callback_url', 'auto_finalize_on_crawl_limits', 'compare_to_crawl', 'crawl_disallowed_urls1st_level', 'crawl_hyperlinks_external', 'crawl_images_external', 'crawl_images_internal', 'crawl_nofollow_hyperlinks', 'crawl_non_html', 'crawl_not_included1st_level', 'crawl_redirects_external', 'crawl_redirects_internal', 'crawl_rel_amphtml_external', 'crawl_rel_amphtml_internal', 'crawl_rel_canonicals_external', 'crawl_rel_canonicals_internal', 'crawl_rel_hreflangs_external', 'crawl_rel_hreflangs_internal', 'crawl_rel_mobile_external', 'crawl_rel_mobile_internal', 'crawl_rel_next_prev_external', 'crawl_rel_next_prev_internal', 'crawl_robots_txt_noindex', 'crawl_scripts_external', 'crawl_scripts_internal', 'crawl_stylesheets_external', 'crawl_stylesheets_internal', 'crawl_test_site', 'crawl_types', 'custom_dns', 'custom_extractions', 'discover_sitemaps_in_robots_txt', 'duplicate_precision', 'empty_page_threshold', 'exclude_url_patterns', 'ignore_invalid_sslcertificate', 'include_http_and_https', 'include_subdomains', 'include_url_patterns', 'limit_levels_max', 'limit_urls_max', 'location_code', 'log_summary_requests_high', 'log_summary_requests_low', 'max_body_content_length', 'max_description_length', 'max_followed_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'maximum_crawl_rate', 'maximum_crawl_rate_advanced', 'min_description_length', 'min_title_length', 'mobile_homepage_url', 'mobile_url_pattern', 'mobile_user_agent_code', 'name', 'primary_domain', 'project_id', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_block_custom', 'renderer_js_string', 'renderer_js_urls', 'robots_overwrite', 'secondary_domains', 'start_urls', 'test_site_domain', 'test_site_password', 'test_site_username', 'thin_page_threshold', 'url_rewrite_query_parameters', 'url_rewrite_rules', 'url_rewrite_strip_fragment', 'url_sampling', 'use_mobile_settings', 'use_renderer', 'use_robots_overwrite', 'use_stealth_mode', 'use_url_rewrite_rules', 'user_agent_code', 'user_agent_string', 'user_agent_string_mobile', 'user_agent_token', 'user_agent_token_mobile')
    alert_emails = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='alertEmails')
    alert_setting_code = sgqlc.types.Field(AlertSettingCode, graphql_name='alertSettingCode')
    api_callback_headers = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(APICallbackHeaderInput)), graphql_name='apiCallbackHeaders')
    api_callback_url = sgqlc.types.Field(String, graphql_name='apiCallbackUrl')
    auto_finalize_on_crawl_limits = sgqlc.types.Field(Boolean, graphql_name='autoFinalizeOnCrawlLimits')
    compare_to_crawl = sgqlc.types.Field(CompareToCrawl, graphql_name='compareToCrawl')
    crawl_disallowed_urls1st_level = sgqlc.types.Field(Boolean, graphql_name='crawlDisallowedUrls1stLevel')
    crawl_hyperlinks_external = sgqlc.types.Field(Boolean, graphql_name='crawlHyperlinksExternal')
    crawl_images_external = sgqlc.types.Field(Boolean, graphql_name='crawlImagesExternal')
    crawl_images_internal = sgqlc.types.Field(Boolean, graphql_name='crawlImagesInternal')
    crawl_nofollow_hyperlinks = sgqlc.types.Field(Boolean, graphql_name='crawlNofollowHyperlinks')
    crawl_non_html = sgqlc.types.Field(Boolean, graphql_name='crawlNonHtml')
    crawl_not_included1st_level = sgqlc.types.Field(Boolean, graphql_name='crawlNotIncluded1stLevel')
    crawl_redirects_external = sgqlc.types.Field(Boolean, graphql_name='crawlRedirectsExternal')
    crawl_redirects_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRedirectsInternal')
    crawl_rel_amphtml_external = sgqlc.types.Field(Boolean, graphql_name='crawlRelAmphtmlExternal')
    crawl_rel_amphtml_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRelAmphtmlInternal')
    crawl_rel_canonicals_external = sgqlc.types.Field(Boolean, graphql_name='crawlRelCanonicalsExternal')
    crawl_rel_canonicals_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRelCanonicalsInternal')
    crawl_rel_hreflangs_external = sgqlc.types.Field(Boolean, graphql_name='crawlRelHreflangsExternal')
    crawl_rel_hreflangs_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRelHreflangsInternal')
    crawl_rel_mobile_external = sgqlc.types.Field(Boolean, graphql_name='crawlRelMobileExternal')
    crawl_rel_mobile_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRelMobileInternal')
    crawl_rel_next_prev_external = sgqlc.types.Field(Boolean, graphql_name='crawlRelNextPrevExternal')
    crawl_rel_next_prev_internal = sgqlc.types.Field(Boolean, graphql_name='crawlRelNextPrevInternal')
    crawl_robots_txt_noindex = sgqlc.types.Field(Boolean, graphql_name='crawlRobotsTxtNoindex')
    crawl_scripts_external = sgqlc.types.Field(Boolean, graphql_name='crawlScriptsExternal')
    crawl_scripts_internal = sgqlc.types.Field(Boolean, graphql_name='crawlScriptsInternal')
    crawl_stylesheets_external = sgqlc.types.Field(Boolean, graphql_name='crawlStylesheetsExternal')
    crawl_stylesheets_internal = sgqlc.types.Field(Boolean, graphql_name='crawlStylesheetsInternal')
    crawl_test_site = sgqlc.types.Field(Boolean, graphql_name='crawlTestSite')
    crawl_types = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType)), graphql_name='crawlTypes')
    custom_dns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomDnsSettingInput)), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomExtractionSettingInput)), graphql_name='customExtractions')
    discover_sitemaps_in_robots_txt = sgqlc.types.Field(Boolean, graphql_name='discoverSitemapsInRobotsTxt')
    duplicate_precision = sgqlc.types.Field(Float, graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(Int, graphql_name='emptyPageThreshold')
    exclude_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeUrlPatterns')
    ignore_invalid_sslcertificate = sgqlc.types.Field(Boolean, graphql_name='ignoreInvalidSSLCertificate')
    include_http_and_https = sgqlc.types.Field(Boolean, graphql_name='includeHttpAndHttps')
    include_subdomains = sgqlc.types.Field(Boolean, graphql_name='includeSubdomains')
    include_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeUrlPatterns')
    limit_levels_max = sgqlc.types.Field(Int, graphql_name='limitLevelsMax')
    limit_urls_max = sgqlc.types.Field(Int, graphql_name='limitUrlsMax')
    location_code = sgqlc.types.Field(LocationCode, graphql_name='locationCode')
    log_summary_requests_high = sgqlc.types.Field(Int, graphql_name='logSummaryRequestsHigh')
    log_summary_requests_low = sgqlc.types.Field(Int, graphql_name='logSummaryRequestsLow')
    max_body_content_length = sgqlc.types.Field(Int, graphql_name='maxBodyContentLength')
    max_description_length = sgqlc.types.Field(Int, graphql_name='maxDescriptionLength')
    max_followed_external_links = sgqlc.types.Field(Int, graphql_name='maxFollowedExternalLinks')
    max_html_size = sgqlc.types.Field(Int, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(Int, graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(Float, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(Int, graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(Int, graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(Int, graphql_name='maxUrlLength')
    maximum_crawl_rate = sgqlc.types.Field(Float, graphql_name='maximumCrawlRate')
    maximum_crawl_rate_advanced = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(AdvancedCrawlRateInput)), graphql_name='maximumCrawlRateAdvanced')
    min_description_length = sgqlc.types.Field(Int, graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(Int, graphql_name='minTitleLength')
    mobile_homepage_url = sgqlc.types.Field(String, graphql_name='mobileHomepageUrl')
    mobile_url_pattern = sgqlc.types.Field(String, graphql_name='mobileUrlPattern')
    mobile_user_agent_code = sgqlc.types.Field(String, graphql_name='mobileUserAgentCode')
    name = sgqlc.types.Field(String, graphql_name='name')
    primary_domain = sgqlc.types.Field(String, graphql_name='primaryDomain')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    renderer_block_ads = sgqlc.types.Field(Boolean, graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(Boolean, graphql_name='rendererBlockAnalytics')
    renderer_block_custom = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererBlockCustom')
    renderer_js_string = sgqlc.types.Field(String, graphql_name='rendererJsString')
    renderer_js_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererJsUrls')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    secondary_domains = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='secondaryDomains')
    start_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='startUrls')
    test_site_domain = sgqlc.types.Field(String, graphql_name='testSiteDomain')
    test_site_password = sgqlc.types.Field(String, graphql_name='testSitePassword')
    test_site_username = sgqlc.types.Field(String, graphql_name='testSiteUsername')
    thin_page_threshold = sgqlc.types.Field(Int, graphql_name='thinPageThreshold')
    url_rewrite_query_parameters = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlRewriteQueryParameters')
    url_rewrite_rules = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlRewriteRuleInput')), graphql_name='urlRewriteRules')
    url_rewrite_strip_fragment = sgqlc.types.Field(Boolean, graphql_name='urlRewriteStripFragment')
    url_sampling = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlSamplingInput')), graphql_name='urlSampling')
    use_mobile_settings = sgqlc.types.Field(Boolean, graphql_name='useMobileSettings')
    use_renderer = sgqlc.types.Field(Boolean, graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(Boolean, graphql_name='useRobotsOverwrite')
    use_stealth_mode = sgqlc.types.Field(Boolean, graphql_name='useStealthMode')
    use_url_rewrite_rules = sgqlc.types.Field(Boolean, graphql_name='useUrlRewriteRules')
    user_agent_code = sgqlc.types.Field(String, graphql_name='userAgentCode')
    user_agent_string = sgqlc.types.Field(String, graphql_name='userAgentString')
    user_agent_string_mobile = sgqlc.types.Field(String, graphql_name='userAgentStringMobile')
    user_agent_token = sgqlc.types.Field(String, graphql_name='userAgentToken')
    user_agent_token_mobile = sgqlc.types.Field(String, graphql_name='userAgentTokenMobile')


class UpdateScheduleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('next_run_time', 'schedule_frequency', 'schedule_id')
    next_run_time = sgqlc.types.Field(DateTime, graphql_name='nextRunTime')
    schedule_frequency = sgqlc.types.Field(ScheduleFrequencyCode, graphql_name='scheduleFrequency')
    schedule_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='scheduleId')


class UpdateSegmentInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('name', 'segment_id')
    name = sgqlc.types.Field(String, graphql_name='name')
    segment_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='segmentId')


class UpdateSlackWebhookInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'slack_webhook_id')
    alert_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SlackAlertType))), graphql_name='alertTypes')
    slack_webhook_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='slackWebhookId')


class UpdateSplunkProjectQueryInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'date_range', 'enabled', 'query', 'splunk_connection_id', 'splunk_project_query_id', 'use_last_crawl_date')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    date_range = sgqlc.types.Field(Int, graphql_name='dateRange')
    enabled = sgqlc.types.Field(Boolean, graphql_name='enabled')
    query = sgqlc.types.Field(String, graphql_name='query')
    splunk_connection_id = sgqlc.types.Field(ObjectID, graphql_name='splunkConnectionId')
    splunk_project_query_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='splunkProjectQueryId')
    use_last_crawl_date = sgqlc.types.Field(Boolean, graphql_name='useLastCrawlDate')


class UpdateTestInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('absolute_threshold', 'automatic_threshold_enabled', 'create_jira_ticket_on_failure', 'jira_ticket_custom_note', 'relative_threshold', 'severity', 'test_id', 'threshold_predicate', 'threshold_type')
    absolute_threshold = sgqlc.types.Field(Int, graphql_name='absoluteThreshold')
    automatic_threshold_enabled = sgqlc.types.Field(Boolean, graphql_name='automaticThresholdEnabled')
    create_jira_ticket_on_failure = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='createJiraTicketOnFailure')
    jira_ticket_custom_note = sgqlc.types.Field(String, graphql_name='jiraTicketCustomNote')
    relative_threshold = sgqlc.types.Field(Int, graphql_name='relativeThreshold')
    severity = sgqlc.types.Field(Severity, graphql_name='severity')
    test_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testId')
    threshold_predicate = sgqlc.types.Field(ThresholdPredicate, graphql_name='thresholdPredicate')
    threshold_type = sgqlc.types.Field(ThresholdType, graphql_name='thresholdType')


class UpdateTestResultInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('status', 'test_result_id')
    status = sgqlc.types.Field(sgqlc.types.non_null(TestResultStatus), graphql_name='status')
    test_result_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testResultId')


class UpdateTestSuiteEmailAlertInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'email', 'test_suite_email_alert_id')
    alert_types = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(EmailAlertType)), graphql_name='alertTypes')
    email = sgqlc.types.Field(String, graphql_name='email')
    test_suite_email_alert_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteEmailAlertId')


class UpdateTestSuiteInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_emails', 'automatic_threshold', 'automatic_threshold_enabled_for_all', 'crawl_rate', 'crawl_types', 'custom_dns', 'custom_extractions', 'custom_header_user_agent', 'custom_header_user_agent_short', 'duplicate_precision', 'empty_page_threshold', 'high_log_summary_requests', 'limit_pages_max', 'location', 'low_log_summary_requests', 'max_content_size', 'max_description_length', 'max_external_links', 'max_html_size', 'max_links', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'min_content_ratio', 'min_description_length', 'min_title_length', 'name', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_block_custom', 'renderer_js_string', 'renderer_js_urls', 'robots_overwrite', 'site_primary', 'site_test', 'site_test_pass', 'site_test_user', 'start_urls', 'test_suite_id', 'thin_page_threshold', 'urls_excluded', 'urls_included', 'use_renderer', 'use_robots_overwrite')
    alert_emails = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='alertEmails')
    automatic_threshold = sgqlc.types.Field(Boolean, graphql_name='automaticThreshold')
    automatic_threshold_enabled_for_all = sgqlc.types.Field(Boolean, graphql_name='automaticThresholdEnabledForAll')
    crawl_rate = sgqlc.types.Field(Float, graphql_name='crawlRate')
    crawl_types = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteCrawlType)), graphql_name='crawlTypes')
    custom_dns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomDnsSettingInput)), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CustomExtractionSettingInput)), graphql_name='customExtractions')
    custom_header_user_agent = sgqlc.types.Field(String, graphql_name='customHeaderUserAgent')
    custom_header_user_agent_short = sgqlc.types.Field(String, graphql_name='customHeaderUserAgentShort')
    duplicate_precision = sgqlc.types.Field(Int, graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(Int, graphql_name='emptyPageThreshold')
    high_log_summary_requests = sgqlc.types.Field(Int, graphql_name='highLogSummaryRequests')
    limit_pages_max = sgqlc.types.Field(Int, graphql_name='limitPagesMax')
    location = sgqlc.types.Field(TestSuiteLocationCode, graphql_name='location')
    low_log_summary_requests = sgqlc.types.Field(Int, graphql_name='lowLogSummaryRequests')
    max_content_size = sgqlc.types.Field(Int, graphql_name='maxContentSize')
    max_description_length = sgqlc.types.Field(Int, graphql_name='maxDescriptionLength')
    max_external_links = sgqlc.types.Field(Int, graphql_name='maxExternalLinks')
    max_html_size = sgqlc.types.Field(Int, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(Int, graphql_name='maxLinks')
    max_load_time = sgqlc.types.Field(Float, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(Int, graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(Int, graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(Int, graphql_name='maxUrlLength')
    min_content_ratio = sgqlc.types.Field(Float, graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(Int, graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(Int, graphql_name='minTitleLength')
    name = sgqlc.types.Field(String, graphql_name='name')
    renderer_block_ads = sgqlc.types.Field(Boolean, graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(Boolean, graphql_name='rendererBlockAnalytics')
    renderer_block_custom = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererBlockCustom')
    renderer_js_string = sgqlc.types.Field(String, graphql_name='rendererJsString')
    renderer_js_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererJsUrls')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    site_primary = sgqlc.types.Field(String, graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(String, graphql_name='siteTest')
    site_test_pass = sgqlc.types.Field(String, graphql_name='siteTestPass')
    site_test_user = sgqlc.types.Field(String, graphql_name='siteTestUser')
    start_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='startUrls')
    test_suite_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='testSuiteId')
    thin_page_threshold = sgqlc.types.Field(Int, graphql_name='thinPageThreshold')
    urls_excluded = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsExcluded')
    urls_included = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsIncluded')
    use_renderer = sgqlc.types.Field(Boolean, graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(Boolean, graphql_name='useRobotsOverwrite')


class UpdateUrlFileUploadInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_type', 'custom_upload_template', 'enabled', 'project_upload_type', 'upload_base_domain', 'url_file_upload_id')
    custom_type = sgqlc.types.Field(Boolean, graphql_name='customType')
    custom_upload_template = sgqlc.types.Field(JSONObject, graphql_name='customUploadTemplate')
    enabled = sgqlc.types.Field(Boolean, graphql_name='enabled')
    project_upload_type = sgqlc.types.Field(ProjectUploadType, graphql_name='projectUploadType')
    upload_base_domain = sgqlc.types.Field(String, graphql_name='uploadBaseDomain')
    url_file_upload_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='urlFileUploadId')


class UrlFileUploadConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'crawl_type_id', 'file_name')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlFileUploadConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlFileUploadConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('UrlFileUploadConnectionFilterInput', graphql_name='and')
    crawl_type_id = sgqlc.types.Field(ConnectionObjectIDFilterInput, graphql_name='crawlTypeId')
    file_name = sgqlc.types.Field(ConnectionStringFilterInput, graphql_name='fileName')


class UrlRewriteRuleInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('case_option', 'match_from', 'rewrite_to')
    case_option = sgqlc.types.Field(UrlRewriteCaseOption, graphql_name='caseOption')
    match_from = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='matchFrom')
    rewrite_to = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rewriteTo')


class UrlSamplingInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('name', 'regex_pattern', 'sample_percentage')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    regex_pattern = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='regexPattern')
    sample_percentage = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='samplePercentage')


class UserKeyConnectionFilterInput(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('_and', '_or', 'and_', 'created_at')
    _and = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UserKeyConnectionFilterInput')), graphql_name='_and')
    _or = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UserKeyConnectionFilterInput')), graphql_name='_or')
    and_ = sgqlc.types.Field('UserKeyConnectionFilterInput', graphql_name='and')
    created_at = sgqlc.types.Field(ConnectionDateFilterInput, graphql_name='createdAt')


class UserKeyOrder(sgqlc.types.Input):
    __schema__ = deepcrawl_schema
    __field_names__ = ('direction', 'field')
    direction = sgqlc.types.Field(sgqlc.types.non_null(OrderDirection), graphql_name='direction')
    field = sgqlc.types.Field(sgqlc.types.non_null(UserKeyOrderField), graphql_name='field')



########################################################################
# Output Objects and Interfaces
########################################################################
class APICallbackHeader(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('key', 'value')
    key = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='key')
    value = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='value')


class AbortBuildPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build',)
    build = sgqlc.types.Field(sgqlc.types.non_null('Build'), graphql_name='build')


class Account(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_managers', 'account_settings', 'active', 'address_city', 'address_zip', 'api_callback_headers', 'api_callback_url', 'available_credits', 'build_schedules', 'country', 'created_at', 'custom_dashboards', 'custom_header_color', 'custom_logo', 'custom_menu_color', 'custom_metric_containers', 'feature_flag', 'feature_flags', 'id', 'jira_authentications', 'limit_levels_max', 'limit_pages_max', 'locations', 'max_crawl_rate', 'monitor_notifications', 'name', 'not_linked_test_suites', 'package_plan', 'parent_test_suites', 'phone', 'primary_account_package', 'project', 'projects', 'raw_id', 'reports', 'serpent_crawler_enabled', 'subscription', 'test_suites', 'timezone', 'unscheduled_test_suites', 'updated_at')
    account_managers = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='accountManagers')
    account_settings = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AccountSetting'))), graphql_name='accountSettings')
    active = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='active')
    address_city = sgqlc.types.Field(String, graphql_name='addressCity')
    address_zip = sgqlc.types.Field(String, graphql_name='addressZip')
    api_callback_headers = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(APICallbackHeader)), graphql_name='apiCallbackHeaders')
    api_callback_url = sgqlc.types.Field(String, graphql_name='apiCallbackUrl')
    available_credits = sgqlc.types.Field(sgqlc.types.non_null(BigInt), graphql_name='availableCredits')
    build_schedules = sgqlc.types.Field(sgqlc.types.non_null('BuildScheduleConnection'), graphql_name='buildSchedules', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(BuildScheduleConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(BuildScheduleOrder)), graphql_name='orderBy', default=None)),
))
    )
    country = sgqlc.types.Field(String, graphql_name='country')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_dashboards = sgqlc.types.Field(sgqlc.types.non_null('CustomDashboardConnection'), graphql_name='customDashboards', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomDashboardConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomDashboardOrder)), graphql_name='orderBy', default=None)),
))
    )
    custom_header_color = sgqlc.types.Field(String, graphql_name='customHeaderColor')
    custom_logo = sgqlc.types.Field(String, graphql_name='customLogo')
    custom_menu_color = sgqlc.types.Field(String, graphql_name='customMenuColor')
    custom_metric_containers = sgqlc.types.Field(sgqlc.types.non_null('CustomMetricContainerConnection'), graphql_name='customMetricContainers', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomMetricContainerConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomMetricContainerOrder)), graphql_name='orderBy', default=None)),
))
    )
    feature_flag = sgqlc.types.Field(sgqlc.types.non_null('FeatureFlag'), graphql_name='featureFlag', args=sgqlc.types.ArgDict((
        ('flag_name', sgqlc.types.Arg(sgqlc.types.non_null(String), graphql_name='flagName', default=None)),
))
    )
    feature_flags = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('FeatureFlag'))), graphql_name='featureFlags')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    jira_authentications = sgqlc.types.Field(sgqlc.types.non_null('JiraAuthenticationConnection'), graphql_name='jiraAuthentications', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    limit_levels_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitLevelsMax')
    limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitPagesMax')
    locations = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Location'))), graphql_name='locations')
    max_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxCrawlRate')
    monitor_notifications = sgqlc.types.Field(sgqlc.types.non_null('TestResultConnection'), graphql_name='monitorNotifications', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestResultConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('project_ids', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID)), graphql_name='projectIds', default=None)),
))
    )
    name = sgqlc.types.Field(String, graphql_name='name')
    not_linked_test_suites = sgqlc.types.Field('TestSuiteConnection', graphql_name='notLinkedTestSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    package_plan = sgqlc.types.Field(String, graphql_name='packagePlan')
    parent_test_suites = sgqlc.types.Field('TestSuiteConnection', graphql_name='parentTestSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    phone = sgqlc.types.Field(String, graphql_name='phone')
    primary_account_package = sgqlc.types.Field('AccountPackage', graphql_name='primaryAccountPackage')
    project = sgqlc.types.Field('Project', graphql_name='project', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    projects = sgqlc.types.Field(sgqlc.types.non_null('ProjectConnection'), graphql_name='projects', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ProjectConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('include_test_suites', sgqlc.types.Arg(Boolean, graphql_name='includeTestSuites', default=None)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ProjectOrder)), graphql_name='orderBy', default=None)),
))
    )
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    reports = sgqlc.types.Field(sgqlc.types.non_null('ReportConnection'), graphql_name='reports', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('include_unscoped_reports', sgqlc.types.Arg(sgqlc.types.non_null(Boolean), graphql_name='includeUnscopedReports', default=False)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportOrder)), graphql_name='orderBy', default=None)),
        ('report_template_filter', sgqlc.types.Arg(ReportTemplateConnectionFilterInput, graphql_name='reportTemplateFilter', default=None)),
))
    )
    serpent_crawler_enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='serpentCrawlerEnabled')
    subscription = sgqlc.types.Field('AccountSubscription', graphql_name='subscription')
    test_suites = sgqlc.types.Field('TestSuiteConnection', graphql_name='testSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    timezone = sgqlc.types.Field(String, graphql_name='timezone')
    unscheduled_test_suites = sgqlc.types.Field('TestSuiteConnection', graphql_name='unscheduledTestSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class AccountConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AccountEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Account))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class AccountEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='node')


class AccountPackage(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('credits', 'package_type')
    credits = sgqlc.types.Field(sgqlc.types.non_null(BigInt), graphql_name='credits')
    package_type = sgqlc.types.Field(sgqlc.types.non_null(AccountPackageType), graphql_name='packageType')


class AccountSetting(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'data_type', 'description', 'limit', 'name', 'source', 'type', 'unit', 'visible')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    data_type = sgqlc.types.Field(sgqlc.types.non_null(AccountSettingDataType), graphql_name='dataType')
    description = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='description')
    limit = sgqlc.types.Field(Int, graphql_name='limit')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    source = sgqlc.types.Field(sgqlc.types.non_null(AccountSettingSource), graphql_name='source')
    type = sgqlc.types.Field(sgqlc.types.non_null(AccountSettingType), graphql_name='type')
    unit = sgqlc.types.Field(String, graphql_name='unit')
    visible = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='visible')


class AccountSubscription(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('addon_by_integration_type', 'addons', 'analyze_available', 'automate_available', 'automator_available', 'billing_at', 'current_billing_period', 'google_data_studio_available', 'impact_available', 'js_rendering_available', 'monitor_available', 'plan', 'segmentation_available', 'status')
    addon_by_integration_type = sgqlc.types.Field('AccountSubscriptionAddon', graphql_name='addonByIntegrationType', args=sgqlc.types.ArgDict((
        ('integration_type', sgqlc.types.Arg(sgqlc.types.non_null(String), graphql_name='integrationType', default=None)),
))
    )
    addons = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AccountSubscriptionAddon'))), graphql_name='addons')
    analyze_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='analyzeAvailable')
    automate_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automateAvailable')
    automator_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automatorAvailable')
    billing_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='billingAt')
    current_billing_period = sgqlc.types.Field(sgqlc.types.non_null('DateTimeRange'), graphql_name='currentBillingPeriod')
    google_data_studio_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='googleDataStudioAvailable')
    impact_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='impactAvailable')
    js_rendering_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='jsRenderingAvailable')
    monitor_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='monitorAvailable')
    plan = sgqlc.types.Field(sgqlc.types.non_null('AccountSubscriptionPlan'), graphql_name='plan')
    segmentation_available = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='segmentationAvailable')
    status = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='status')


class AccountSubscriptionAddon(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'integration_type', 'name', 'status', 'type')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    integration_type = sgqlc.types.Field(String, graphql_name='integrationType')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    status = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='status')
    type = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='type')


class AccountSubscriptionPlan(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'min_commitment_period', 'name', 'period', 'status')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    min_commitment_period = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minCommitmentPeriod')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    period = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='period')
    status = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='status')


class AccountUser(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'role', 'role_code')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    role = sgqlc.types.Field(sgqlc.types.non_null('Role'), graphql_name='role')
    role_code = sgqlc.types.Field(sgqlc.types.non_null(RoleCode), graphql_name='roleCode')


class AccountUserConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AccountUserEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AccountUser))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class AccountUserEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(AccountUser), graphql_name='node')


class AddCustomSitemapsPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('sitemaps',)
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Sitemap'))), graphql_name='sitemaps')


class AdobeAnalyticsProjectReportSuite(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_connection', 'created_at', 'id', 'max_rows', 'minimum_visits', 'number_of_days', 'per_page', 'project', 'raw_id', 'report_suite_id', 'suite_name', 'updated_at')
    adobe_connection = sgqlc.types.Field('AdobeConnection', graphql_name='adobeConnection')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    max_rows = sgqlc.types.Field(Int, graphql_name='maxRows')
    minimum_visits = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minimumVisits')
    number_of_days = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='numberOfDays')
    per_page = sgqlc.types.Field(Int, graphql_name='perPage')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    report_suite_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportSuiteId')
    suite_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='suiteName')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class AdobeAnalyticsProjectReportSuiteConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AdobeAnalyticsProjectReportSuiteEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuite))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class AdobeAnalyticsProjectReportSuiteEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuite), graphql_name='node')


class AdobeAnalyticsReportSuite(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('connection', 'report_suite_id', 'suite_name')
    connection = sgqlc.types.Field(sgqlc.types.non_null('AdobeConnection'), graphql_name='connection')
    report_suite_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportSuiteId')
    suite_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='suiteName')


class AdobeConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suites', 'available_adobe_analytics_report_suites', 'company', 'created_at', 'id', 'is_working', 'raw_id', 'secret_last_fragment', 'updated_at', 'username')
    adobe_analytics_project_report_suites = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuiteConnection), graphql_name='adobeAnalyticsProjectReportSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(AdobeAnalyticsProjectReportSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    available_adobe_analytics_report_suites = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AdobeAnalyticsReportSuite))), graphql_name='availableAdobeAnalyticsReportSuites')
    company = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='company')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_working = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isWorking')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    secret_last_fragment = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='secretLastFragment')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='username')


class AdobeConnectionConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AdobeConnectionEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AdobeConnection))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class AdobeConnectionEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(AdobeConnection), graphql_name='node')


class AdvancedCrawlRate(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('end', 'maximum_crawl_rate', 'start', 'type')
    end = sgqlc.types.Field(sgqlc.types.non_null('AdvancedCrawlRateTime'), graphql_name='end')
    maximum_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maximumCrawlRate')
    start = sgqlc.types.Field(sgqlc.types.non_null('AdvancedCrawlRateTime'), graphql_name='start')
    type = sgqlc.types.Field(sgqlc.types.non_null(AdvancedCrawlRateType), graphql_name='type')


class AdvancedCrawlRateTime(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('day', 'hour')
    day = sgqlc.types.Field(AdvancedCrawlRateDay, graphql_name='day')
    hour = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='hour')


class AdvancedCrawlStats(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawled_crawl_rate', 'external_crawl_rate', 'internal_crawl_rate', 'uncrawled_crawl_rate')
    crawled_crawl_rate = sgqlc.types.Field(Float, graphql_name='crawledCrawlRate')
    external_crawl_rate = sgqlc.types.Field(Float, graphql_name='externalCrawlRate')
    internal_crawl_rate = sgqlc.types.Field(Float, graphql_name='internalCrawlRate')
    uncrawled_crawl_rate = sgqlc.types.Field(Float, graphql_name='uncrawledCrawlRate')


class AlertSetting(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name')
    code = sgqlc.types.Field(sgqlc.types.non_null(AlertSettingCode), graphql_name='code')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class AllMetricsReportRowConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('AllMetricsReportRowEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class AllMetricsReportRowEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(JSONObject), graphql_name='node')


class AuthToken(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('value',)
    value = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='value')


class AutomatorAccountStatistics(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('average_urls_crawled_per_day', 'builds_count', 'failed_test_percentage', 'passed_test_percentage', 'test_suites_count', 'tests_performed_count', 'warned_test_percentage')
    average_urls_crawled_per_day = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='averageUrlsCrawledPerDay')
    builds_count = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='buildsCount')
    failed_test_percentage = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='failedTestPercentage')
    passed_test_percentage = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='passedTestPercentage')
    test_suites_count = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='testSuitesCount')
    tests_performed_count = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='testsPerformedCount')
    warned_test_percentage = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='warnedTestPercentage')


class BaseProject(sgqlc.types.Interface):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_emails', 'all_pages_total', 'api_callback_headers', 'api_callback_url', 'auto_finalize_on_crawl_limits', 'compare_to_crawl', 'crawl_disallowed_urls1st_level', 'crawl_hyperlinks_external', 'crawl_hyperlinks_internal', 'crawl_images_external', 'crawl_images_internal', 'crawl_nofollow_hyperlinks', 'crawl_non_html', 'crawl_not_included1st_level', 'crawl_other_rel_external', 'crawl_other_rel_internal', 'crawl_rate', 'crawl_redirects_external', 'crawl_redirects_internal', 'crawl_rel_amphtml_external', 'crawl_rel_amphtml_internal', 'crawl_rel_canonicals_external', 'crawl_rel_canonicals_internal', 'crawl_rel_hreflangs_external', 'crawl_rel_hreflangs_internal', 'crawl_rel_mobile_external', 'crawl_rel_mobile_internal', 'crawl_rel_next_prev_external', 'crawl_rel_next_prev_internal', 'crawl_robots_txt_noindex', 'crawl_scripts_external', 'crawl_scripts_internal', 'crawl_sitemaps_external', 'crawl_sitemaps_internal', 'crawl_stylesheets_external', 'crawl_stylesheets_internal', 'crawl_test_site', 'crawling_at', 'crawls_total_count', 'created_at', 'custom_dns', 'custom_extractions', 'custom_header_user_agent', 'custom_header_user_agent_short', 'custom_request_headers', 'discover_sitemaps_in_robots_txt', 'duplicate_precision', 'empty_page_threshold', 'exclude_url_patterns', 'finished_at', 'force_monitor_app', 'ga_date_range', 'high_log_summary_requests', 'ignore_invalid_sslcertificate', 'include_http_and_https', 'include_subdomains', 'include_url_patterns', 'is_test_suite', 'last_crawl_crawling_at', 'last_crawl_status', 'legacy_tasks_total_count', 'limit_levels_max', 'limit_pages_max', 'limit_urls_max', 'log_summary_requests_high', 'log_summary_requests_low', 'low_log_summary_requests', 'max_body_content_length', 'max_content_size', 'max_description_length', 'max_external_links', 'max_html_size', 'max_links', 'max_links_processed', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'maximum_crawl_rate', 'maximum_crawl_rate_advanced', 'min_content_ratio', 'min_description_length', 'min_title_length', 'min_visits', 'mobile_homepage_url', 'mobile_url_pattern', 'name', 'primary_domain', 'renderer_block_ads', 'renderer_block_analytics', 'renderer_block_custom', 'renderer_js_string', 'renderer_js_urls', 'robots_overwrite', 'schedules_total_count', 'secondary_domains', 'segments_total_count', 'site_primary', 'site_test', 'site_test_user', 'sitemap_urls', 'start_urls', 'test_site_domain', 'test_site_username', 'tests_total_count', 'thin_page_threshold', 'total_steps', 'updated_at', 'url_rewrite_query_parameters', 'url_rewrite_rules', 'url_rewrite_strip_fragment', 'url_sampling', 'urls_excluded', 'urls_included', 'use_mobile_settings', 'use_renderer', 'use_robots_overwrite', 'use_stealth_mode', 'use_url_rewrite_rules', 'user_agent_string', 'user_agent_string_mobile', 'user_agent_token', 'user_agent_token_mobile')
    alert_emails = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='alertEmails')
    all_pages_total = sgqlc.types.Field(Int, graphql_name='allPagesTotal')
    api_callback_headers = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(APICallbackHeader)), graphql_name='apiCallbackHeaders')
    api_callback_url = sgqlc.types.Field(String, graphql_name='apiCallbackUrl')
    auto_finalize_on_crawl_limits = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='autoFinalizeOnCrawlLimits')
    compare_to_crawl = sgqlc.types.Field(CompareToCrawl, graphql_name='compareToCrawl')
    crawl_disallowed_urls1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlDisallowedUrls1stLevel')
    crawl_hyperlinks_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlHyperlinksExternal')
    crawl_hyperlinks_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlHyperlinksInternal')
    crawl_images_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesExternal')
    crawl_images_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesInternal')
    crawl_nofollow_hyperlinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNofollowHyperlinks')
    crawl_non_html = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNonHtml')
    crawl_not_included1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNotIncluded1stLevel')
    crawl_other_rel_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlOtherRelExternal')
    crawl_other_rel_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlOtherRelInternal')
    crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='crawlRate')
    crawl_redirects_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsExternal')
    crawl_redirects_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsInternal')
    crawl_rel_amphtml_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlExternal')
    crawl_rel_amphtml_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlInternal')
    crawl_rel_canonicals_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsExternal')
    crawl_rel_canonicals_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsInternal')
    crawl_rel_hreflangs_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsExternal')
    crawl_rel_hreflangs_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsInternal')
    crawl_rel_mobile_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileExternal')
    crawl_rel_mobile_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileInternal')
    crawl_rel_next_prev_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevExternal')
    crawl_rel_next_prev_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevInternal')
    crawl_robots_txt_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRobotsTxtNoindex')
    crawl_scripts_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsExternal')
    crawl_scripts_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsInternal')
    crawl_sitemaps_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlSitemapsExternal')
    crawl_sitemaps_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlSitemapsInternal')
    crawl_stylesheets_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsExternal')
    crawl_stylesheets_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsInternal')
    crawl_test_site = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlTestSite')
    crawling_at = sgqlc.types.Field(DateTime, graphql_name='crawlingAt')
    crawls_total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='crawlsTotalCount')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_dns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomDnsSetting')), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomExtractionSetting')), graphql_name='customExtractions')
    custom_header_user_agent = sgqlc.types.Field(String, graphql_name='customHeaderUserAgent')
    custom_header_user_agent_short = sgqlc.types.Field(String, graphql_name='customHeaderUserAgentShort')
    custom_request_headers = sgqlc.types.Field(JSONObject, graphql_name='customRequestHeaders')
    discover_sitemaps_in_robots_txt = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='discoverSitemapsInRobotsTxt')
    duplicate_precision = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(Int, graphql_name='emptyPageThreshold')
    exclude_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeUrlPatterns')
    finished_at = sgqlc.types.Field(DateTime, graphql_name='finishedAt')
    force_monitor_app = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='forceMonitorApp')
    ga_date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaDateRange')
    high_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='highLogSummaryRequests')
    ignore_invalid_sslcertificate = sgqlc.types.Field(Boolean, graphql_name='ignoreInvalidSSLCertificate')
    include_http_and_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeHttpAndHttps')
    include_subdomains = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeSubdomains')
    include_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeUrlPatterns')
    is_test_suite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isTestSuite')
    last_crawl_crawling_at = sgqlc.types.Field(DateTime, graphql_name='lastCrawlCrawlingAt')
    last_crawl_status = sgqlc.types.Field(CrawlStatus, graphql_name='lastCrawlStatus')
    legacy_tasks_total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='legacyTasksTotalCount')
    limit_levels_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitLevelsMax')
    limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitPagesMax')
    limit_urls_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitUrlsMax')
    log_summary_requests_high = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsHigh')
    log_summary_requests_low = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsLow')
    low_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lowLogSummaryRequests')
    max_body_content_length = sgqlc.types.Field(Int, graphql_name='maxBodyContentLength')
    max_content_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxContentSize')
    max_description_length = sgqlc.types.Field(Int, graphql_name='maxDescriptionLength')
    max_external_links = sgqlc.types.Field(Int, graphql_name='maxExternalLinks')
    max_html_size = sgqlc.types.Field(Int, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(Int, graphql_name='maxLinks')
    max_links_processed = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxLinksProcessed')
    max_load_time = sgqlc.types.Field(Float, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(Int, graphql_name='maxUrlLength')
    maximum_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maximumCrawlRate')
    maximum_crawl_rate_advanced = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(AdvancedCrawlRate)), graphql_name='maximumCrawlRateAdvanced')
    min_content_ratio = sgqlc.types.Field(Float, graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minTitleLength')
    min_visits = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minVisits')
    mobile_homepage_url = sgqlc.types.Field(String, graphql_name='mobileHomepageUrl')
    mobile_url_pattern = sgqlc.types.Field(String, graphql_name='mobileUrlPattern')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    primary_domain = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryDomain')
    renderer_block_ads = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAnalytics')
    renderer_block_custom = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererBlockCustom')
    renderer_js_string = sgqlc.types.Field(String, graphql_name='rendererJsString')
    renderer_js_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='rendererJsUrls')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    schedules_total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='schedulesTotalCount')
    secondary_domains = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='secondaryDomains')
    segments_total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='segmentsTotalCount')
    site_primary = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(String, graphql_name='siteTest')
    site_test_user = sgqlc.types.Field(String, graphql_name='siteTestUser')
    sitemap_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='sitemapUrls')
    start_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='startUrls')
    test_site_domain = sgqlc.types.Field(String, graphql_name='testSiteDomain')
    test_site_username = sgqlc.types.Field(String, graphql_name='testSiteUsername')
    tests_total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='testsTotalCount')
    thin_page_threshold = sgqlc.types.Field(Int, graphql_name='thinPageThreshold')
    total_steps = sgqlc.types.Field(Int, graphql_name='totalSteps')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    url_rewrite_query_parameters = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlRewriteQueryParameters')
    url_rewrite_rules = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlRewriteRule')), graphql_name='urlRewriteRules')
    url_rewrite_strip_fragment = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlRewriteStripFragment')
    url_sampling = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlSampling')), graphql_name='urlSampling')
    urls_excluded = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsExcluded')
    urls_included = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsIncluded')
    use_mobile_settings = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useMobileSettings')
    use_renderer = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRobotsOverwrite')
    use_stealth_mode = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useStealthMode')
    use_url_rewrite_rules = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useUrlRewriteRules')
    user_agent_string = sgqlc.types.Field(String, graphql_name='userAgentString')
    user_agent_string_mobile = sgqlc.types.Field(String, graphql_name='userAgentStringMobile')
    user_agent_token = sgqlc.types.Field(String, graphql_name='userAgentToken')
    user_agent_token_mobile = sgqlc.types.Field(String, graphql_name='userAgentTokenMobile')


class Build(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_run', 'canceled_by_build', 'ci_build_id', 'crawl', 'crawl_dc_web_url', 'created_at', 'failed_test_count', 'finished_at', 'id', 'passed', 'passed_test_count', 'raw_id', 'status', 'test_results', 'test_suite', 'trigger_type', 'updated_at', 'warned_test_count')
    build_schedule_run = sgqlc.types.Field('BuildScheduleRun', graphql_name='buildScheduleRun')
    canceled_by_build = sgqlc.types.Field('Build', graphql_name='canceledByBuild')
    ci_build_id = sgqlc.types.Field(String, graphql_name='ciBuildId')
    crawl = sgqlc.types.Field('Crawl', graphql_name='crawl')
    crawl_dc_web_url = sgqlc.types.Field(String, graphql_name='crawlDcWebUrl')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    failed_test_count = sgqlc.types.Field(Float, graphql_name='failedTestCount')
    finished_at = sgqlc.types.Field(DateTime, graphql_name='finishedAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    passed = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='passed')
    passed_test_count = sgqlc.types.Field(Float, graphql_name='passedTestCount')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    status = sgqlc.types.Field(sgqlc.types.non_null(BuildStatus), graphql_name='status')
    test_results = sgqlc.types.Field(sgqlc.types.non_null('TestResultConnection'), graphql_name='testResults', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestResultConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestResultOrder)), graphql_name='orderBy', default=None)),
))
    )
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')
    trigger_type = sgqlc.types.Field(sgqlc.types.non_null(BuildTriggerType), graphql_name='triggerType')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    warned_test_count = sgqlc.types.Field(Float, graphql_name='warnedTestCount')


class BuildConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('BuildEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Build))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class BuildEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Build), graphql_name='node')


class BuildSchedule(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'build_schedule_test_suites', 'created_at', 'id', 'last_run_started_at', 'name', 'next_run_at', 'raw_id', 'repetition_rate', 'start_at', 'updated_at')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    build_schedule_test_suites = sgqlc.types.Field(sgqlc.types.non_null('BuildScheduleTestSuiteConnection'), graphql_name='buildScheduleTestSuites', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(BuildScheduleTestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    last_run_started_at = sgqlc.types.Field(DateTime, graphql_name='lastRunStartedAt')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    next_run_at = sgqlc.types.Field(DateTime, graphql_name='nextRunAt')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    repetition_rate = sgqlc.types.Field(BuildScheduleRepetitionRate, graphql_name='repetitionRate')
    start_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='startAt')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class BuildScheduleConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('BuildScheduleEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(BuildSchedule))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class BuildScheduleEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='node')


class BuildScheduleRun(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule', 'created_at', 'id', 'raw_id', 'started_at', 'updated_at')
    build_schedule = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='buildSchedule')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    started_at = sgqlc.types.Field(DateTime, graphql_name='startedAt')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class BuildScheduleTestSuite(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule', 'created_at', 'id', 'last_run_build', 'raw_id', 'test_suite')
    build_schedule = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='buildSchedule')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    last_run_build = sgqlc.types.Field(Build, graphql_name='lastRunBuild')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class BuildScheduleTestSuiteConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('BuildScheduleTestSuiteEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(BuildScheduleTestSuite))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class BuildScheduleTestSuiteEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(BuildScheduleTestSuite), graphql_name='node')


class CancelBuildPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build',)
    build = sgqlc.types.Field(sgqlc.types.non_null(Build), graphql_name='build')


class CancelCrawlingPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(sgqlc.types.non_null('Crawl'), graphql_name='crawl')


class ChangedReportConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('nodes', 'total_count')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Report'))), graphql_name='nodes')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CheckDomainPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('variants',)
    variants = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('DomainCheckVariant'))), graphql_name='variants')


class CloneTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite',)
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class ConfirmEmailPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('session',)
    session = sgqlc.types.Field(sgqlc.types.non_null('Session'), graphql_name='session')


class ConnectionPredicateMetadata(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name', 'type')
    code = sgqlc.types.Field(sgqlc.types.non_null(ConnectionPredicate), graphql_name='code')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    type = sgqlc.types.Field(sgqlc.types.non_null(MetricType), graphql_name='type')


class Crawl(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('advanced_crawl_stats', 'archived_at', 'archiving_at', 'broken_at', 'bucket_slot', 'build', 'canceled_at', 'canceling_at', 'changed_reports', 'compared_to', 'compared_to_crawl_id', 'core_uiurl', 'crawl_levels', 'crawl_segments', 'crawl_setting', 'crawl_type_counts', 'crawl_types', 'crawlability', 'crawlability_trend', 'crawled_at', 'crawled_per_second', 'crawled_phase1_at', 'crawled_phase2_at', 'crawler_type', 'crawling_at', 'crawling_phase1_at', 'crawling_phase2_at', 'created_at', 'discovered_urls_at', 'discovering_urls_at', 'error_message', 'errored_at', 'finished_at', 'fsm_ext_transitioned_at', 'fsm_transitioned_at', 'id', 'incomplete', 'is_container', 'is_scheduled', 'language_settings', 'language_settings_added', 'language_settings_removed', 'limit_levels_max', 'limit_pages_max', 'max_process_links', 'metrics_server_id', 'migrated_at', 'migrating_at', 'optimus_transformed_at', 'optimus_transforming_at', 'page_groupings', 'parquet_files', 'parquet_files_urls', 'partition', 'pause_reason', 'paused_reminder_sent', 'populated_at', 'populating_at', 'post_populated_at', 'post_populating_at', 'post_transformed_at', 'post_transforming_at', 'process_instance_type', 'processed_at', 'processing_at', 'progress', 'progress_crawled', 'progress_discovered', 'progress_enqueued', 'progress_stepped', 'progress_updated_at', 'project', 'project_id', 'queued_at', 'queueing_at', 'raw_id', 'ready_at', 'refinery_enabled', 'refinery_processed_at', 'refinery_processing_at', 'refinery_processing_enabled', 'report_downloads', 'reports', 'reports_aggregate', 'reports_by_code', 'robots_overwrite', 'schedule_running_email_sent_at', 'scheduled', 'site_explorer', 'started_by_api', 'status', 'status_enum', 'total_step_links', 'total_steps', 'transformed_at', 'transforming_at', 'updated_at', 'use_es_report_stats', 'use_rewrite_rules', 'use_robots_overwrite', 'version')
    advanced_crawl_stats = sgqlc.types.Field(AdvancedCrawlStats, graphql_name='advancedCrawlStats')
    archived_at = sgqlc.types.Field(DateTime, graphql_name='archivedAt')
    archiving_at = sgqlc.types.Field(DateTime, graphql_name='archivingAt')
    broken_at = sgqlc.types.Field(DateTime, graphql_name='brokenAt')
    bucket_slot = sgqlc.types.Field(Int, graphql_name='bucketSlot')
    build = sgqlc.types.Field(Build, graphql_name='build')
    canceled_at = sgqlc.types.Field(DateTime, graphql_name='canceledAt')
    canceling_at = sgqlc.types.Field(DateTime, graphql_name='cancelingAt')
    changed_reports = sgqlc.types.Field(sgqlc.types.non_null(ChangedReportConnection), graphql_name='changedReports', args=sgqlc.types.ArgDict((
        ('segment_id', sgqlc.types.Arg(ObjectID, graphql_name='segmentId', default=None)),
))
    )
    compared_to = sgqlc.types.Field('Crawl', graphql_name='comparedTo')
    compared_to_crawl_id = sgqlc.types.Field(ObjectID, graphql_name='comparedToCrawlId')
    core_uiurl = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='coreUIUrl')
    crawl_levels = sgqlc.types.Field(String, graphql_name='crawlLevels')
    crawl_segments = sgqlc.types.Field('CrawlSegmentConnection', graphql_name='crawlSegments', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlSegmentConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlSegmentOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_setting = sgqlc.types.Field('CrawlSetting', graphql_name='crawlSetting')
    crawl_type_counts = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlTypeCount')), graphql_name='crawlTypeCounts', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CrawlTypeCountsInput), graphql_name='input', default=None)),
))
    )
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType))), graphql_name='crawlTypes')
    crawlability = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='crawlability')
    crawlability_trend = sgqlc.types.Field(String, graphql_name='crawlabilityTrend')
    crawled_at = sgqlc.types.Field(DateTime, graphql_name='crawledAt')
    crawled_per_second = sgqlc.types.Field(Float, graphql_name='crawledPerSecond')
    crawled_phase1_at = sgqlc.types.Field(DateTime, graphql_name='crawledPhase1At')
    crawled_phase2_at = sgqlc.types.Field(DateTime, graphql_name='crawledPhase2At')
    crawler_type = sgqlc.types.Field(sgqlc.types.non_null(CrawlerType), graphql_name='crawlerType')
    crawling_at = sgqlc.types.Field(DateTime, graphql_name='crawlingAt')
    crawling_phase1_at = sgqlc.types.Field(DateTime, graphql_name='crawlingPhase1At')
    crawling_phase2_at = sgqlc.types.Field(DateTime, graphql_name='crawlingPhase2At')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    discovered_urls_at = sgqlc.types.Field(DateTime, graphql_name='discoveredUrlsAt')
    discovering_urls_at = sgqlc.types.Field(DateTime, graphql_name='discoveringUrlsAt')
    error_message = sgqlc.types.Field(String, graphql_name='errorMessage')
    errored_at = sgqlc.types.Field(DateTime, graphql_name='erroredAt')
    finished_at = sgqlc.types.Field(DateTime, graphql_name='finishedAt')
    fsm_ext_transitioned_at = sgqlc.types.Field(DateTime, graphql_name='fsmExtTransitionedAt')
    fsm_transitioned_at = sgqlc.types.Field(DateTime, graphql_name='fsmTransitionedAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    incomplete = sgqlc.types.Field(Boolean, graphql_name='incomplete')
    is_container = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isContainer')
    is_scheduled = sgqlc.types.Field(Boolean, graphql_name='isScheduled')
    language_settings = sgqlc.types.Field(Int, graphql_name='languageSettings')
    language_settings_added = sgqlc.types.Field(Int, graphql_name='languageSettingsAdded')
    language_settings_removed = sgqlc.types.Field(Int, graphql_name='languageSettingsRemoved')
    limit_levels_max = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='limitLevelsMax')
    limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='limitPagesMax')
    max_process_links = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maxProcessLinks')
    metrics_server_id = sgqlc.types.Field(sgqlc.types.non_null(MetricsServerId), graphql_name='metricsServerId')
    migrated_at = sgqlc.types.Field(DateTime, graphql_name='migratedAt')
    migrating_at = sgqlc.types.Field(DateTime, graphql_name='migratingAt')
    optimus_transformed_at = sgqlc.types.Field(DateTime, graphql_name='optimusTransformedAt')
    optimus_transforming_at = sgqlc.types.Field(DateTime, graphql_name='optimusTransformingAt')
    page_groupings = sgqlc.types.Field(String, graphql_name='pageGroupings')
    parquet_files = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CrawlParquetFile')), graphql_name='parquetFiles', args=sgqlc.types.ArgDict((
        ('datasource_name', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='datasourceName', default=None)),
))
    )
    parquet_files_urls = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='parquetFilesUrls')
    partition = sgqlc.types.Field(Int, graphql_name='partition')
    pause_reason = sgqlc.types.Field(PauseReason, graphql_name='pauseReason')
    paused_reminder_sent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='pausedReminderSent')
    populated_at = sgqlc.types.Field(DateTime, graphql_name='populatedAt')
    populating_at = sgqlc.types.Field(DateTime, graphql_name='populatingAt')
    post_populated_at = sgqlc.types.Field(DateTime, graphql_name='postPopulatedAt')
    post_populating_at = sgqlc.types.Field(DateTime, graphql_name='postPopulatingAt')
    post_transformed_at = sgqlc.types.Field(DateTime, graphql_name='postTransformedAt')
    post_transforming_at = sgqlc.types.Field(DateTime, graphql_name='postTransformingAt')
    process_instance_type = sgqlc.types.Field(String, graphql_name='processInstanceType')
    processed_at = sgqlc.types.Field(DateTime, graphql_name='processedAt')
    processing_at = sgqlc.types.Field(DateTime, graphql_name='processingAt')
    progress = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('LevelProgress'))), graphql_name='progress')
    progress_crawled = sgqlc.types.Field(Int, graphql_name='progressCrawled')
    progress_discovered = sgqlc.types.Field(Int, graphql_name='progressDiscovered')
    progress_enqueued = sgqlc.types.Field(Int, graphql_name='progressEnqueued')
    progress_stepped = sgqlc.types.Field(Int, graphql_name='progressStepped')
    progress_updated_at = sgqlc.types.Field(DateTime, graphql_name='progressUpdatedAt')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    queued_at = sgqlc.types.Field(DateTime, graphql_name='queuedAt')
    queueing_at = sgqlc.types.Field(DateTime, graphql_name='queueingAt')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    ready_at = sgqlc.types.Field(DateTime, graphql_name='readyAt')
    refinery_enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='refineryEnabled')
    refinery_processed_at = sgqlc.types.Field(DateTime, graphql_name='refineryProcessedAt')
    refinery_processing_at = sgqlc.types.Field(DateTime, graphql_name='refineryProcessingAt')
    refinery_processing_enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='refineryProcessingEnabled')
    report_downloads = sgqlc.types.Field('ReportDownloadConnection', graphql_name='reportDownloads', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportDownloadConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportDownloadOrder)), graphql_name='orderBy', default=None)),
))
    )
    reports = sgqlc.types.Field(sgqlc.types.non_null('ReportConnection'), graphql_name='reports', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('include_unscoped_reports', sgqlc.types.Arg(sgqlc.types.non_null(Boolean), graphql_name='includeUnscopedReports', default=False)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportOrder)), graphql_name='orderBy', default=None)),
        ('report_template_filter', sgqlc.types.Arg(ReportTemplateConnectionFilterInput, graphql_name='reportTemplateFilter', default=None)),
))
    )
    reports_aggregate = sgqlc.types.Field(sgqlc.types.non_null('ReportConnection'), graphql_name='reportsAggregate', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportOrder)), graphql_name='orderBy', default=None)),
        ('report_template_filter', sgqlc.types.Arg(ReportTemplateConnectionFilterInput, graphql_name='reportTemplateFilter', default=None)),
))
    )
    reports_by_code = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Report'))), graphql_name='reportsByCode', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CrawlReportsByCodeInput), graphql_name='input', default=None)),
))
    )
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    schedule_running_email_sent_at = sgqlc.types.Field(DateTime, graphql_name='scheduleRunningEmailSentAt')
    scheduled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='scheduled')
    site_explorer = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='siteExplorer')
    started_by_api = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='startedByApi')
    status = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='status')
    status_enum = sgqlc.types.Field(sgqlc.types.non_null(CrawlStatus), graphql_name='statusEnum')
    total_step_links = sgqlc.types.Field(BigInt, graphql_name='totalStepLinks')
    total_steps = sgqlc.types.Field(Int, graphql_name='totalSteps')
    transformed_at = sgqlc.types.Field(DateTime, graphql_name='transformedAt')
    transforming_at = sgqlc.types.Field(DateTime, graphql_name='transformingAt')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    use_es_report_stats = sgqlc.types.Field(Boolean, graphql_name='useEsReportStats')
    use_rewrite_rules = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRewriteRules')
    use_robots_overwrite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRobotsOverwrite')
    version = sgqlc.types.Field(Float, graphql_name='version')


class CrawlConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Crawl))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlDuplicateUrl(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('canonical_url', 'canonical_url_digest', 'content_size', 'deeprank', 'description', 'description_length', 'description_length_px', 'duplicate_count', 'duplicate_non_indexable', 'duplicate_type', 'example_duplicate1', 'example_duplicate2', 'example_duplicate_digest1', 'example_duplicate_digest2', 'found_at_sitemap', 'found_at_url', 'h1_tag', 'html_size', 'http_status_code', 'indexable', 'level', 'og_title', 'page_title', 'page_title_length', 'page_title_length_px', 'primary_url', 'primary_url_digest', 'word_count')
    canonical_url = sgqlc.types.Field(String, graphql_name='canonicalUrl')
    canonical_url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='canonicalUrlDigest')
    content_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='contentSize')
    deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='deeprank')
    description = sgqlc.types.Field(String, graphql_name='description')
    description_length = sgqlc.types.Field(Int, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='descriptionLengthPx')
    duplicate_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateCount')
    duplicate_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateNonIndexable')
    duplicate_type = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='duplicateType')
    example_duplicate1 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='exampleDuplicate1')
    example_duplicate2 = sgqlc.types.Field(String, graphql_name='exampleDuplicate2')
    example_duplicate_digest1 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='exampleDuplicateDigest1')
    example_duplicate_digest2 = sgqlc.types.Field(String, graphql_name='exampleDuplicateDigest2')
    found_at_sitemap = sgqlc.types.Field(String, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(String, graphql_name='foundAtUrl')
    h1_tag = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='h1Tag')
    html_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='htmlSize')
    http_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='httpStatusCode')
    indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='indexable')
    level = sgqlc.types.Field(Int, graphql_name='level')
    og_title = sgqlc.types.Field(String, graphql_name='ogTitle')
    page_title = sgqlc.types.Field(String, graphql_name='pageTitle')
    page_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLengthPx')
    primary_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrl')
    primary_url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlDigest')
    word_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='wordCount')


class CrawlDuplicateUrlConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlDuplicateUrlEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlDuplicateUrl))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlDuplicateUrlEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlDuplicateUrl), graphql_name='node')


class CrawlEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='node')


class CrawlHreflangs(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('hreflangs', 'hreflangs_digest', 'url_count')
    hreflangs = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='hreflangs')
    hreflangs_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='hreflangsDigest')
    url_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlCount')


class CrawlHreflangsConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlHreflangsEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlHreflangs))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlHreflangsEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlHreflangs), graphql_name='node')


class CrawlLink(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('attr_rel', 'attr_rel_id', 'attr_type', 'handheld', 'hreflang', 'internal', 'is_hreflang', 'is_redirect', 'is_restricted', 'link_type', 'link_type_id', 'mobile', 'rel_url_from', 'rel_url_from_digest', 'tag', 'tag_id', 'url_from', 'url_from_alias', 'url_from_alias_digest', 'url_from_deeprank', 'url_from_digest', 'url_from_https', 'url_from_status_code', 'url_from_status_code_id', 'url_from_title', 'url_to', 'url_to_alias', 'url_to_alias_digest', 'url_to_deeprank', 'url_to_digest', 'url_to_https', 'url_to_status_code', 'url_to_status_code_id', 'url_to_title')
    attr_rel = sgqlc.types.Field(String, graphql_name='attrRel')
    attr_rel_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='attrRelId')
    attr_type = sgqlc.types.Field(String, graphql_name='attrType')
    handheld = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='handheld')
    hreflang = sgqlc.types.Field(String, graphql_name='hreflang')
    internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='internal')
    is_hreflang = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isHreflang')
    is_redirect = sgqlc.types.Field(Boolean, graphql_name='isRedirect')
    is_restricted = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isRestricted')
    link_type = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='linkType')
    link_type_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linkTypeId')
    mobile = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='mobile')
    rel_url_from = sgqlc.types.Field(String, graphql_name='relUrlFrom')
    rel_url_from_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='relUrlFromDigest')
    tag = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='tag')
    tag_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='tagId')
    url_from = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlFrom')
    url_from_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlFromAlias')
    url_from_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlFromAliasDigest')
    url_from_deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='urlFromDeeprank')
    url_from_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlFromDigest')
    url_from_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlFromHttps')
    url_from_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlFromStatusCode')
    url_from_status_code_id = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='urlFromStatusCodeId')
    url_from_title = sgqlc.types.Field(String, graphql_name='urlFromTitle')
    url_to = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlTo')
    url_to_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToAlias')
    url_to_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToAliasDigest')
    url_to_deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='urlToDeeprank')
    url_to_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToDigest')
    url_to_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlToHttps')
    url_to_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlToStatusCode')
    url_to_status_code_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlToStatusCodeId')
    url_to_title = sgqlc.types.Field(String, graphql_name='urlToTitle')


class CrawlLinkConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlLink))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlLinkEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlLink), graphql_name='node')


class CrawlLinkedDomain(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('domain', 'domain_alias', 'link_count')
    domain = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='domain')
    domain_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='domainAlias')
    link_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linkCount')


class CrawlLinkedDomainConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlLinkedDomainEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlLinkedDomain))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlLinkedDomainEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlLinkedDomain), graphql_name='node')


class CrawlParquetFile(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('datasource_name', 'expires_at', 'files')
    datasource_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='datasourceName')
    expires_at = sgqlc.types.Field(DateTime, graphql_name='expiresAt')
    files = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='files')


class CrawlSegment(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl', 'created_at', 'failed_at', 'failure_reason', 'generated_at', 'generating_at', 'segment', 'segment_version', 'updated_at')
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    failed_at = sgqlc.types.Field(DateTime, graphql_name='failedAt')
    failure_reason = sgqlc.types.Field(String, graphql_name='failureReason')
    generated_at = sgqlc.types.Field(DateTime, graphql_name='generatedAt')
    generating_at = sgqlc.types.Field(DateTime, graphql_name='generatingAt')
    segment = sgqlc.types.Field(sgqlc.types.non_null('Segment'), graphql_name='segment')
    segment_version = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='segmentVersion')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class CrawlSegmentConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSegmentEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlSegment))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlSegmentEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlSegment), graphql_name='node')


class CrawlSetting(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('active_maximum_crawl_rate_advanced', 'alert_setting', 'auto_finalize_on_crawl_limits', 'compare_to_crawl', 'crawl_disallowed_urls1st_level', 'crawl_hyperlinks_external', 'crawl_hyperlinks_internal', 'crawl_images_external', 'crawl_images_internal', 'crawl_nofollow_hyperlinks', 'crawl_non_html', 'crawl_not_included1st_level', 'crawl_other_rel_external', 'crawl_other_rel_internal', 'crawl_rate', 'crawl_redirects_external', 'crawl_redirects_internal', 'crawl_rel_amphtml_external', 'crawl_rel_amphtml_internal', 'crawl_rel_canonicals_external', 'crawl_rel_canonicals_internal', 'crawl_rel_hreflangs_external', 'crawl_rel_hreflangs_internal', 'crawl_rel_mobile_external', 'crawl_rel_mobile_internal', 'crawl_rel_next_prev_external', 'crawl_rel_next_prev_internal', 'crawl_robots_txt_noindex', 'crawl_scripts_external', 'crawl_scripts_internal', 'crawl_sitemaps_external', 'crawl_sitemaps_internal', 'crawl_stylesheets_external', 'crawl_stylesheets_internal', 'crawl_test_site', 'created_at', 'custom_dns', 'custom_extractions', 'custom_header_user_agent', 'custom_header_user_agent_short', 'custom_request_headers', 'discover_sitemaps_in_robots_txt', 'duplicate_precision', 'empty_page_threshold', 'exclude_url_patterns', 'ga_date_range', 'google_analytics_project_view', 'has_test_site_password', 'high_log_summary_requests', 'id', 'include_http_and_https', 'include_subdomains', 'include_url_patterns', 'limit_levels_max', 'limit_pages_max', 'limit_urls_max', 'location', 'log_summary_requests_high', 'log_summary_requests_low', 'low_log_summary_requests', 'max_body_content_length', 'max_content_threshold', 'max_description_length', 'max_followed_external_links', 'max_html_size', 'max_links', 'max_links_processed', 'max_load_time', 'max_redirections', 'max_title_width', 'max_url_length', 'maximum_crawl_rate', 'maximum_crawl_rate_advanced', 'min_content_ratio', 'min_description_length', 'min_title_length', 'min_visits', 'mobile_homepage_url', 'mobile_url_pattern', 'mobile_user_agent', 'primary_domain', 'raw_id', 'renderer_block_ads', 'renderer_block_analytics', 'robots_overwrite', 'safe_title_width', 'secondary_domains', 'site_primary', 'site_test', 'site_test_user', 'sitemap_urls', 'start_urls', 'test_site_domain', 'test_site_username', 'thin_page_threshold', 'twitter_description_length', 'updated_at', 'url_rewrite_query_parameters', 'url_rewrite_rules', 'url_rewrite_strip_fragment', 'url_sampling', 'urls_excluded', 'urls_included', 'use_mobile_settings', 'use_renderer', 'use_robots_overwrite', 'use_stealth_mode', 'use_url_rewrite_rules', 'user_agent', 'user_agent_string', 'user_agent_string_mobile', 'user_agent_token', 'user_agent_token_mobile')
    active_maximum_crawl_rate_advanced = sgqlc.types.Field(AdvancedCrawlRate, graphql_name='activeMaximumCrawlRateAdvanced')
    alert_setting = sgqlc.types.Field(sgqlc.types.non_null(AlertSetting), graphql_name='alertSetting')
    auto_finalize_on_crawl_limits = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='autoFinalizeOnCrawlLimits')
    compare_to_crawl = sgqlc.types.Field(CompareToCrawl, graphql_name='compareToCrawl')
    crawl_disallowed_urls1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlDisallowedUrls1stLevel')
    crawl_hyperlinks_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlHyperlinksExternal')
    crawl_hyperlinks_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlHyperlinksInternal')
    crawl_images_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesExternal')
    crawl_images_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlImagesInternal')
    crawl_nofollow_hyperlinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNofollowHyperlinks')
    crawl_non_html = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNonHtml')
    crawl_not_included1st_level = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlNotIncluded1stLevel')
    crawl_other_rel_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlOtherRelExternal')
    crawl_other_rel_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlOtherRelInternal')
    crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='crawlRate')
    crawl_redirects_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsExternal')
    crawl_redirects_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRedirectsInternal')
    crawl_rel_amphtml_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlExternal')
    crawl_rel_amphtml_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelAmphtmlInternal')
    crawl_rel_canonicals_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsExternal')
    crawl_rel_canonicals_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelCanonicalsInternal')
    crawl_rel_hreflangs_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsExternal')
    crawl_rel_hreflangs_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelHreflangsInternal')
    crawl_rel_mobile_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileExternal')
    crawl_rel_mobile_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelMobileInternal')
    crawl_rel_next_prev_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevExternal')
    crawl_rel_next_prev_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRelNextPrevInternal')
    crawl_robots_txt_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlRobotsTxtNoindex')
    crawl_scripts_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsExternal')
    crawl_scripts_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlScriptsInternal')
    crawl_sitemaps_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlSitemapsExternal')
    crawl_sitemaps_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlSitemapsInternal')
    crawl_stylesheets_external = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsExternal')
    crawl_stylesheets_internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlStylesheetsInternal')
    crawl_test_site = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='crawlTestSite')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_dns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomDnsSetting')), graphql_name='customDns')
    custom_extractions = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('CustomExtractionSetting')), graphql_name='customExtractions')
    custom_header_user_agent = sgqlc.types.Field(String, graphql_name='customHeaderUserAgent')
    custom_header_user_agent_short = sgqlc.types.Field(String, graphql_name='customHeaderUserAgentShort')
    custom_request_headers = sgqlc.types.Field(JSONObject, graphql_name='customRequestHeaders')
    discover_sitemaps_in_robots_txt = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='discoverSitemapsInRobotsTxt')
    duplicate_precision = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='duplicatePrecision')
    empty_page_threshold = sgqlc.types.Field(Int, graphql_name='emptyPageThreshold')
    exclude_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeUrlPatterns')
    ga_date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaDateRange')
    google_analytics_project_view = sgqlc.types.Field('GoogleAnalyticsProjectView', graphql_name='googleAnalyticsProjectView')
    has_test_site_password = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasTestSitePassword')
    high_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='highLogSummaryRequests')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    include_http_and_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeHttpAndHttps')
    include_subdomains = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='includeSubdomains')
    include_url_patterns = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeUrlPatterns')
    limit_levels_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitLevelsMax')
    limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitPagesMax')
    limit_urls_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='limitUrlsMax')
    location = sgqlc.types.Field(sgqlc.types.non_null('Location'), graphql_name='location')
    log_summary_requests_high = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsHigh')
    log_summary_requests_low = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logSummaryRequestsLow')
    low_log_summary_requests = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lowLogSummaryRequests')
    max_body_content_length = sgqlc.types.Field(Int, graphql_name='maxBodyContentLength')
    max_content_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxContentThreshold')
    max_description_length = sgqlc.types.Field(Int, graphql_name='maxDescriptionLength')
    max_followed_external_links = sgqlc.types.Field(Int, graphql_name='maxFollowedExternalLinks')
    max_html_size = sgqlc.types.Field(Int, graphql_name='maxHtmlSize')
    max_links = sgqlc.types.Field(Int, graphql_name='maxLinks')
    max_links_processed = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxLinksProcessed')
    max_load_time = sgqlc.types.Field(Float, graphql_name='maxLoadTime')
    max_redirections = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRedirections')
    max_title_width = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxTitleWidth')
    max_url_length = sgqlc.types.Field(Int, graphql_name='maxUrlLength')
    maximum_crawl_rate = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='maximumCrawlRate')
    maximum_crawl_rate_advanced = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(AdvancedCrawlRate)), graphql_name='maximumCrawlRateAdvanced')
    min_content_ratio = sgqlc.types.Field(Float, graphql_name='minContentRatio')
    min_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minDescriptionLength')
    min_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minTitleLength')
    min_visits = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minVisits')
    mobile_homepage_url = sgqlc.types.Field(String, graphql_name='mobileHomepageUrl')
    mobile_url_pattern = sgqlc.types.Field(String, graphql_name='mobileUrlPattern')
    mobile_user_agent = sgqlc.types.Field('UserAgent', graphql_name='mobileUserAgent')
    primary_domain = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryDomain')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    renderer_block_ads = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAds')
    renderer_block_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='rendererBlockAnalytics')
    robots_overwrite = sgqlc.types.Field(String, graphql_name='robotsOverwrite')
    safe_title_width = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='safeTitleWidth')
    secondary_domains = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='secondaryDomains')
    site_primary = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='sitePrimary')
    site_test = sgqlc.types.Field(String, graphql_name='siteTest')
    site_test_user = sgqlc.types.Field(String, graphql_name='siteTestUser')
    sitemap_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='sitemapUrls')
    start_urls = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='startUrls')
    test_site_domain = sgqlc.types.Field(String, graphql_name='testSiteDomain')
    test_site_username = sgqlc.types.Field(String, graphql_name='testSiteUsername')
    thin_page_threshold = sgqlc.types.Field(Int, graphql_name='thinPageThreshold')
    twitter_description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='twitterDescriptionLength')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    url_rewrite_query_parameters = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlRewriteQueryParameters')
    url_rewrite_rules = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlRewriteRule')), graphql_name='urlRewriteRules')
    url_rewrite_strip_fragment = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlRewriteStripFragment')
    url_sampling = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('UrlSampling')), graphql_name='urlSampling')
    urls_excluded = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsExcluded')
    urls_included = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='urlsIncluded')
    use_mobile_settings = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useMobileSettings')
    use_renderer = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRenderer')
    use_robots_overwrite = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRobotsOverwrite')
    use_stealth_mode = sgqlc.types.Field(Boolean, graphql_name='useStealthMode')
    use_url_rewrite_rules = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useUrlRewriteRules')
    user_agent = sgqlc.types.Field('UserAgent', graphql_name='userAgent')
    user_agent_string = sgqlc.types.Field(String, graphql_name='userAgentString')
    user_agent_string_mobile = sgqlc.types.Field(String, graphql_name='userAgentStringMobile')
    user_agent_token = sgqlc.types.Field(String, graphql_name='userAgentToken')
    user_agent_token_mobile = sgqlc.types.Field(String, graphql_name='userAgentTokenMobile')


class CrawlSitemap(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('http_status_code', 'log_requests_total', 'restricted_reason', 'sitemap_type', 'url', 'url_count', 'url_digest')
    http_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='httpStatusCode')
    log_requests_total = sgqlc.types.Field(Int, graphql_name='logRequestsTotal')
    restricted_reason = sgqlc.types.Field(String, graphql_name='restrictedReason')
    sitemap_type = sgqlc.types.Field(String, graphql_name='sitemapType')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    url_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlCount')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')


class CrawlSitemapConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlSitemapEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlSitemap))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlSitemapEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlSitemap), graphql_name='node')


class CrawlTypeCount(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('count', 'crawl_types')
    count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='count')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType))), graphql_name='crawlTypes')


class CrawlTypeMetadata(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'id', 'name', 'phase', 'raw_id')
    code = sgqlc.types.Field(sgqlc.types.non_null(CrawlType), graphql_name='code')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    phase = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='phase')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')


class CrawlUncrawledUrl(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('file_extension', 'found_at_sitemap', 'found_at_url', 'found_in_backlinks', 'found_in_google_analytics', 'found_in_google_search_console', 'found_in_list', 'found_in_log_summary', 'found_in_sitemap', 'level', 'restricted_reason', 'rewrite_chain', 'tag', 'url', 'url_alias', 'url_alias_digest', 'url_digest')
    file_extension = sgqlc.types.Field(String, graphql_name='fileExtension')
    found_at_sitemap = sgqlc.types.Field(String, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(String, graphql_name='foundAtUrl')
    found_in_backlinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInBacklinks')
    found_in_google_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInGoogleAnalytics')
    found_in_google_search_console = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInGoogleSearchConsole')
    found_in_list = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInList')
    found_in_log_summary = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInLogSummary')
    found_in_sitemap = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInSitemap')
    level = sgqlc.types.Field(Int, graphql_name='level')
    restricted_reason = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='restrictedReason')
    rewrite_chain = sgqlc.types.Field(JSONObject, graphql_name='rewriteChain')
    tag = sgqlc.types.Field(String, graphql_name='tag')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    url_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlAlias')
    url_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlAliasDigest')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')


class CrawlUncrawledUrlConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUncrawledUrlEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUncrawledUrl))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlUncrawledUrlEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlUncrawledUrl), graphql_name='node')


class CrawlUniqueLink(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('anchor_text', 'attr_rel', 'has_image_alt_text', 'has_image_link', 'hreflang', 'instance_count', 'internal', 'is_hreflang', 'is_image_alt_text_empty', 'is_redirect', 'is_restricted', 'link_type', 'nofollow', 'primary_url_from', 'primary_url_from_alias', 'primary_url_from_alias_digest', 'primary_url_from_deeprank', 'primary_url_from_digest', 'primary_url_from_https', 'primary_url_from_status_code', 'primary_url_from_status_code_id', 'primary_url_from_title', 'tag', 'unique_link_digest', 'url_to', 'url_to_alias', 'url_to_alias_digest', 'url_to_deeprank', 'url_to_digest', 'url_to_https', 'url_to_status_code', 'url_to_status_code_id', 'url_to_title')
    anchor_text = sgqlc.types.Field(String, graphql_name='anchorText')
    attr_rel = sgqlc.types.Field(String, graphql_name='attrRel')
    has_image_alt_text = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasImageAltText')
    has_image_link = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasImageLink')
    hreflang = sgqlc.types.Field(String, graphql_name='hreflang')
    instance_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='instanceCount')
    internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='internal')
    is_hreflang = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isHreflang')
    is_image_alt_text_empty = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isImageAltTextEmpty')
    is_redirect = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isRedirect')
    is_restricted = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isRestricted')
    link_type = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='linkType')
    nofollow = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='nofollow')
    primary_url_from = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlFrom')
    primary_url_from_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlFromAlias')
    primary_url_from_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlFromAliasDigest')
    primary_url_from_deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='primaryUrlFromDeeprank')
    primary_url_from_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlFromDigest')
    primary_url_from_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='primaryUrlFromHttps')
    primary_url_from_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='primaryUrlFromStatusCode')
    primary_url_from_status_code_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='primaryUrlFromStatusCodeId')
    primary_url_from_title = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='primaryUrlFromTitle')
    tag = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='tag')
    unique_link_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='uniqueLinkDigest')
    url_to = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlTo')
    url_to_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToAlias')
    url_to_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToAliasDigest')
    url_to_deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='urlToDeeprank')
    url_to_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlToDigest')
    url_to_https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='urlToHttps')
    url_to_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlToStatusCode')
    url_to_status_code_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlToStatusCodeId')
    url_to_title = sgqlc.types.Field(String, graphql_name='urlToTitle')


class CrawlUniqueLinkConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUniqueLinkEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUniqueLink))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlUniqueLinkEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlUniqueLink), graphql_name='node')


class CrawlUpdatedPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(Crawl, graphql_name='crawl')


class CrawlUrl(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('amphtml', 'amphtml_reciprocate', 'amphtml_valid', 'backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_header_url', 'canonical_html_url', 'canonical_links_in_count', 'canonical_url', 'canonical_url_digest', 'canonical_url_is_consistent', 'canonicalized_page', 'content_html_ratio', 'content_size', 'crawl_datetime', 'css', 'custom_extraction1', 'custom_extraction2', 'custom_extraction3', 'custom_extraction4', 'custom_extraction5', 'custom_extraction6', 'custom_extraction7', 'custom_extraction8', 'custom_extraction9', 'custom_extraction10', 'custom_extraction11', 'custom_extraction12', 'custom_extraction13', 'custom_extraction14', 'custom_extraction15', 'custom_extraction16', 'custom_extraction17', 'custom_extraction18', 'custom_extraction19', 'custom_extraction20', 'custom_extraction21', 'custom_extraction22', 'custom_extraction23', 'custom_extraction24', 'custom_extraction25', 'custom_extraction26', 'custom_extraction27', 'custom_extraction28', 'custom_extraction29', 'custom_extraction30', 'custom_extraction_match', 'deeprank', 'description', 'description_length', 'description_length_px', 'desktop_url', 'desktop_url_digest', 'disallowed_page', 'duplicate_body', 'duplicate_body_count', 'duplicate_body_non_indexable', 'duplicate_body_primary_url', 'duplicate_body_primary_url_digest', 'duplicate_description', 'duplicate_description_count', 'duplicate_description_non_indexable', 'duplicate_description_primary_url', 'duplicate_description_primary_url_digest', 'duplicate_page', 'duplicate_page_count', 'duplicate_page_non_indexable', 'duplicate_title', 'duplicate_title_count', 'duplicate_title_non_indexable', 'duplicate_title_primary_url', 'duplicate_title_primary_url_digest', 'encoding_header', 'event_schema_count', 'external_links_count', 'failed_reason', 'faqpage_schema_count', 'fb_admins', 'fb_app_id', 'fetch_time', 'file_extension', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'found_at_sitemap', 'found_at_url', 'found_in_backlinks', 'found_in_google_analytics', 'found_in_google_search_console', 'found_in_list', 'found_in_log_summary', 'found_in_sitemap', 'found_in_web_crawl', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'h1_tag', 'h2_tag', 'h3_tag', 'has_structured_data', 'head_tags_in_body_count', 'header_content_type', 'header_noarchive', 'header_nofollow', 'header_noindex', 'header_noodp', 'header_nosnippet', 'header_noydir', 'howto_schema_count', 'hreflang_combination', 'hreflang_links_in_count', 'hreflang_links_out_count', 'hreflang_on_header', 'hreflang_on_page', 'hreflang_on_sitemap', 'hreflang_url_count', 'hsts', 'html_size', 'http_status_code', 'https', 'indexable', 'internal', 'internal_links_count', 'is_image', 'is_redirect', 'is_redirect_loop', 'is_self_canonical', 'js', 'level', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'meta_charset', 'meta_content_type', 'meta_disabled_sitelinks', 'meta_noarchive', 'meta_nofollow', 'meta_noindex', 'meta_noodp', 'meta_nosnippet', 'meta_noydir', 'meta_redirect', 'mobile_desktop_content_difference', 'mobile_desktop_content_mismatch', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'mobile_reciprocate', 'mobile_rel_alternate', 'mobile_rel_alternate_header_url', 'mobile_rel_alternate_header_url_digest', 'mobile_rel_alternate_html_url', 'mobile_rel_alternate_html_url_digest', 'mobile_rel_alternate_url', 'mobile_rel_alternate_url_digest', 'mobile_rel_alternate_url_is_consistent', 'mobile_rel_amphtml', 'mobile_rel_amphtml_url', 'mobile_rel_amphtml_url_digest', 'newsarticle_author_schema_value', 'newsarticle_schema_count', 'newsarticle_schema_valid', 'noarchive', 'nofollowed_page', 'noindex', 'noodp', 'nosnippet', 'noydir', 'og_description', 'og_image', 'og_locale', 'og_site_name', 'og_title', 'og_type', 'og_url', 'page1', 'page_title', 'page_title_length', 'page_title_length_px', 'paginated_page', 'param_count', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'path_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'previous_path', 'previous_path_digest', 'primary_page', 'primary_url', 'primary_url_digest', 'primary_url_non_indexable', 'product_availability_schema_value', 'product_brand_schema_value', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'product_schema_valid', 'product_sku_schema_value', 'qapage_schema_count', 'raw_header', 'recipe_schema_count', 'redirect_chain', 'redirect_count', 'redirected_to_status_code', 'redirected_to_url', 'redirected_to_url_digest', 'redirects_in_count', 'rel_links_in_count', 'rel_next_header_url', 'rel_next_html_url', 'rel_next_url', 'rel_next_url_is_consistent', 'rel_prev_header_url', 'rel_prev_html_url', 'rel_prev_url', 'rel_prev_url_is_consistent', 'rendered_canonical_link_match', 'rendered_link_count_difference', 'rendered_word_count_difference', 'responsive', 'review_schema_count', 'robots_noindex', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'secure_form_input_field', 'separate_desktop', 'separate_mobile', 'sitemaps_in_count', 'twitter_card', 'twitter_description', 'twitter_description_length', 'twitter_image', 'twitter_site', 'twitter_title', 'url', 'url_alias', 'url_alias_digest', 'url_digest', 'url_length', 'valid_twitter_card', 'vary_user_agent', 'videoobject_schema_count', 'viewport', 'word_count')
    amphtml = sgqlc.types.Field(Boolean, graphql_name='amphtml')
    amphtml_reciprocate = sgqlc.types.Field(Boolean, graphql_name='amphtmlReciprocate')
    amphtml_valid = sgqlc.types.Field(Boolean, graphql_name='amphtmlValid')
    backlink_count = sgqlc.types.Field(Int, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(Int, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(Int, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(Int, graphql_name='breadcrumbSchemaCount')
    canonical_header_url = sgqlc.types.Field(String, graphql_name='canonicalHeaderUrl')
    canonical_html_url = sgqlc.types.Field(String, graphql_name='canonicalHtmlUrl')
    canonical_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='canonicalLinksInCount')
    canonical_url = sgqlc.types.Field(String, graphql_name='canonicalUrl')
    canonical_url_digest = sgqlc.types.Field(String, graphql_name='canonicalUrlDigest')
    canonical_url_is_consistent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='canonicalUrlIsConsistent')
    canonicalized_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='canonicalizedPage')
    content_html_ratio = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='contentSize')
    crawl_datetime = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='crawlDatetime')
    css = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='css')
    custom_extraction1 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction1')
    custom_extraction2 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction2')
    custom_extraction3 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction3')
    custom_extraction4 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction4')
    custom_extraction5 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction5')
    custom_extraction6 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction6')
    custom_extraction7 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction7')
    custom_extraction8 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction8')
    custom_extraction9 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction9')
    custom_extraction10 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction10')
    custom_extraction11 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction11')
    custom_extraction12 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction12')
    custom_extraction13 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction13')
    custom_extraction14 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction14')
    custom_extraction15 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction15')
    custom_extraction16 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction16')
    custom_extraction17 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction17')
    custom_extraction18 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction18')
    custom_extraction19 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction19')
    custom_extraction20 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction20')
    custom_extraction21 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction21')
    custom_extraction22 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction22')
    custom_extraction23 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction23')
    custom_extraction24 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction24')
    custom_extraction25 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction25')
    custom_extraction26 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction26')
    custom_extraction27 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction27')
    custom_extraction28 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction28')
    custom_extraction29 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction29')
    custom_extraction30 = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='customExtraction30')
    custom_extraction_match = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='customExtractionMatch')
    deeprank = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='deeprank')
    description = sgqlc.types.Field(String, graphql_name='description')
    description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='descriptionLengthPx')
    desktop_url = sgqlc.types.Field(String, graphql_name='desktopUrl')
    desktop_url_digest = sgqlc.types.Field(String, graphql_name='desktopUrlDigest')
    disallowed_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='disallowedPage')
    duplicate_body = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateBody')
    duplicate_body_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateBodyCount')
    duplicate_body_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateBodyNonIndexable')
    duplicate_body_primary_url = sgqlc.types.Field(String, graphql_name='duplicateBodyPrimaryUrl')
    duplicate_body_primary_url_digest = sgqlc.types.Field(String, graphql_name='duplicateBodyPrimaryUrlDigest')
    duplicate_description = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateDescription')
    duplicate_description_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateDescriptionCount')
    duplicate_description_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateDescriptionNonIndexable')
    duplicate_description_primary_url = sgqlc.types.Field(String, graphql_name='duplicateDescriptionPrimaryUrl')
    duplicate_description_primary_url_digest = sgqlc.types.Field(String, graphql_name='duplicateDescriptionPrimaryUrlDigest')
    duplicate_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicatePage')
    duplicate_page_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicatePageCount')
    duplicate_page_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicatePageNonIndexable')
    duplicate_title = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateTitle')
    duplicate_title_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateTitleCount')
    duplicate_title_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateTitleNonIndexable')
    duplicate_title_primary_url = sgqlc.types.Field(String, graphql_name='duplicateTitlePrimaryUrl')
    duplicate_title_primary_url_digest = sgqlc.types.Field(String, graphql_name='duplicateTitlePrimaryUrlDigest')
    encoding_header = sgqlc.types.Field(String, graphql_name='encodingHeader')
    event_schema_count = sgqlc.types.Field(Int, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='externalLinksCount')
    failed_reason = sgqlc.types.Field(String, graphql_name='failedReason')
    faqpage_schema_count = sgqlc.types.Field(Int, graphql_name='faqpageSchemaCount')
    fb_admins = sgqlc.types.Field(String, graphql_name='fbAdmins')
    fb_app_id = sgqlc.types.Field(String, graphql_name='fbAppId')
    fetch_time = sgqlc.types.Field(Float, graphql_name='fetchTime')
    file_extension = sgqlc.types.Field(String, graphql_name='fileExtension')
    folder_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='followedLinksInCount')
    found_at_sitemap = sgqlc.types.Field(String, graphql_name='foundAtSitemap')
    found_at_url = sgqlc.types.Field(String, graphql_name='foundAtUrl')
    found_in_backlinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInBacklinks')
    found_in_google_analytics = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInGoogleAnalytics')
    found_in_google_search_console = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInGoogleSearchConsole')
    found_in_list = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInList')
    found_in_log_summary = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInLogSummary')
    found_in_sitemap = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInSitemap')
    found_in_web_crawl = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='foundInWebCrawl')
    ga_avg_page_load_time = sgqlc.types.Field(Float, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(Float, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(Float, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(Float, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(Int, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='h1Count')
    h1_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='h1Length')
    h1_tag = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='h1Tag')
    h2_tag = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='h2Tag')
    h3_tag = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='h3Tag')
    has_structured_data = sgqlc.types.Field(Boolean, graphql_name='hasStructuredData')
    head_tags_in_body_count = sgqlc.types.Field(Int, graphql_name='headTagsInBodyCount')
    header_content_type = sgqlc.types.Field(String, graphql_name='headerContentType')
    header_noarchive = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNoarchive')
    header_nofollow = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNofollow')
    header_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNoindex')
    header_noodp = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNoodp')
    header_nosnippet = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNosnippet')
    header_noydir = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='headerNoydir')
    howto_schema_count = sgqlc.types.Field(Int, graphql_name='howtoSchemaCount')
    hreflang_combination = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='hreflangCombination')
    hreflang_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='hreflangLinksInCount')
    hreflang_links_out_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='hreflangLinksOutCount')
    hreflang_on_header = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hreflangOnHeader')
    hreflang_on_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hreflangOnPage')
    hreflang_on_sitemap = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hreflangOnSitemap')
    hreflang_url_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='hreflangUrlCount')
    hsts = sgqlc.types.Field(String, graphql_name='hsts')
    html_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='htmlSize')
    http_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='httpStatusCode')
    https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='https')
    indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='indexable')
    internal = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='internal')
    internal_links_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='internalLinksCount')
    is_image = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isImage')
    is_redirect = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isRedirect')
    is_redirect_loop = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isRedirectLoop')
    is_self_canonical = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isSelfCanonical')
    js = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='js')
    level = sgqlc.types.Field(Int, graphql_name='level')
    links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(Int, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(Int, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(Int, graphql_name='logRequestsTotal')
    meta_charset = sgqlc.types.Field(String, graphql_name='metaCharset')
    meta_content_type = sgqlc.types.Field(String, graphql_name='metaContentType')
    meta_disabled_sitelinks = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaDisabledSitelinks')
    meta_noarchive = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNoarchive')
    meta_nofollow = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNofollow')
    meta_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNoindex')
    meta_noodp = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNoodp')
    meta_nosnippet = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNosnippet')
    meta_noydir = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaNoydir')
    meta_redirect = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='metaRedirect')
    mobile_desktop_content_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_content_mismatch = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='mobileDesktopContentMismatch')
    mobile_desktop_links_in_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksOutDifference')
    mobile_reciprocate = sgqlc.types.Field(Boolean, graphql_name='mobileReciprocate')
    mobile_rel_alternate = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='mobileRelAlternate')
    mobile_rel_alternate_header_url = sgqlc.types.Field(String, graphql_name='mobileRelAlternateHeaderUrl')
    mobile_rel_alternate_header_url_digest = sgqlc.types.Field(String, graphql_name='mobileRelAlternateHeaderUrlDigest')
    mobile_rel_alternate_html_url = sgqlc.types.Field(String, graphql_name='mobileRelAlternateHtmlUrl')
    mobile_rel_alternate_html_url_digest = sgqlc.types.Field(String, graphql_name='mobileRelAlternateHtmlUrlDigest')
    mobile_rel_alternate_url = sgqlc.types.Field(String, graphql_name='mobileRelAlternateUrl')
    mobile_rel_alternate_url_digest = sgqlc.types.Field(String, graphql_name='mobileRelAlternateUrlDigest')
    mobile_rel_alternate_url_is_consistent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='mobileRelAlternateUrlIsConsistent')
    mobile_rel_amphtml = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='mobileRelAmphtml')
    mobile_rel_amphtml_url = sgqlc.types.Field(String, graphql_name='mobileRelAmphtmlUrl')
    mobile_rel_amphtml_url_digest = sgqlc.types.Field(String, graphql_name='mobileRelAmphtmlUrlDigest')
    newsarticle_author_schema_value = sgqlc.types.Field(String, graphql_name='newsarticleAuthorSchemaValue')
    newsarticle_schema_count = sgqlc.types.Field(Int, graphql_name='newsarticleSchemaCount')
    newsarticle_schema_valid = sgqlc.types.Field(Boolean, graphql_name='newsarticleSchemaValid')
    noarchive = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='noarchive')
    nofollowed_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='nofollowedPage')
    noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='noindex')
    noodp = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='noodp')
    nosnippet = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='nosnippet')
    noydir = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='noydir')
    og_description = sgqlc.types.Field(String, graphql_name='ogDescription')
    og_image = sgqlc.types.Field(String, graphql_name='ogImage')
    og_locale = sgqlc.types.Field(String, graphql_name='ogLocale')
    og_site_name = sgqlc.types.Field(String, graphql_name='ogSiteName')
    og_title = sgqlc.types.Field(String, graphql_name='ogTitle')
    og_type = sgqlc.types.Field(String, graphql_name='ogType')
    og_url = sgqlc.types.Field(String, graphql_name='ogUrl')
    page1 = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='page1')
    page_title = sgqlc.types.Field(String, graphql_name='pageTitle')
    page_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLengthPx')
    paginated_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='paginatedPage')
    param_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='paramCount')
    path0 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path0')
    path1 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path1')
    path2 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path2')
    path3 = sgqlc.types.Field(String, graphql_name='path3')
    path4 = sgqlc.types.Field(String, graphql_name='path4')
    path5 = sgqlc.types.Field(String, graphql_name='path5')
    path6 = sgqlc.types.Field(String, graphql_name='path6')
    path7 = sgqlc.types.Field(String, graphql_name='path7')
    path8 = sgqlc.types.Field(String, graphql_name='path8')
    path9 = sgqlc.types.Field(String, graphql_name='path9')
    path_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pathCount')
    performance_cls = sgqlc.types.Field(Float, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(Float, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(Float, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(Float, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(Float, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(Float, graphql_name='performanceTti')
    previous_path = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='previousPath')
    previous_path_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='previousPathDigest')
    primary_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='primaryPage')
    primary_url = sgqlc.types.Field(String, graphql_name='primaryUrl')
    primary_url_digest = sgqlc.types.Field(String, graphql_name='primaryUrlDigest')
    primary_url_non_indexable = sgqlc.types.Field(String, graphql_name='primaryUrlNonIndexable')
    product_availability_schema_value = sgqlc.types.Field(String, graphql_name='productAvailabilitySchemaValue')
    product_brand_schema_value = sgqlc.types.Field(String, graphql_name='productBrandSchemaValue')
    product_price_schema_value = sgqlc.types.Field(Float, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(Float, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(Int, graphql_name='productSchemaCount')
    product_schema_valid = sgqlc.types.Field(Boolean, graphql_name='productSchemaValid')
    product_sku_schema_value = sgqlc.types.Field(String, graphql_name='productSkuSchemaValue')
    qapage_schema_count = sgqlc.types.Field(Int, graphql_name='qapageSchemaCount')
    raw_header = sgqlc.types.Field(JSONObject, graphql_name='rawHeader')
    recipe_schema_count = sgqlc.types.Field(Int, graphql_name='recipeSchemaCount')
    redirect_chain = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('Redirect')), graphql_name='redirectChain')
    redirect_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='redirectCount')
    redirected_to_status_code = sgqlc.types.Field(Int, graphql_name='redirectedToStatusCode')
    redirected_to_url = sgqlc.types.Field(String, graphql_name='redirectedToUrl')
    redirected_to_url_digest = sgqlc.types.Field(String, graphql_name='redirectedToUrlDigest')
    redirects_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='relLinksInCount')
    rel_next_header_url = sgqlc.types.Field(String, graphql_name='relNextHeaderUrl')
    rel_next_html_url = sgqlc.types.Field(String, graphql_name='relNextHtmlUrl')
    rel_next_url = sgqlc.types.Field(String, graphql_name='relNextUrl')
    rel_next_url_is_consistent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='relNextUrlIsConsistent')
    rel_prev_header_url = sgqlc.types.Field(String, graphql_name='relPrevHeaderUrl')
    rel_prev_html_url = sgqlc.types.Field(String, graphql_name='relPrevHtmlUrl')
    rel_prev_url = sgqlc.types.Field(String, graphql_name='relPrevUrl')
    rel_prev_url_is_consistent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='relPrevUrlIsConsistent')
    rendered_canonical_link_match = sgqlc.types.Field(Boolean, graphql_name='renderedCanonicalLinkMatch')
    rendered_link_count_difference = sgqlc.types.Field(Int, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(Int, graphql_name='renderedWordCountDifference')
    responsive = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='responsive')
    review_schema_count = sgqlc.types.Field(Int, graphql_name='reviewSchemaCount')
    robots_noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='robotsNoindex')
    search_console_desktop_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(Float, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalPosition')
    secure_form_input_field = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='secureFormInputField')
    separate_desktop = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='separateDesktop')
    separate_mobile = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='separateMobile')
    sitemaps_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='sitemapsInCount')
    twitter_card = sgqlc.types.Field(String, graphql_name='twitterCard')
    twitter_description = sgqlc.types.Field(String, graphql_name='twitterDescription')
    twitter_description_length = sgqlc.types.Field(Int, graphql_name='twitterDescriptionLength')
    twitter_image = sgqlc.types.Field(String, graphql_name='twitterImage')
    twitter_site = sgqlc.types.Field(String, graphql_name='twitterSite')
    twitter_title = sgqlc.types.Field(String, graphql_name='twitterTitle')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    url_alias = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlAlias')
    url_alias_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlAliasDigest')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')
    url_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='urlLength')
    valid_twitter_card = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='validTwitterCard')
    vary_user_agent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='varyUserAgent')
    videoobject_schema_count = sgqlc.types.Field(Int, graphql_name='videoobjectSchemaCount')
    viewport = sgqlc.types.Field(String, graphql_name='viewport')
    word_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='wordCount')


class CrawlUrlAggregate(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('amphtml', 'amphtml_reciprocate', 'avg', 'canonical_url_is_consistent', 'canonicalized_page', 'count', 'css', 'custom_extraction_match', 'disallowed_page', 'duplicate_body', 'duplicate_body_non_indexable', 'duplicate_description', 'duplicate_description_non_indexable', 'duplicate_page', 'duplicate_page_non_indexable', 'duplicate_title', 'duplicate_title_non_indexable', 'failed_reason', 'file_extension', 'header_content_type', 'http_status_code', 'https', 'indexable', 'is_image', 'is_self_canonical', 'js', 'level', 'max', 'meta_content_type', 'min', 'nofollowed_page', 'noindex', 'og_locale', 'og_type', 'path0', 'path1', 'path2', 'path3', 'path4', 'path5', 'path6', 'path7', 'path8', 'path9', 'sum', 'viewport')
    amphtml = sgqlc.types.Field(Boolean, graphql_name='amphtml')
    amphtml_reciprocate = sgqlc.types.Field(Boolean, graphql_name='amphtmlReciprocate')
    avg = sgqlc.types.Field(sgqlc.types.non_null('CrawlUrlAvgCalculation'), graphql_name='avg')
    canonical_url_is_consistent = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='canonicalUrlIsConsistent')
    canonicalized_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='canonicalizedPage')
    count = sgqlc.types.Field(sgqlc.types.non_null('CrawlUrlCountCalculation'), graphql_name='count')
    css = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='css')
    custom_extraction_match = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='customExtractionMatch')
    disallowed_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='disallowedPage')
    duplicate_body = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateBody')
    duplicate_body_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateBodyNonIndexable')
    duplicate_description = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateDescription')
    duplicate_description_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateDescriptionNonIndexable')
    duplicate_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicatePage')
    duplicate_page_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicatePageNonIndexable')
    duplicate_title = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateTitle')
    duplicate_title_non_indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='duplicateTitleNonIndexable')
    failed_reason = sgqlc.types.Field(String, graphql_name='failedReason')
    file_extension = sgqlc.types.Field(String, graphql_name='fileExtension')
    header_content_type = sgqlc.types.Field(String, graphql_name='headerContentType')
    http_status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='httpStatusCode')
    https = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='https')
    indexable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='indexable')
    is_image = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isImage')
    is_self_canonical = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isSelfCanonical')
    js = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='js')
    level = sgqlc.types.Field(Int, graphql_name='level')
    max = sgqlc.types.Field(sgqlc.types.non_null('CrawlUrlMaxCalculation'), graphql_name='max')
    meta_content_type = sgqlc.types.Field(String, graphql_name='metaContentType')
    min = sgqlc.types.Field(sgqlc.types.non_null('CrawlUrlMinCalculation'), graphql_name='min')
    nofollowed_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='nofollowedPage')
    noindex = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='noindex')
    og_locale = sgqlc.types.Field(String, graphql_name='ogLocale')
    og_type = sgqlc.types.Field(String, graphql_name='ogType')
    path0 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path0')
    path1 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path1')
    path2 = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='path2')
    path3 = sgqlc.types.Field(String, graphql_name='path3')
    path4 = sgqlc.types.Field(String, graphql_name='path4')
    path5 = sgqlc.types.Field(String, graphql_name='path5')
    path6 = sgqlc.types.Field(String, graphql_name='path6')
    path7 = sgqlc.types.Field(String, graphql_name='path7')
    path8 = sgqlc.types.Field(String, graphql_name='path8')
    path9 = sgqlc.types.Field(String, graphql_name='path9')
    sum = sgqlc.types.Field(sgqlc.types.non_null('CrawlUrlSumCalculation'), graphql_name='sum')
    viewport = sgqlc.types.Field(String, graphql_name='viewport')


class CrawlUrlAggregateConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('nodes', 'page_info', 'total_count')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregate))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlUrlAvgCalculation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_links_in_count', 'content_html_ratio', 'content_size', 'deeprank', 'description_length', 'description_length_px', 'duplicate_body_count', 'duplicate_description_count', 'duplicate_page_count', 'duplicate_title_count', 'event_schema_count', 'external_links_count', 'faqpage_schema_count', 'fetch_time', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'head_tags_in_body_count', 'howto_schema_count', 'hreflang_links_in_count', 'html_size', 'internal_links_count', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'mobile_desktop_content_difference', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'newsarticle_schema_count', 'page_title_length', 'page_title_length_px', 'param_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirects_in_count', 'rel_links_in_count', 'rendered_link_count_difference', 'rendered_word_count_difference', 'review_schema_count', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'sitemaps_in_count', 'videoobject_schema_count', 'word_count')
    backlink_count = sgqlc.types.Field(Float, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(Float, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(Float, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(Float, graphql_name='breadcrumbSchemaCount')
    canonical_links_in_count = sgqlc.types.Field(Float, graphql_name='canonicalLinksInCount')
    content_html_ratio = sgqlc.types.Field(Float, graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(Float, graphql_name='contentSize')
    deeprank = sgqlc.types.Field(Float, graphql_name='deeprank')
    description_length = sgqlc.types.Field(Float, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(Float, graphql_name='descriptionLengthPx')
    duplicate_body_count = sgqlc.types.Field(Float, graphql_name='duplicateBodyCount')
    duplicate_description_count = sgqlc.types.Field(Float, graphql_name='duplicateDescriptionCount')
    duplicate_page_count = sgqlc.types.Field(Float, graphql_name='duplicatePageCount')
    duplicate_title_count = sgqlc.types.Field(Float, graphql_name='duplicateTitleCount')
    event_schema_count = sgqlc.types.Field(Float, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(Float, graphql_name='externalLinksCount')
    faqpage_schema_count = sgqlc.types.Field(Float, graphql_name='faqpageSchemaCount')
    fetch_time = sgqlc.types.Field(Float, graphql_name='fetchTime')
    folder_count = sgqlc.types.Field(Float, graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(Float, graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(Float, graphql_name='followedLinksInCount')
    ga_avg_page_load_time = sgqlc.types.Field(Float, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(Float, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(Float, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(Float, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(Float, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(Float, graphql_name='h1Count')
    h1_length = sgqlc.types.Field(Float, graphql_name='h1Length')
    head_tags_in_body_count = sgqlc.types.Field(Float, graphql_name='headTagsInBodyCount')
    howto_schema_count = sgqlc.types.Field(Float, graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(Float, graphql_name='hreflangLinksInCount')
    html_size = sgqlc.types.Field(Float, graphql_name='htmlSize')
    internal_links_count = sgqlc.types.Field(Float, graphql_name='internalLinksCount')
    links_in_count = sgqlc.types.Field(Float, graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(Float, graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(Float, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(Float, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(Float, graphql_name='logRequestsTotal')
    mobile_desktop_content_difference = sgqlc.types.Field(Float, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_links_in_difference = sgqlc.types.Field(Float, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(Float, graphql_name='mobileDesktopLinksOutDifference')
    newsarticle_schema_count = sgqlc.types.Field(Float, graphql_name='newsarticleSchemaCount')
    page_title_length = sgqlc.types.Field(Float, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(Float, graphql_name='pageTitleLengthPx')
    param_count = sgqlc.types.Field(Float, graphql_name='paramCount')
    performance_cls = sgqlc.types.Field(Float, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(Float, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(Float, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(Float, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(Float, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(Float, graphql_name='performanceTti')
    product_price_schema_value = sgqlc.types.Field(Float, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(Float, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(Float, graphql_name='productSchemaCount')
    qapage_schema_count = sgqlc.types.Field(Float, graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(Float, graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(Float, graphql_name='redirectCount')
    redirects_in_count = sgqlc.types.Field(Float, graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(Float, graphql_name='relLinksInCount')
    rendered_link_count_difference = sgqlc.types.Field(Float, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(Float, graphql_name='renderedWordCountDifference')
    review_schema_count = sgqlc.types.Field(Float, graphql_name='reviewSchemaCount')
    search_console_desktop_clicks = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(Float, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalPosition')
    sitemaps_in_count = sgqlc.types.Field(Float, graphql_name='sitemapsInCount')
    videoobject_schema_count = sgqlc.types.Field(Float, graphql_name='videoobjectSchemaCount')
    word_count = sgqlc.types.Field(Float, graphql_name='wordCount')


class CrawlUrlConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlUrlEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrl))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlUrlCountCalculation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_links_in_count', 'content_html_ratio', 'content_size', 'deeprank', 'description_length', 'description_length_px', 'duplicate_body_count', 'duplicate_description_count', 'duplicate_page_count', 'duplicate_title_count', 'event_schema_count', 'external_links_count', 'faqpage_schema_count', 'fetch_time', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'found_at_sitemap', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'head_tags_in_body_count', 'howto_schema_count', 'hreflang_links_in_count', 'html_size', 'internal_links_count', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'mobile_desktop_content_difference', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'newsarticle_schema_count', 'page_title_length', 'page_title_length_px', 'param_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirects_in_count', 'rel_links_in_count', 'rendered_link_count_difference', 'rendered_word_count_difference', 'review_schema_count', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'sitemaps_in_count', 'url', 'videoobject_schema_count', 'word_count')
    backlink_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='breadcrumbSchemaCount')
    canonical_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='canonicalLinksInCount')
    content_html_ratio = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='contentSize')
    deeprank = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='deeprank')
    description_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='descriptionLengthPx')
    duplicate_body_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateBodyCount')
    duplicate_description_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateDescriptionCount')
    duplicate_page_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicatePageCount')
    duplicate_title_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicateTitleCount')
    event_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='externalLinksCount')
    faqpage_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='faqpageSchemaCount')
    fetch_time = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='fetchTime')
    folder_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='followedLinksInCount')
    found_at_sitemap = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='foundAtSitemap')
    ga_avg_page_load_time = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='h1Count')
    h1_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='h1Length')
    head_tags_in_body_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='headTagsInBodyCount')
    howto_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='hreflangLinksInCount')
    html_size = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='htmlSize')
    internal_links_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='internalLinksCount')
    links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='logRequestsTotal')
    mobile_desktop_content_difference = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='mobileDesktopContentDifference')
    mobile_desktop_links_in_difference = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='mobileDesktopLinksOutDifference')
    newsarticle_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='newsarticleSchemaCount')
    page_title_length = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='pageTitleLengthPx')
    param_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='paramCount')
    performance_cls = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='performanceTti')
    product_price_schema_value = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='productSchemaCount')
    qapage_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='redirectCount')
    redirects_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='relLinksInCount')
    rendered_link_count_difference = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='renderedWordCountDifference')
    review_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='reviewSchemaCount')
    search_console_desktop_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='searchConsoleTotalPosition')
    sitemaps_in_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='sitemapsInCount')
    url = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='url')
    videoobject_schema_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='videoobjectSchemaCount')
    word_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='wordCount')


class CrawlUrlEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlUrl), graphql_name='node')


class CrawlUrlMaxCalculation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_links_in_count', 'content_html_ratio', 'content_size', 'deeprank', 'description_length', 'description_length_px', 'duplicate_body_count', 'duplicate_description_count', 'duplicate_page_count', 'duplicate_title_count', 'event_schema_count', 'external_links_count', 'faqpage_schema_count', 'fetch_time', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'head_tags_in_body_count', 'howto_schema_count', 'hreflang_links_in_count', 'html_size', 'internal_links_count', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'mobile_desktop_content_difference', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'newsarticle_schema_count', 'page_title_length', 'page_title_length_px', 'param_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirects_in_count', 'rel_links_in_count', 'rendered_link_count_difference', 'rendered_word_count_difference', 'review_schema_count', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'sitemaps_in_count', 'videoobject_schema_count', 'word_count')
    backlink_count = sgqlc.types.Field(Int, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(Int, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(Int, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(Int, graphql_name='breadcrumbSchemaCount')
    canonical_links_in_count = sgqlc.types.Field(Int, graphql_name='canonicalLinksInCount')
    content_html_ratio = sgqlc.types.Field(Float, graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(Int, graphql_name='contentSize')
    deeprank = sgqlc.types.Field(Float, graphql_name='deeprank')
    description_length = sgqlc.types.Field(Int, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(Int, graphql_name='descriptionLengthPx')
    duplicate_body_count = sgqlc.types.Field(Int, graphql_name='duplicateBodyCount')
    duplicate_description_count = sgqlc.types.Field(Int, graphql_name='duplicateDescriptionCount')
    duplicate_page_count = sgqlc.types.Field(Int, graphql_name='duplicatePageCount')
    duplicate_title_count = sgqlc.types.Field(Int, graphql_name='duplicateTitleCount')
    event_schema_count = sgqlc.types.Field(Int, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(Int, graphql_name='externalLinksCount')
    faqpage_schema_count = sgqlc.types.Field(Int, graphql_name='faqpageSchemaCount')
    fetch_time = sgqlc.types.Field(Float, graphql_name='fetchTime')
    folder_count = sgqlc.types.Field(Int, graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(Int, graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(Int, graphql_name='followedLinksInCount')
    ga_avg_page_load_time = sgqlc.types.Field(Float, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(Float, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(Float, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(Float, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(Int, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(Int, graphql_name='h1Count')
    h1_length = sgqlc.types.Field(Int, graphql_name='h1Length')
    head_tags_in_body_count = sgqlc.types.Field(Int, graphql_name='headTagsInBodyCount')
    howto_schema_count = sgqlc.types.Field(Int, graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(Int, graphql_name='hreflangLinksInCount')
    html_size = sgqlc.types.Field(Int, graphql_name='htmlSize')
    internal_links_count = sgqlc.types.Field(Int, graphql_name='internalLinksCount')
    links_in_count = sgqlc.types.Field(Int, graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(Int, graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(Int, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(Int, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(Int, graphql_name='logRequestsTotal')
    mobile_desktop_content_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_links_in_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksOutDifference')
    newsarticle_schema_count = sgqlc.types.Field(Int, graphql_name='newsarticleSchemaCount')
    page_title_length = sgqlc.types.Field(Int, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(Int, graphql_name='pageTitleLengthPx')
    param_count = sgqlc.types.Field(Int, graphql_name='paramCount')
    performance_cls = sgqlc.types.Field(Float, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(Float, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(Float, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(Float, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(Float, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(Float, graphql_name='performanceTti')
    product_price_schema_value = sgqlc.types.Field(Float, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(Float, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(Int, graphql_name='productSchemaCount')
    qapage_schema_count = sgqlc.types.Field(Int, graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(Int, graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(Int, graphql_name='redirectCount')
    redirects_in_count = sgqlc.types.Field(Int, graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(Int, graphql_name='relLinksInCount')
    rendered_link_count_difference = sgqlc.types.Field(Int, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(Int, graphql_name='renderedWordCountDifference')
    review_schema_count = sgqlc.types.Field(Int, graphql_name='reviewSchemaCount')
    search_console_desktop_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(Float, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalPosition')
    sitemaps_in_count = sgqlc.types.Field(Int, graphql_name='sitemapsInCount')
    videoobject_schema_count = sgqlc.types.Field(Int, graphql_name='videoobjectSchemaCount')
    word_count = sgqlc.types.Field(Int, graphql_name='wordCount')


class CrawlUrlMinCalculation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_links_in_count', 'content_html_ratio', 'content_size', 'deeprank', 'description_length', 'description_length_px', 'duplicate_body_count', 'duplicate_description_count', 'duplicate_page_count', 'duplicate_title_count', 'event_schema_count', 'external_links_count', 'faqpage_schema_count', 'fetch_time', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'head_tags_in_body_count', 'howto_schema_count', 'hreflang_links_in_count', 'html_size', 'internal_links_count', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'mobile_desktop_content_difference', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'newsarticle_schema_count', 'page_title_length', 'page_title_length_px', 'param_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirects_in_count', 'rel_links_in_count', 'rendered_link_count_difference', 'rendered_word_count_difference', 'review_schema_count', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'sitemaps_in_count', 'videoobject_schema_count', 'word_count')
    backlink_count = sgqlc.types.Field(Int, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(Int, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(Int, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(Int, graphql_name='breadcrumbSchemaCount')
    canonical_links_in_count = sgqlc.types.Field(Int, graphql_name='canonicalLinksInCount')
    content_html_ratio = sgqlc.types.Field(Float, graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(Int, graphql_name='contentSize')
    deeprank = sgqlc.types.Field(Float, graphql_name='deeprank')
    description_length = sgqlc.types.Field(Int, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(Int, graphql_name='descriptionLengthPx')
    duplicate_body_count = sgqlc.types.Field(Int, graphql_name='duplicateBodyCount')
    duplicate_description_count = sgqlc.types.Field(Int, graphql_name='duplicateDescriptionCount')
    duplicate_page_count = sgqlc.types.Field(Int, graphql_name='duplicatePageCount')
    duplicate_title_count = sgqlc.types.Field(Int, graphql_name='duplicateTitleCount')
    event_schema_count = sgqlc.types.Field(Int, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(Int, graphql_name='externalLinksCount')
    faqpage_schema_count = sgqlc.types.Field(Int, graphql_name='faqpageSchemaCount')
    fetch_time = sgqlc.types.Field(Float, graphql_name='fetchTime')
    folder_count = sgqlc.types.Field(Int, graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(Int, graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(Int, graphql_name='followedLinksInCount')
    ga_avg_page_load_time = sgqlc.types.Field(Float, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(Float, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(Float, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(Float, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(Int, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(Int, graphql_name='h1Count')
    h1_length = sgqlc.types.Field(Int, graphql_name='h1Length')
    head_tags_in_body_count = sgqlc.types.Field(Int, graphql_name='headTagsInBodyCount')
    howto_schema_count = sgqlc.types.Field(Int, graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(Int, graphql_name='hreflangLinksInCount')
    html_size = sgqlc.types.Field(Int, graphql_name='htmlSize')
    internal_links_count = sgqlc.types.Field(Int, graphql_name='internalLinksCount')
    links_in_count = sgqlc.types.Field(Int, graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(Int, graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(Int, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(Int, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(Int, graphql_name='logRequestsTotal')
    mobile_desktop_content_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_links_in_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(Int, graphql_name='mobileDesktopLinksOutDifference')
    newsarticle_schema_count = sgqlc.types.Field(Int, graphql_name='newsarticleSchemaCount')
    page_title_length = sgqlc.types.Field(Int, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(Int, graphql_name='pageTitleLengthPx')
    param_count = sgqlc.types.Field(Int, graphql_name='paramCount')
    performance_cls = sgqlc.types.Field(Float, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(Float, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(Float, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(Float, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(Float, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(Float, graphql_name='performanceTti')
    product_price_schema_value = sgqlc.types.Field(Float, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(Float, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(Int, graphql_name='productSchemaCount')
    qapage_schema_count = sgqlc.types.Field(Int, graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(Int, graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(Int, graphql_name='redirectCount')
    redirects_in_count = sgqlc.types.Field(Int, graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(Int, graphql_name='relLinksInCount')
    rendered_link_count_difference = sgqlc.types.Field(Int, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(Int, graphql_name='renderedWordCountDifference')
    review_schema_count = sgqlc.types.Field(Int, graphql_name='reviewSchemaCount')
    search_console_desktop_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(Float, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(Int, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalPosition')
    sitemaps_in_count = sgqlc.types.Field(Int, graphql_name='sitemapsInCount')
    videoobject_schema_count = sgqlc.types.Field(Int, graphql_name='videoobjectSchemaCount')
    word_count = sgqlc.types.Field(Int, graphql_name='wordCount')


class CrawlUrlSumCalculation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('backlink_count', 'backlink_domain_count', 'body_tags_in_head_count', 'breadcrumb_schema_count', 'canonical_links_in_count', 'content_html_ratio', 'content_size', 'deeprank', 'description_length', 'description_length_px', 'duplicate_body_count', 'duplicate_description_count', 'duplicate_page_count', 'duplicate_title_count', 'event_schema_count', 'external_links_count', 'faqpage_schema_count', 'fetch_time', 'folder_count', 'followed_external_links_out_count', 'followed_links_in_count', 'ga_avg_page_load_time', 'ga_avg_time_on_page', 'ga_pageviews_per_visits', 'ga_visit_bounce_rate', 'ga_visits', 'h1_count', 'h1_length', 'head_tags_in_body_count', 'howto_schema_count', 'hreflang_links_in_count', 'html_size', 'internal_links_count', 'links_in_count', 'links_out_count', 'log_requests_desktop', 'log_requests_mobile', 'log_requests_total', 'mobile_desktop_content_difference', 'mobile_desktop_links_in_difference', 'mobile_desktop_links_out_difference', 'newsarticle_schema_count', 'page_title_length', 'page_title_length_px', 'param_count', 'performance_cls', 'performance_dcl', 'performance_fcp', 'performance_lcp', 'performance_ttfb', 'performance_tti', 'product_price_schema_value', 'product_rating_schema_value', 'product_schema_count', 'qapage_schema_count', 'recipe_schema_count', 'redirect_count', 'redirects_in_count', 'rel_links_in_count', 'rendered_link_count_difference', 'rendered_word_count_difference', 'review_schema_count', 'search_console_desktop_clicks', 'search_console_desktop_ctr', 'search_console_desktop_impressions', 'search_console_desktop_position', 'search_console_mobile_clicks', 'search_console_mobile_ctr', 'search_console_mobile_impressions', 'search_console_mobile_position', 'search_console_tablet_clicks', 'search_console_tablet_ctr', 'search_console_tablet_impressions', 'search_console_tablet_position', 'search_console_total_clicks', 'search_console_total_ctr', 'search_console_total_impressions', 'search_console_total_position', 'sitemaps_in_count', 'videoobject_schema_count', 'word_count')
    backlink_count = sgqlc.types.Field(BigInt, graphql_name='backlinkCount')
    backlink_domain_count = sgqlc.types.Field(BigInt, graphql_name='backlinkDomainCount')
    body_tags_in_head_count = sgqlc.types.Field(BigInt, graphql_name='bodyTagsInHeadCount')
    breadcrumb_schema_count = sgqlc.types.Field(BigInt, graphql_name='breadcrumbSchemaCount')
    canonical_links_in_count = sgqlc.types.Field(BigInt, graphql_name='canonicalLinksInCount')
    content_html_ratio = sgqlc.types.Field(Float, graphql_name='contentHtmlRatio')
    content_size = sgqlc.types.Field(BigInt, graphql_name='contentSize')
    deeprank = sgqlc.types.Field(Float, graphql_name='deeprank')
    description_length = sgqlc.types.Field(BigInt, graphql_name='descriptionLength')
    description_length_px = sgqlc.types.Field(BigInt, graphql_name='descriptionLengthPx')
    duplicate_body_count = sgqlc.types.Field(BigInt, graphql_name='duplicateBodyCount')
    duplicate_description_count = sgqlc.types.Field(BigInt, graphql_name='duplicateDescriptionCount')
    duplicate_page_count = sgqlc.types.Field(BigInt, graphql_name='duplicatePageCount')
    duplicate_title_count = sgqlc.types.Field(BigInt, graphql_name='duplicateTitleCount')
    event_schema_count = sgqlc.types.Field(BigInt, graphql_name='eventSchemaCount')
    external_links_count = sgqlc.types.Field(BigInt, graphql_name='externalLinksCount')
    faqpage_schema_count = sgqlc.types.Field(BigInt, graphql_name='faqpageSchemaCount')
    fetch_time = sgqlc.types.Field(Float, graphql_name='fetchTime')
    folder_count = sgqlc.types.Field(BigInt, graphql_name='folderCount')
    followed_external_links_out_count = sgqlc.types.Field(BigInt, graphql_name='followedExternalLinksOutCount')
    followed_links_in_count = sgqlc.types.Field(BigInt, graphql_name='followedLinksInCount')
    ga_avg_page_load_time = sgqlc.types.Field(Float, graphql_name='gaAvgPageLoadTime')
    ga_avg_time_on_page = sgqlc.types.Field(Float, graphql_name='gaAvgTimeOnPage')
    ga_pageviews_per_visits = sgqlc.types.Field(Float, graphql_name='gaPageviewsPerVisits')
    ga_visit_bounce_rate = sgqlc.types.Field(Float, graphql_name='gaVisitBounceRate')
    ga_visits = sgqlc.types.Field(BigInt, graphql_name='gaVisits')
    h1_count = sgqlc.types.Field(BigInt, graphql_name='h1Count')
    h1_length = sgqlc.types.Field(BigInt, graphql_name='h1Length')
    head_tags_in_body_count = sgqlc.types.Field(BigInt, graphql_name='headTagsInBodyCount')
    howto_schema_count = sgqlc.types.Field(BigInt, graphql_name='howtoSchemaCount')
    hreflang_links_in_count = sgqlc.types.Field(BigInt, graphql_name='hreflangLinksInCount')
    html_size = sgqlc.types.Field(BigInt, graphql_name='htmlSize')
    internal_links_count = sgqlc.types.Field(BigInt, graphql_name='internalLinksCount')
    links_in_count = sgqlc.types.Field(BigInt, graphql_name='linksInCount')
    links_out_count = sgqlc.types.Field(BigInt, graphql_name='linksOutCount')
    log_requests_desktop = sgqlc.types.Field(BigInt, graphql_name='logRequestsDesktop')
    log_requests_mobile = sgqlc.types.Field(BigInt, graphql_name='logRequestsMobile')
    log_requests_total = sgqlc.types.Field(BigInt, graphql_name='logRequestsTotal')
    mobile_desktop_content_difference = sgqlc.types.Field(BigInt, graphql_name='mobileDesktopContentDifference')
    mobile_desktop_links_in_difference = sgqlc.types.Field(BigInt, graphql_name='mobileDesktopLinksInDifference')
    mobile_desktop_links_out_difference = sgqlc.types.Field(BigInt, graphql_name='mobileDesktopLinksOutDifference')
    newsarticle_schema_count = sgqlc.types.Field(BigInt, graphql_name='newsarticleSchemaCount')
    page_title_length = sgqlc.types.Field(BigInt, graphql_name='pageTitleLength')
    page_title_length_px = sgqlc.types.Field(BigInt, graphql_name='pageTitleLengthPx')
    param_count = sgqlc.types.Field(BigInt, graphql_name='paramCount')
    performance_cls = sgqlc.types.Field(Float, graphql_name='performanceCls')
    performance_dcl = sgqlc.types.Field(Float, graphql_name='performanceDcl')
    performance_fcp = sgqlc.types.Field(Float, graphql_name='performanceFcp')
    performance_lcp = sgqlc.types.Field(Float, graphql_name='performanceLcp')
    performance_ttfb = sgqlc.types.Field(Float, graphql_name='performanceTtfb')
    performance_tti = sgqlc.types.Field(Float, graphql_name='performanceTti')
    product_price_schema_value = sgqlc.types.Field(Float, graphql_name='productPriceSchemaValue')
    product_rating_schema_value = sgqlc.types.Field(Float, graphql_name='productRatingSchemaValue')
    product_schema_count = sgqlc.types.Field(BigInt, graphql_name='productSchemaCount')
    qapage_schema_count = sgqlc.types.Field(BigInt, graphql_name='qapageSchemaCount')
    recipe_schema_count = sgqlc.types.Field(BigInt, graphql_name='recipeSchemaCount')
    redirect_count = sgqlc.types.Field(BigInt, graphql_name='redirectCount')
    redirects_in_count = sgqlc.types.Field(BigInt, graphql_name='redirectsInCount')
    rel_links_in_count = sgqlc.types.Field(BigInt, graphql_name='relLinksInCount')
    rendered_link_count_difference = sgqlc.types.Field(BigInt, graphql_name='renderedLinkCountDifference')
    rendered_word_count_difference = sgqlc.types.Field(BigInt, graphql_name='renderedWordCountDifference')
    review_schema_count = sgqlc.types.Field(BigInt, graphql_name='reviewSchemaCount')
    search_console_desktop_clicks = sgqlc.types.Field(BigInt, graphql_name='searchConsoleDesktopClicks')
    search_console_desktop_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopCtr')
    search_console_desktop_impressions = sgqlc.types.Field(BigInt, graphql_name='searchConsoleDesktopImpressions')
    search_console_desktop_position = sgqlc.types.Field(Float, graphql_name='searchConsoleDesktopPosition')
    search_console_mobile_clicks = sgqlc.types.Field(BigInt, graphql_name='searchConsoleMobileClicks')
    search_console_mobile_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleMobileCtr')
    search_console_mobile_impressions = sgqlc.types.Field(BigInt, graphql_name='searchConsoleMobileImpressions')
    search_console_mobile_position = sgqlc.types.Field(Float, graphql_name='searchConsoleMobilePosition')
    search_console_tablet_clicks = sgqlc.types.Field(BigInt, graphql_name='searchConsoleTabletClicks')
    search_console_tablet_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletCtr')
    search_console_tablet_impressions = sgqlc.types.Field(BigInt, graphql_name='searchConsoleTabletImpressions')
    search_console_tablet_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTabletPosition')
    search_console_total_clicks = sgqlc.types.Field(BigInt, graphql_name='searchConsoleTotalClicks')
    search_console_total_ctr = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalCtr')
    search_console_total_impressions = sgqlc.types.Field(BigInt, graphql_name='searchConsoleTotalImpressions')
    search_console_total_position = sgqlc.types.Field(Float, graphql_name='searchConsoleTotalPosition')
    sitemaps_in_count = sgqlc.types.Field(BigInt, graphql_name='sitemapsInCount')
    videoobject_schema_count = sgqlc.types.Field(BigInt, graphql_name='videoobjectSchemaCount')
    word_count = sgqlc.types.Field(BigInt, graphql_name='wordCount')


class CrawlWebCrawlDepth(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('duplicate_pages', 'failed_urls', 'level', 'non200_status_code_pages', 'non_indexable_pages', 'paginated_pages', 'unique_pages')
    duplicate_pages = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='duplicatePages')
    failed_urls = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='failedUrls')
    level = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='level')
    non200_status_code_pages = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='non200StatusCodePages')
    non_indexable_pages = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='nonIndexablePages')
    paginated_pages = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='paginatedPages')
    unique_pages = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='uniquePages')


class CrawlWebCrawlDepthConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CrawlWebCrawlDepthEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlWebCrawlDepth))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CrawlWebCrawlDepthEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CrawlWebCrawlDepth), graphql_name='node')


class CreateAdobeAnalyticsProjectReportSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suite',)
    adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuite), graphql_name='adobeAnalyticsProjectReportSuite')


class CreateAdobeConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_connection',)
    adobe_connection = sgqlc.types.Field(sgqlc.types.non_null(AdobeConnection), graphql_name='adobeConnection')


class CreateAndRunBuildPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build',)
    build = sgqlc.types.Field(sgqlc.types.non_null(Build), graphql_name='build')


class CreateBuildSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule',)
    build_schedule = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='buildSchedule')


class CreateCrawlUrlSegmentPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('segment',)
    segment = sgqlc.types.Field(sgqlc.types.non_null('Segment'), graphql_name='segment')


class CreateCustomChartPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_chart',)
    custom_chart = sgqlc.types.Field(sgqlc.types.non_null('CustomChart'), graphql_name='customChart')


class CreateCustomDashboardPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_dashboard',)
    custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null('CustomDashboard'), graphql_name='customDashboard')


class CreateCustomTablePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_table',)
    custom_table = sgqlc.types.Field(sgqlc.types.non_null('CustomTable'), graphql_name='customTable')


class CreateGoogleAnalyticsProjectViewPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_analytics_project_view',)
    google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null('GoogleAnalyticsProjectView'), graphql_name='googleAnalyticsProjectView')


class CreateGoogleConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('auth_url',)
    auth_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='authUrl')


class CreateGoogleSearchConsoleConfigurationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_configuration',)
    google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null('GoogleSearchConsoleConfiguration'), graphql_name='googleSearchConsoleConfiguration')


class CreateGoogleSearchConsolePropertyPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_property',)
    google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null('GoogleSearchConsoleProperty'), graphql_name='googleSearchConsoleProperty')


class CreateJiraAuthenticationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication',)
    jira_authentication = sgqlc.types.Field(sgqlc.types.non_null('JiraAuthentication'), graphql_name='jiraAuthentication')


class CreateJiraIntegrationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration',)
    jira_integration = sgqlc.types.Field(sgqlc.types.non_null('JiraIntegration'), graphql_name='jiraIntegration')


class CreateLegacyTaskPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('legacy_task',)
    legacy_task = sgqlc.types.Field(sgqlc.types.non_null('LegacyTask'), graphql_name='legacyTask')


class CreateLogzioConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('logzio_connection',)
    logzio_connection = sgqlc.types.Field(sgqlc.types.non_null('LogzioConnection'), graphql_name='logzioConnection')


class CreateLogzioProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('logzio_project_query',)
    logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null('LogzioProjectQuery'), graphql_name='logzioProjectQuery')


class CreateMajesticConfigurationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('majestic_configuration',)
    majestic_configuration = sgqlc.types.Field(sgqlc.types.non_null('MajesticConfiguration'), graphql_name='majesticConfiguration')


class CreateProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project',)
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')


class CreateReportDownloadPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('report_download', 'selected_fields')
    report_download = sgqlc.types.Field(sgqlc.types.non_null('ReportDownload'), graphql_name='reportDownload')
    selected_fields = sgqlc.types.Field('ReportRow', graphql_name='selectedFields')


class CreateSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('schedule',)
    schedule = sgqlc.types.Field(sgqlc.types.non_null('Schedule'), graphql_name='schedule')


class CreateSlackWebhookPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('slack_webhook',)
    slack_webhook = sgqlc.types.Field(sgqlc.types.non_null('SlackWebhook'), graphql_name='slackWebhook')


class CreateSplunkConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('splunk_connection',)
    splunk_connection = sgqlc.types.Field(sgqlc.types.non_null('SplunkConnection'), graphql_name='splunkConnection')


class CreateSplunkProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('splunk_project_query',)
    splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null('SplunkProjectQuery'), graphql_name='splunkProjectQuery')


class CreateTestPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test',)
    test = sgqlc.types.Field(sgqlc.types.non_null('Test'), graphql_name='test')


class CreateTestSuiteEmailAlertPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_email_alert',)
    test_suite_email_alert = sgqlc.types.Field(sgqlc.types.non_null('TestSuiteEmailAlert'), graphql_name='testSuiteEmailAlert')


class CreateTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite',)
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class CreateUrlFileUploadPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('url_file_upload',)
    url_file_upload = sgqlc.types.Field(sgqlc.types.non_null('UrlFileUpload'), graphql_name='urlFileUpload')


class CustomChart(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'items', 'metadata', 'metric', 'raw_id', 'type', 'updated_at')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    items = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='items')
    metadata = sgqlc.types.Field(JSONObject, graphql_name='metadata')
    metric = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='metric')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomChartType), graphql_name='type')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class CustomChartConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomChartEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CustomChart))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CustomChartEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CustomChart), graphql_name='node')


class CustomDashboard(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'custom_charts', 'custom_tables', 'id', 'name', 'raw_id', 'type', 'updated_at')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_charts = sgqlc.types.Field(CustomChartConnection, graphql_name='customCharts', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomChartConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomChartOrder)), graphql_name='orderBy', default=None)),
))
    )
    custom_tables = sgqlc.types.Field('CustomTableConnection', graphql_name='customTables', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomTableConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomTableOrder)), graphql_name='orderBy', default=None)),
))
    )
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboardType), graphql_name='type')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class CustomDashboardConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomDashboardEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CustomDashboard))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CustomDashboardEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboard), graphql_name='node')


class CustomDnsSetting(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('hostname', 'ip_address')
    hostname = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='hostname')
    ip_address = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='ipAddress')


class CustomExtractionSetting(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('clean_html_tags', 'label', 'match_number_from', 'match_number_to', 'regex', 'regex_filter', 'report_template_code')
    clean_html_tags = sgqlc.types.Field(Boolean, graphql_name='cleanHtmlTags')
    label = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='label')
    match_number_from = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='matchNumberFrom')
    match_number_to = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='matchNumberTo')
    regex = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='regex')
    regex_filter = sgqlc.types.Field(String, graphql_name='regexFilter')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')


class CustomMetricContainer(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'created_at', 'id', 'latest_version', 'name', 'raw_id', 'updated_at', 'versions')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    latest_version = sgqlc.types.Field('CustomMetricContainerVersion', graphql_name='latestVersion')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    versions = sgqlc.types.Field('CustomMetricContainerVersionConnection', graphql_name='versions', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomMetricContainerVersionConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomMetricContainerVersionOrder)), graphql_name='orderBy', default=None)),
))
    )


class CustomMetricContainerConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CustomMetricContainer))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CustomMetricContainerEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainer), graphql_name='node')


class CustomMetricContainerVersion(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('avro_schema', 'created_at', 'custom_metric_container', 'failed_at', 'failure_reason', 'fields_mapping', 'id', 'processed_at', 'processing_at', 'raw_id', 'status', 'updated_at', 'version')
    avro_schema = sgqlc.types.Field(JSONObject, graphql_name='avroSchema')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_metric_container = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainer), graphql_name='customMetricContainer')
    failed_at = sgqlc.types.Field(DateTime, graphql_name='failedAt')
    failure_reason = sgqlc.types.Field(String, graphql_name='failureReason')
    fields_mapping = sgqlc.types.Field(JSONObject, graphql_name='fieldsMapping')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    processed_at = sgqlc.types.Field(DateTime, graphql_name='processedAt')
    processing_at = sgqlc.types.Field(DateTime, graphql_name='processingAt')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    status = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainerVersionStatus), graphql_name='status')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    version = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='version')


class CustomMetricContainerVersionConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomMetricContainerVersionEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CustomMetricContainerVersion))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CustomMetricContainerVersionEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainerVersion), graphql_name='node')


class CustomTable(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('columns', 'created_at', 'filter', 'id', 'order_by', 'raw_id', 'type', 'updated_at')
    columns = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='columns')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    order_by = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    type = sgqlc.types.Field(sgqlc.types.non_null(CustomTableType), graphql_name='type')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class CustomTableConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('CustomTableEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CustomTable))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class CustomTableEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(CustomTable), graphql_name='node')


class Datasource(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'datasource_code', 'metrics', 'version')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    datasource_code = sgqlc.types.Field(sgqlc.types.non_null(DatasourceCode), graphql_name='datasourceCode')
    metrics = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Metric'))), graphql_name='metrics')
    version = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='version')


class DateTimeRange(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('end', 'start')
    end = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='end')
    start = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='start')


class DeleteAdobeAnalyticsProjectReportSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suite',)
    adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuite), graphql_name='adobeAnalyticsProjectReportSuite')


class DeleteAdobeConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_connection',)
    adobe_connection = sgqlc.types.Field(sgqlc.types.non_null(AdobeConnection), graphql_name='adobeConnection')


class DeleteBuildSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule',)
    build_schedule = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='buildSchedule')


class DeleteCrawlPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')


class DeleteCustomChartPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_chart',)
    custom_chart = sgqlc.types.Field(sgqlc.types.non_null(CustomChart), graphql_name='customChart')


class DeleteCustomDashboardPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_dashboard',)
    custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboard), graphql_name='customDashboard')


class DeleteCustomTablePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_table',)
    custom_table = sgqlc.types.Field(sgqlc.types.non_null(CustomTable), graphql_name='customTable')


class DeleteGoogleAnalyticsProjectViewPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_analytics_project_view',)
    google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null('GoogleAnalyticsProjectView'), graphql_name='googleAnalyticsProjectView')


class DeleteGoogleConnectionPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_connection',)
    google_connection = sgqlc.types.Field(sgqlc.types.non_null('GoogleConnection'), graphql_name='googleConnection')


class DeleteGoogleSearchConsoleConfigurationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_configuration',)
    google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null('GoogleSearchConsoleConfiguration'), graphql_name='googleSearchConsoleConfiguration')


class DeleteGoogleSearchConsolePropertyPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_property',)
    google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null('GoogleSearchConsoleProperty'), graphql_name='googleSearchConsoleProperty')


class DeleteJiraAuthenticationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication',)
    jira_authentication = sgqlc.types.Field(sgqlc.types.non_null('JiraAuthentication'), graphql_name='jiraAuthentication')


class DeleteJiraIntegrationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration',)
    jira_integration = sgqlc.types.Field(sgqlc.types.non_null('JiraIntegration'), graphql_name='jiraIntegration')


class DeleteLegacyTaskPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('legacy_task',)
    legacy_task = sgqlc.types.Field(sgqlc.types.non_null('LegacyTask'), graphql_name='legacyTask')


class DeleteLogzioProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('logzio_project_query',)
    logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null('LogzioProjectQuery'), graphql_name='logzioProjectQuery')


class DeleteProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project',)
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')


class DeleteReportDownloadPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('report_download',)
    report_download = sgqlc.types.Field(sgqlc.types.non_null('ReportDownload'), graphql_name='reportDownload')


class DeleteSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('schedule',)
    schedule = sgqlc.types.Field(sgqlc.types.non_null('Schedule'), graphql_name='schedule')


class DeleteSegmentPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('segment',)
    segment = sgqlc.types.Field(sgqlc.types.non_null('Segment'), graphql_name='segment')


class DeleteSlackWebhookPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('slack_webhook',)
    slack_webhook = sgqlc.types.Field(sgqlc.types.non_null('SlackWebhook'), graphql_name='slackWebhook')


class DeleteSplunkProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('splunk_project_query',)
    splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null('SplunkProjectQuery'), graphql_name='splunkProjectQuery')


class DeleteTestPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test',)
    test = sgqlc.types.Field(sgqlc.types.non_null('Test'), graphql_name='test')


class DeleteTestSuiteEmailAlertPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_email_alert',)
    test_suite_email_alert = sgqlc.types.Field(sgqlc.types.non_null('TestSuiteEmailAlert'), graphql_name='testSuiteEmailAlert')


class DeleteTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite',)
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class DeleteUrlFileUploadPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('url_file_upload',)
    url_file_upload = sgqlc.types.Field(sgqlc.types.non_null('UrlFileUpload'), graphql_name='urlFileUpload')


class DeleteUserKeyPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('user_key',)
    user_key = sgqlc.types.Field(sgqlc.types.non_null('UserKey'), graphql_name='userKey')


class DisableSitemapPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('sitemaps',)
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Sitemap'))), graphql_name='sitemaps')


class DisableSitemapsPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('sitemaps',)
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Sitemap'))), graphql_name='sitemaps')


class DomainCheckVariant(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('domain', 'redirects_to', 'redirects_to_status_code', 'status_code')
    domain = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='domain')
    redirects_to = sgqlc.types.Field(String, graphql_name='redirectsTo')
    redirects_to_status_code = sgqlc.types.Field(Int, graphql_name='redirectsToStatusCode')
    status_code = sgqlc.types.Field(Int, graphql_name='statusCode')


class EnableSitemapPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('sitemaps',)
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Sitemap'))), graphql_name='sitemaps')


class EnableSitemapsPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('sitemaps',)
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Sitemap'))), graphql_name='sitemaps')


class FeatureFlag(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('enabled', 'name')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class GoogleAnalyticsProjectView(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_name', 'created_at', 'google_connection', 'id', 'inherit_from_schedule_period_override', 'last_ndays', 'project', 'raw_id', 'session_number_min', 'updated_at', 'view_id', 'view_name', 'web_property_id', 'website_url')
    account_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='accountName')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    google_connection = sgqlc.types.Field(sgqlc.types.non_null('GoogleConnection'), graphql_name='googleConnection')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    inherit_from_schedule_period_override = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lastNDays')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    session_number_min = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='sessionNumberMin')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    view_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='viewId')
    view_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='viewName')
    web_property_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='webPropertyId')
    website_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='websiteUrl')


class GoogleAnalyticsView(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account_name', 'view_id', 'view_name', 'web_property_id', 'website_url')
    account_name = sgqlc.types.Field(String, graphql_name='accountName')
    view_id = sgqlc.types.Field(String, graphql_name='viewId')
    view_name = sgqlc.types.Field(String, graphql_name='viewName')
    web_property_id = sgqlc.types.Field(String, graphql_name='webPropertyId')
    website_url = sgqlc.types.Field(String, graphql_name='websiteUrl')


class GoogleConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('analytics_views', 'connection_type', 'created_at', 'id', 'is_working', 'name', 'raw_id', 'scopes', 'search_console_sites', 'updated_at')
    analytics_views = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(GoogleAnalyticsView)), graphql_name='analyticsViews')
    connection_type = sgqlc.types.Field(sgqlc.types.non_null(GoogleConnectionType), graphql_name='connectionType')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_working = sgqlc.types.Field(Boolean, graphql_name='isWorking')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    scopes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('GoogleScope'))), graphql_name='scopes')
    search_console_sites = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('GoogleSearchConsoleSite')), graphql_name='searchConsoleSites')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class GoogleConnectionConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('GoogleConnectionEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(GoogleConnection))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class GoogleConnectionEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(GoogleConnection), graphql_name='node')


class GoogleScope(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('name',)
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class GoogleSearchConsoleConfiguration(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('country', 'created_at', 'exclude_queries', 'include_queries', 'inherit_from_schedule_period_override', 'last_ndays', 'min_clicks', 'search_type', 'updated_at', 'use_search_console_property_domains_as_start_urls')
    country = sgqlc.types.Field(String, graphql_name='country')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    exclude_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeQueries')
    include_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeQueries')
    inherit_from_schedule_period_override = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lastNDays')
    min_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minClicks')
    search_type = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleSearchType), graphql_name='searchType')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    use_search_console_property_domains_as_start_urls = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useSearchConsolePropertyDomainsAsStartUrls')


class GoogleSearchConsoleProperty(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('country', 'created_at', 'exclude_queries', 'google_connection', 'id', 'include_queries', 'inherit_from_schedule_period_override', 'last_ndays', 'min_clicks', 'permission_level', 'project', 'raw_id', 'search_type', 'site_url', 'updated_at')
    country = sgqlc.types.Field(String, graphql_name='country')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    exclude_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='excludeQueries')
    google_connection = sgqlc.types.Field(sgqlc.types.non_null(GoogleConnection), graphql_name='googleConnection')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    include_queries = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='includeQueries')
    inherit_from_schedule_period_override = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='inheritFromSchedulePeriodOverride')
    last_ndays = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='lastNDays')
    min_clicks = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='minClicks')
    permission_level = sgqlc.types.Field(String, graphql_name='permissionLevel')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    search_type = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleSearchType), graphql_name='searchType')
    site_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='siteUrl')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class GoogleSearchConsolePropertyConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('GoogleSearchConsolePropertyEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(GoogleSearchConsoleProperty))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class GoogleSearchConsolePropertyEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleProperty), graphql_name='node')


class GoogleSearchConsoleSite(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('permission_level', 'site_url')
    permission_level = sgqlc.types.Field(String, graphql_name='permissionLevel')
    site_url = sgqlc.types.Field(String, graphql_name='siteUrl')


class JiraAuthentication(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cloud_id', 'created_at', 'id', 'jira_integrations', 'jira_url', 'name', 'raw_id', 'updated_at')
    cloud_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cloudId')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    jira_integrations = sgqlc.types.Field(sgqlc.types.non_null('JiraIntegrationConnection'), graphql_name='jiraIntegrations', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    jira_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraUrl')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class JiraAuthenticationConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('JiraAuthenticationEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JiraAuthentication))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class JiraAuthenticationEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(JiraAuthentication), graphql_name='node')


class JiraIntegration(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'jira_issue_type_id', 'jira_issue_type_name', 'jira_project_id', 'jira_project_name', 'jira_url', 'name', 'raw_id', 'test_suite_jira_integrations', 'updated_at')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    jira_issue_type_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraIssueTypeId')
    jira_issue_type_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraIssueTypeName')
    jira_project_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraProjectId')
    jira_project_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraProjectName')
    jira_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='jiraUrl')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    test_suite_jira_integrations = sgqlc.types.Field(sgqlc.types.non_null('TestSuiteJiraIntegrationConnection'), graphql_name='testSuiteJiraIntegrations', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class JiraIntegrationConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('JiraIntegrationEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JiraIntegration))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class JiraIntegrationEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(JiraIntegration), graphql_name='node')


class JiraIssueType(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('id', 'name')
    id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='id')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class JiraProject(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('id', 'key', 'name')
    id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='id')
    key = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='key')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class JiraSettings(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('auth_callback_url', 'client_id')
    auth_callback_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='authCallbackUrl')
    client_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='clientId')


class LegacyReportRowConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('LegacyReportRowEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class LegacyReportRowEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(JSONObject), graphql_name='node')


class LegacyTask(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('actions', 'assigned_to', 'connection_filter', 'crawl_id', 'created_at', 'deadline_at', 'description', 'discovered_at', 'dismissed', 'filters', 'fixed_at', 'id', 'identified', 'priority', 'project', 'raw_id', 'remaining', 'report_template', 'report_template_id', 'report_type', 'report_type_id', 'segment', 'title', 'trend', 'updated_at')
    actions = sgqlc.types.Field(String, graphql_name='actions')
    assigned_to = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='assignedTo')
    connection_filter = sgqlc.types.Field(JSONObject, graphql_name='connectionFilter')
    crawl_id = sgqlc.types.Field(ObjectID, graphql_name='crawlId')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    deadline_at = sgqlc.types.Field(DateTime, graphql_name='deadlineAt')
    description = sgqlc.types.Field(String, graphql_name='description')
    discovered_at = sgqlc.types.Field(DateTime, graphql_name='discoveredAt')
    dismissed = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='dismissed')
    filters = sgqlc.types.Field(JSONObject, graphql_name='filters')
    fixed_at = sgqlc.types.Field(DateTime, graphql_name='fixedAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    identified = sgqlc.types.Field(Int, graphql_name='identified')
    priority = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskPriority), graphql_name='priority')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    remaining = sgqlc.types.Field(Int, graphql_name='remaining')
    report_template = sgqlc.types.Field('ReportTemplate', graphql_name='reportTemplate')
    report_template_id = sgqlc.types.Field(Int, graphql_name='reportTemplateId')
    report_type = sgqlc.types.Field('ReportType', graphql_name='reportType')
    report_type_id = sgqlc.types.Field(Int, graphql_name='reportTypeId')
    segment = sgqlc.types.Field('Segment', graphql_name='segment')
    title = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='title')
    trend = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null('LegacyTaskTrendEntry')), graphql_name='trend')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class LegacyTaskConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('LegacyTaskEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTask))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class LegacyTaskEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(LegacyTask), graphql_name='node')


class LegacyTaskTrendEntry(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_finished_at', 'crawl_id', 'identified')
    crawl_finished_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='crawlFinishedAt')
    crawl_id = sgqlc.types.Field(ObjectID, graphql_name='crawlId')
    identified = sgqlc.types.Field(Int, graphql_name='identified')


class LevelProgress(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('level', 'steps_processed')
    level = sgqlc.types.Field(Int, graphql_name='level')
    steps_processed = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='stepsProcessed')


class LinkChildTestSuiteToParentTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('child_test_suite', 'parent_test_suite')
    child_test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='childTestSuite')
    parent_test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='parentTestSuite')


class LinkCustomMetricContainerToProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_metric_container', 'project')
    custom_metric_container = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainer), graphql_name='customMetricContainer')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')


class LinkJiraIntegrationToTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_jira_integration',)
    test_suite_jira_integration = sgqlc.types.Field(sgqlc.types.non_null('TestSuiteJiraIntegration'), graphql_name='testSuiteJiraIntegration')


class LinkTestSuiteToBuildSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_test_suite',)
    build_schedule_test_suite = sgqlc.types.Field(sgqlc.types.non_null(BuildScheduleTestSuite), graphql_name='buildScheduleTestSuite')


class Location(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'enabled', 'id', 'name', 'raw_id', 'type')
    code = sgqlc.types.Field(sgqlc.types.non_null(LocationCode), graphql_name='code')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    type = sgqlc.types.Field(sgqlc.types.non_null(LocationType), graphql_name='type')


class LogzioConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'is_working', 'label', 'logzio_project_queries', 'raw_id', 'region', 'token', 'updated_at')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_working = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isWorking')
    label = sgqlc.types.Field(String, graphql_name='label')
    logzio_project_queries = sgqlc.types.Field(sgqlc.types.non_null('LogzioProjectQueryConnection'), graphql_name='logzioProjectQueries', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LogzioProjectQueryConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LogzioProjectQueryOrder)), graphql_name='orderBy', default=None)),
))
    )
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    region = sgqlc.types.Field(sgqlc.types.non_null(LogzioAPIRegion), graphql_name='region')
    token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='token')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class LogzioConnectionConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('LogzioConnectionEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(LogzioConnection))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class LogzioConnectionEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(LogzioConnection), graphql_name='node')


class LogzioProjectQuery(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'created_at', 'date_range', 'desktop_ua_regexp', 'enabled', 'id', 'logzio_connection', 'max_rows', 'mobile_ua_regexp', 'path_field_name', 'project', 'query_filter', 'raw_id', 'updated_at', 'use_last_crawl_date', 'user_agent_field_name')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='dateRange')
    desktop_ua_regexp = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='desktopUaRegexp')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    logzio_connection = sgqlc.types.Field(LogzioConnection, graphql_name='logzioConnection')
    max_rows = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRows')
    mobile_ua_regexp = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='mobileUaRegexp')
    path_field_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='pathFieldName')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    query_filter = sgqlc.types.Field(JSONObject, graphql_name='queryFilter')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    use_last_crawl_date = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useLastCrawlDate')
    user_agent_field_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='userAgentFieldName')


class LogzioProjectQueryConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('LogzioProjectQueryEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(LogzioProjectQuery))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null('PageInfo'), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class LogzioProjectQueryEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(LogzioProjectQuery), graphql_name='node')


class MajesticConfiguration(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'enabled', 'max_rows', 'updated_at', 'use_historic_data', 'use_root_domain')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    max_rows = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='maxRows')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    use_historic_data = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useHistoricData')
    use_root_domain = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useRootDomain')


class Metric(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'connection_predicates', 'description', 'metadata', 'name', 'type')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    connection_predicates = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ConnectionPredicateMetadata))), graphql_name='connectionPredicates')
    description = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='description')
    metadata = sgqlc.types.Field('MetricMetadata', graphql_name='metadata')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    type = sgqlc.types.Field(sgqlc.types.non_null(MetricType), graphql_name='type')


class MetricMetadata(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('abbreviation', 'crawl_type', 'renderer_only', 'thresholds', 'unit')
    abbreviation = sgqlc.types.Field(String, graphql_name='abbreviation')
    crawl_type = sgqlc.types.Field(CrawlType, graphql_name='crawlType')
    renderer_only = sgqlc.types.Field(Boolean, graphql_name='rendererOnly')
    thresholds = sgqlc.types.Field('MetricMetadataThresholds', graphql_name='thresholds')
    unit = sgqlc.types.Field(String, graphql_name='unit')


class MetricMetadataThresholds(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('fast', 'medium', 'slow')
    fast = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='fast')
    medium = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='medium')
    slow = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='slow')


class MetricsGrouping(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('metrics',)
    metrics = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Metric))), graphql_name='metrics')


class Mutation(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('abort_build', 'accept_terms_and_conditions', 'add_custom_sitemaps', 'cancel_build', 'cancel_crawling', 'check_domain', 'clone_test_suite', 'confirm_email', 'create_adobe_analytics_project_report_suite', 'create_adobe_connection', 'create_and_run_build', 'create_and_run_manual_build', 'create_automator_auth_token', 'create_automator_slack_webhook', 'create_build_schedule', 'create_crawl_url_segment', 'create_custom_chart', 'create_custom_dashboard', 'create_custom_table', 'create_google_analytics_project_view', 'create_google_connection', 'create_google_search_console_configuration', 'create_google_search_console_property', 'create_jira_authentication', 'create_jira_integration', 'create_logzio_connection', 'create_logzio_project_query', 'create_majestic_configuration', 'create_project', 'create_project_legacy_task', 'create_report_download', 'create_report_legacy_task', 'create_schedule', 'create_session_using_user_key', 'create_session_using_username', 'create_splunk_connection', 'create_splunk_project_query', 'create_test', 'create_test_suite', 'create_test_suite_email_alert', 'create_url_file_upload_for_project', 'create_url_file_upload_for_test_suite', 'create_user_key', 'delete_adobe_analytics_project_report_suite', 'delete_adobe_connection', 'delete_automator_slack_webhook', 'delete_build_schedule', 'delete_crawl', 'delete_custom_chart', 'delete_custom_dashboard', 'delete_custom_table', 'delete_google_analytics_project_view', 'delete_google_connection', 'delete_google_search_console_configuration', 'delete_google_search_console_property', 'delete_jira_authentication', 'delete_jira_integration', 'delete_legacy_task', 'delete_logzio_project_query', 'delete_project', 'delete_report_download', 'delete_schedule', 'delete_segment', 'delete_session', 'delete_splunk_project_query', 'delete_test', 'delete_test_suite', 'delete_test_suite_email_alert', 'delete_url_file_upload', 'delete_user_key', 'disable_sitemap', 'disable_sitemaps', 'enable_sitemap', 'enable_sitemaps', 'link_child_test_suite_to_parent_test_suite', 'link_custom_metric_container_to_project', 'link_jira_integration_to_test_suite', 'link_test_suite_to_build_schedule', 'pause_crawling', 'request_password_reset', 'reset_password', 'resume_crawling', 'run_crawl_for_project', 'set_build_schedule_test_suites', 'share_project', 'unarchive_crawl', 'unlink_child_test_suite_from_parent_test_suite', 'unlink_custom_metric_container_from_project', 'unlink_jira_integration_from_test_suite', 'unlink_test_suite_from_build_schedule', 'update_adobe_analytics_project_report_suite', 'update_automator_slack_webhook', 'update_build_schedule', 'update_current_user', 'update_custom_chart', 'update_custom_dashboard', 'update_custom_table', 'update_google_analytics_project_view', 'update_google_search_console_configuration', 'update_google_search_console_property', 'update_jira_authentication', 'update_jira_integration', 'update_legacy_task', 'update_logzio_project_query', 'update_majestic_configuration', 'update_password', 'update_project', 'update_schedule', 'update_segment', 'update_splunk_project_query', 'update_test', 'update_test_result', 'update_test_suite', 'update_test_suite_email_alert', 'update_url_file_upload')
    abort_build = sgqlc.types.Field(sgqlc.types.non_null(AbortBuildPayload), graphql_name='abortBuild', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(AbortBuildInput), graphql_name='input', default=None)),
))
    )
    accept_terms_and_conditions = sgqlc.types.Field(sgqlc.types.non_null('User'), graphql_name='acceptTermsAndConditions')
    add_custom_sitemaps = sgqlc.types.Field(sgqlc.types.non_null(AddCustomSitemapsPayload), graphql_name='addCustomSitemaps', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(AddCustomSitemapsInput), graphql_name='input', default=None)),
))
    )
    cancel_build = sgqlc.types.Field(sgqlc.types.non_null(CancelBuildPayload), graphql_name='cancelBuild', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CancelBuildInput), graphql_name='input', default=None)),
))
    )
    cancel_crawling = sgqlc.types.Field(sgqlc.types.non_null(CancelCrawlingPayload), graphql_name='cancelCrawling', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CancelCrawlingInput), graphql_name='input', default=None)),
))
    )
    check_domain = sgqlc.types.Field(sgqlc.types.non_null(CheckDomainPayload), graphql_name='checkDomain', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CheckDomainInput), graphql_name='input', default=None)),
))
    )
    clone_test_suite = sgqlc.types.Field(sgqlc.types.non_null(CloneTestSuitePayload), graphql_name='cloneTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CloneTestSuiteInput), graphql_name='input', default=None)),
))
    )
    confirm_email = sgqlc.types.Field(sgqlc.types.non_null(ConfirmEmailPayload), graphql_name='confirmEmail', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(ConfirmEmailInput), graphql_name='input', default=None)),
))
    )
    create_adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null(CreateAdobeAnalyticsProjectReportSuitePayload), graphql_name='createAdobeAnalyticsProjectReportSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateAdobeAnalyticsProjectReportSuiteInput), graphql_name='input', default=None)),
))
    )
    create_adobe_connection = sgqlc.types.Field(sgqlc.types.non_null(CreateAdobeConnectionPayload), graphql_name='createAdobeConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateAdobeConnectionInput), graphql_name='input', default=None)),
))
    )
    create_and_run_build = sgqlc.types.Field(sgqlc.types.non_null(CreateAndRunBuildPayload), graphql_name='createAndRunBuild', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateAndRunBuildInput), graphql_name='input', default=None)),
))
    )
    create_and_run_manual_build = sgqlc.types.Field(sgqlc.types.non_null(CreateAndRunBuildPayload), graphql_name='createAndRunManualBuild', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateAndRunBuildInput), graphql_name='input', default=None)),
))
    )
    create_automator_auth_token = sgqlc.types.Field(sgqlc.types.non_null(AuthToken), graphql_name='createAutomatorAuthToken')
    create_automator_slack_webhook = sgqlc.types.Field(sgqlc.types.non_null(CreateSlackWebhookPayload), graphql_name='createAutomatorSlackWebhook', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateSlackWebhookInput), graphql_name='input', default=None)),
))
    )
    create_build_schedule = sgqlc.types.Field(sgqlc.types.non_null(CreateBuildSchedulePayload), graphql_name='createBuildSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateBuildScheduleInput), graphql_name='input', default=None)),
))
    )
    create_crawl_url_segment = sgqlc.types.Field(sgqlc.types.non_null(CreateCrawlUrlSegmentPayload), graphql_name='createCrawlUrlSegment', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateCrawlUrlSegmentInput), graphql_name='input', default=None)),
))
    )
    create_custom_chart = sgqlc.types.Field(sgqlc.types.non_null(CreateCustomChartPayload), graphql_name='createCustomChart', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateCustomChartInput), graphql_name='input', default=None)),
))
    )
    create_custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null(CreateCustomDashboardPayload), graphql_name='createCustomDashboard', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateCustomDashboardInput), graphql_name='input', default=None)),
))
    )
    create_custom_table = sgqlc.types.Field(sgqlc.types.non_null(CreateCustomTablePayload), graphql_name='createCustomTable', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateCustomTableInput), graphql_name='input', default=None)),
))
    )
    create_google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null(CreateGoogleAnalyticsProjectViewPayload), graphql_name='createGoogleAnalyticsProjectView', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateGoogleAnalyticsProjectViewInput), graphql_name='input', default=None)),
))
    )
    create_google_connection = sgqlc.types.Field(sgqlc.types.non_null(CreateGoogleConnectionPayload), graphql_name='createGoogleConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateGoogleConnectionInput), graphql_name='input', default=None)),
))
    )
    create_google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null(CreateGoogleSearchConsoleConfigurationPayload), graphql_name='createGoogleSearchConsoleConfiguration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateGoogleSearchConsoleConfigurationInput), graphql_name='input', default=None)),
))
    )
    create_google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null(CreateGoogleSearchConsolePropertyPayload), graphql_name='createGoogleSearchConsoleProperty', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateGoogleSearchConsolePropertyInput), graphql_name='input', default=None)),
))
    )
    create_jira_authentication = sgqlc.types.Field(sgqlc.types.non_null(CreateJiraAuthenticationPayload), graphql_name='createJiraAuthentication', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateJiraAuthenticationInput), graphql_name='input', default=None)),
))
    )
    create_jira_integration = sgqlc.types.Field(sgqlc.types.non_null(CreateJiraIntegrationPayload), graphql_name='createJiraIntegration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateJiraIntegrationInput), graphql_name='input', default=None)),
))
    )
    create_logzio_connection = sgqlc.types.Field(sgqlc.types.non_null(CreateLogzioConnectionPayload), graphql_name='createLogzioConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateLogzioConnectionInput), graphql_name='input', default=None)),
))
    )
    create_logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null(CreateLogzioProjectQueryPayload), graphql_name='createLogzioProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateLogzioProjectQueryInput), graphql_name='input', default=None)),
))
    )
    create_majestic_configuration = sgqlc.types.Field(sgqlc.types.non_null(CreateMajesticConfigurationPayload), graphql_name='createMajesticConfiguration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateMajesticConfigurationInput), graphql_name='input', default=None)),
))
    )
    create_project = sgqlc.types.Field(sgqlc.types.non_null(CreateProjectPayload), graphql_name='createProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateProjectInput), graphql_name='input', default=None)),
))
    )
    create_project_legacy_task = sgqlc.types.Field(sgqlc.types.non_null(CreateLegacyTaskPayload), graphql_name='createProjectLegacyTask', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateProjectLegacyTaskInput), graphql_name='input', default=None)),
))
    )
    create_report_download = sgqlc.types.Field(sgqlc.types.non_null(CreateReportDownloadPayload), graphql_name='createReportDownload', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateReportDownloadInput), graphql_name='input', default=None)),
))
    )
    create_report_legacy_task = sgqlc.types.Field(sgqlc.types.non_null(CreateLegacyTaskPayload), graphql_name='createReportLegacyTask', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateReportLegacyTaskInput), graphql_name='input', default=None)),
))
    )
    create_schedule = sgqlc.types.Field(sgqlc.types.non_null(CreateSchedulePayload), graphql_name='createSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateScheduleInput), graphql_name='input', default=None)),
))
    )
    create_session_using_user_key = sgqlc.types.Field(sgqlc.types.non_null('Session'), graphql_name='createSessionUsingUserKey', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateSessionUsingUserKeyInputType), graphql_name='input', default=None)),
))
    )
    create_session_using_username = sgqlc.types.Field(sgqlc.types.non_null('Session'), graphql_name='createSessionUsingUsername', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateSessionUsingUsernameInputType), graphql_name='input', default=None)),
))
    )
    create_splunk_connection = sgqlc.types.Field(sgqlc.types.non_null(CreateSplunkConnectionPayload), graphql_name='createSplunkConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateSplunkConnectionInput), graphql_name='input', default=None)),
))
    )
    create_splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null(CreateSplunkProjectQueryPayload), graphql_name='createSplunkProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateSplunkProjectQueryInput), graphql_name='input', default=None)),
))
    )
    create_test = sgqlc.types.Field(sgqlc.types.non_null(CreateTestPayload), graphql_name='createTest', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateTestInput), graphql_name='input', default=None)),
))
    )
    create_test_suite = sgqlc.types.Field(sgqlc.types.non_null(CreateTestSuitePayload), graphql_name='createTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateTestSuiteInput), graphql_name='input', default=None)),
))
    )
    create_test_suite_email_alert = sgqlc.types.Field(sgqlc.types.non_null(CreateTestSuiteEmailAlertPayload), graphql_name='createTestSuiteEmailAlert', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateTestSuiteEmailAlertInput), graphql_name='input', default=None)),
))
    )
    create_url_file_upload_for_project = sgqlc.types.Field(sgqlc.types.non_null(CreateUrlFileUploadPayload), graphql_name='createUrlFileUploadForProject', args=sgqlc.types.ArgDict((
        ('file', sgqlc.types.Arg(Upload, graphql_name='file', default=None)),
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateUrlFileUploadForProjectInput), graphql_name='input', default=None)),
))
    )
    create_url_file_upload_for_test_suite = sgqlc.types.Field(sgqlc.types.non_null(CreateUrlFileUploadPayload), graphql_name='createUrlFileUploadForTestSuite', args=sgqlc.types.ArgDict((
        ('file', sgqlc.types.Arg(Upload, graphql_name='file', default=None)),
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CreateUrlFileUploadForTestSuiteInput), graphql_name='input', default=None)),
))
    )
    create_user_key = sgqlc.types.Field(sgqlc.types.non_null('UserKey'), graphql_name='createUserKey')
    delete_adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null(DeleteAdobeAnalyticsProjectReportSuitePayload), graphql_name='deleteAdobeAnalyticsProjectReportSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteAdobeAnalyticsProjectReportSuiteInput), graphql_name='input', default=None)),
))
    )
    delete_adobe_connection = sgqlc.types.Field(sgqlc.types.non_null(DeleteAdobeConnectionPayload), graphql_name='deleteAdobeConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteAdobeConnectionInput), graphql_name='input', default=None)),
))
    )
    delete_automator_slack_webhook = sgqlc.types.Field(sgqlc.types.non_null(DeleteSlackWebhookPayload), graphql_name='deleteAutomatorSlackWebhook', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteSlackWebhookInput), graphql_name='input', default=None)),
))
    )
    delete_build_schedule = sgqlc.types.Field(sgqlc.types.non_null(DeleteBuildSchedulePayload), graphql_name='deleteBuildSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteBuildScheduleInput), graphql_name='input', default=None)),
))
    )
    delete_crawl = sgqlc.types.Field(sgqlc.types.non_null(DeleteCrawlPayload), graphql_name='deleteCrawl', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteCrawlInput), graphql_name='input', default=None)),
))
    )
    delete_custom_chart = sgqlc.types.Field(sgqlc.types.non_null(DeleteCustomChartPayload), graphql_name='deleteCustomChart', args=sgqlc.types.ArgDict((
        ('custom_chart_id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='customChartId', default=None)),
))
    )
    delete_custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null(DeleteCustomDashboardPayload), graphql_name='deleteCustomDashboard', args=sgqlc.types.ArgDict((
        ('custom_dashboard_id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='customDashboardId', default=None)),
))
    )
    delete_custom_table = sgqlc.types.Field(sgqlc.types.non_null(DeleteCustomTablePayload), graphql_name='deleteCustomTable', args=sgqlc.types.ArgDict((
        ('custom_table_id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='customTableId', default=None)),
))
    )
    delete_google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null(DeleteGoogleAnalyticsProjectViewPayload), graphql_name='deleteGoogleAnalyticsProjectView', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteGoogleAnalyticsProjectViewInput), graphql_name='input', default=None)),
))
    )
    delete_google_connection = sgqlc.types.Field(sgqlc.types.non_null(DeleteGoogleConnectionPayload), graphql_name='deleteGoogleConnection', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteGoogleConnectionInput), graphql_name='input', default=None)),
))
    )
    delete_google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null(DeleteGoogleSearchConsoleConfigurationPayload), graphql_name='deleteGoogleSearchConsoleConfiguration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteGoogleSearchConsoleConfigurationInput), graphql_name='input', default=None)),
))
    )
    delete_google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null(DeleteGoogleSearchConsolePropertyPayload), graphql_name='deleteGoogleSearchConsoleProperty', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteGoogleSearchConsolePropertyInput), graphql_name='input', default=None)),
))
    )
    delete_jira_authentication = sgqlc.types.Field(sgqlc.types.non_null(DeleteJiraAuthenticationPayload), graphql_name='deleteJiraAuthentication', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteJiraAuthenticationInput), graphql_name='input', default=None)),
))
    )
    delete_jira_integration = sgqlc.types.Field(sgqlc.types.non_null(DeleteJiraIntegrationPayload), graphql_name='deleteJiraIntegration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteJiraIntegrationInput), graphql_name='input', default=None)),
))
    )
    delete_legacy_task = sgqlc.types.Field(sgqlc.types.non_null(DeleteLegacyTaskPayload), graphql_name='deleteLegacyTask', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteLegacyTaskInput), graphql_name='input', default=None)),
))
    )
    delete_logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null(DeleteLogzioProjectQueryPayload), graphql_name='deleteLogzioProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteLogzioProjectQueryInput), graphql_name='input', default=None)),
))
    )
    delete_project = sgqlc.types.Field(sgqlc.types.non_null(DeleteProjectPayload), graphql_name='deleteProject', args=sgqlc.types.ArgDict((
        ('project_id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='projectId', default=None)),
))
    )
    delete_report_download = sgqlc.types.Field(sgqlc.types.non_null(DeleteReportDownloadPayload), graphql_name='deleteReportDownload', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteReportDownloadInput), graphql_name='input', default=None)),
))
    )
    delete_schedule = sgqlc.types.Field(sgqlc.types.non_null(DeleteSchedulePayload), graphql_name='deleteSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteScheduleInput), graphql_name='input', default=None)),
))
    )
    delete_segment = sgqlc.types.Field(sgqlc.types.non_null(DeleteSegmentPayload), graphql_name='deleteSegment', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteSegmentInput), graphql_name='input', default=None)),
))
    )
    delete_session = sgqlc.types.Field(sgqlc.types.non_null('Session'), graphql_name='deleteSession')
    delete_splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null(DeleteSplunkProjectQueryPayload), graphql_name='deleteSplunkProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteSplunkProjectQueryInput), graphql_name='input', default=None)),
))
    )
    delete_test = sgqlc.types.Field(sgqlc.types.non_null(DeleteTestPayload), graphql_name='deleteTest', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteTestInput), graphql_name='input', default=None)),
))
    )
    delete_test_suite = sgqlc.types.Field(sgqlc.types.non_null(DeleteTestSuitePayload), graphql_name='deleteTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteTestSuiteInput), graphql_name='input', default=None)),
))
    )
    delete_test_suite_email_alert = sgqlc.types.Field(sgqlc.types.non_null(DeleteTestSuiteEmailAlertPayload), graphql_name='deleteTestSuiteEmailAlert', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteTestSuiteEmailAlertInput), graphql_name='input', default=None)),
))
    )
    delete_url_file_upload = sgqlc.types.Field(sgqlc.types.non_null(DeleteUrlFileUploadPayload), graphql_name='deleteUrlFileUpload', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteUrlFileUploadInput), graphql_name='input', default=None)),
))
    )
    delete_user_key = sgqlc.types.Field(sgqlc.types.non_null(DeleteUserKeyPayload), graphql_name='deleteUserKey', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DeleteUserKeyInput), graphql_name='input', default=None)),
))
    )
    disable_sitemap = sgqlc.types.Field(sgqlc.types.non_null(DisableSitemapPayload), graphql_name='disableSitemap', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DisableSitemapInput), graphql_name='input', default=None)),
))
    )
    disable_sitemaps = sgqlc.types.Field(sgqlc.types.non_null(DisableSitemapsPayload), graphql_name='disableSitemaps', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(DisableSitemapsInput), graphql_name='input', default=None)),
))
    )
    enable_sitemap = sgqlc.types.Field(sgqlc.types.non_null(EnableSitemapPayload), graphql_name='enableSitemap', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(EnableSitemapInput), graphql_name='input', default=None)),
))
    )
    enable_sitemaps = sgqlc.types.Field(sgqlc.types.non_null(EnableSitemapsPayload), graphql_name='enableSitemaps', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(EnableSitemapsInput), graphql_name='input', default=None)),
))
    )
    link_child_test_suite_to_parent_test_suite = sgqlc.types.Field(sgqlc.types.non_null(LinkChildTestSuiteToParentTestSuitePayload), graphql_name='linkChildTestSuiteToParentTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(LinkChildTestSuiteToParentTestSuiteInput), graphql_name='input', default=None)),
))
    )
    link_custom_metric_container_to_project = sgqlc.types.Field(sgqlc.types.non_null(LinkCustomMetricContainerToProjectPayload), graphql_name='linkCustomMetricContainerToProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(LinkCustomMetricContainerToProjectInput), graphql_name='input', default=None)),
))
    )
    link_jira_integration_to_test_suite = sgqlc.types.Field(sgqlc.types.non_null(LinkJiraIntegrationToTestSuitePayload), graphql_name='linkJiraIntegrationToTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(LinkJiraIntegrationToTestSuiteInput), graphql_name='input', default=None)),
))
    )
    link_test_suite_to_build_schedule = sgqlc.types.Field(sgqlc.types.non_null(LinkTestSuiteToBuildSchedulePayload), graphql_name='linkTestSuiteToBuildSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(LinkTestSuiteToBuildScheduleInput), graphql_name='input', default=None)),
))
    )
    pause_crawling = sgqlc.types.Field(sgqlc.types.non_null('PauseCrawlingPayload'), graphql_name='pauseCrawling', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(PauseCrawlingInput), graphql_name='input', default=None)),
))
    )
    request_password_reset = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='requestPasswordReset', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(RequestPasswordResetInput), graphql_name='input', default=None)),
))
    )
    reset_password = sgqlc.types.Field(sgqlc.types.non_null('ResetPasswordPayload'), graphql_name='resetPassword', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(ResetPasswordInput), graphql_name='input', default=None)),
))
    )
    resume_crawling = sgqlc.types.Field(sgqlc.types.non_null('ResumeCrawlingPayload'), graphql_name='resumeCrawling', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(ResumeCrawlingInput), graphql_name='input', default=None)),
))
    )
    run_crawl_for_project = sgqlc.types.Field(sgqlc.types.non_null('RunCrawlForProjectPayload'), graphql_name='runCrawlForProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(RunCrawlForProjectInput), graphql_name='input', default=None)),
))
    )
    set_build_schedule_test_suites = sgqlc.types.Field(sgqlc.types.non_null('SetBuildScheduleTestSuitesPayload'), graphql_name='setBuildScheduleTestSuites', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(SetBuildScheduleTestSuitesInput), graphql_name='input', default=None)),
))
    )
    share_project = sgqlc.types.Field(sgqlc.types.non_null('ShareProjectPayload'), graphql_name='shareProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(ShareProjectInput), graphql_name='input', default=None)),
))
    )
    unarchive_crawl = sgqlc.types.Field(sgqlc.types.non_null('RunCrawlForProjectPayload'), graphql_name='unarchiveCrawl', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UnarchiveCrawlInput), graphql_name='input', default=None)),
))
    )
    unlink_child_test_suite_from_parent_test_suite = sgqlc.types.Field(sgqlc.types.non_null('UnlinkChildTestSuiteFromParentTestSuitePayload'), graphql_name='unlinkChildTestSuiteFromParentTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UnlinkChildTestSuiteFromParentTestSuiteInput), graphql_name='input', default=None)),
))
    )
    unlink_custom_metric_container_from_project = sgqlc.types.Field(sgqlc.types.non_null('UnlinkCustomMetricContainerFromProjectPayload'), graphql_name='unlinkCustomMetricContainerFromProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UnlinkCustomMetricContainerFromProjectInput), graphql_name='input', default=None)),
))
    )
    unlink_jira_integration_from_test_suite = sgqlc.types.Field(sgqlc.types.non_null('UnlinkJiraIntegrationFromTestSuitePayload'), graphql_name='unlinkJiraIntegrationFromTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UnlinkJiraIntegrationFromTestSuiteInput), graphql_name='input', default=None)),
))
    )
    unlink_test_suite_from_build_schedule = sgqlc.types.Field(sgqlc.types.non_null('UnlinkTestSuiteFromBuildSchedulePayload'), graphql_name='unlinkTestSuiteFromBuildSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UnlinkTestSuiteFromBuildScheduleInput), graphql_name='input', default=None)),
))
    )
    update_adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null('UpdateAdobeAnalyticsProjectReportSuitePayload'), graphql_name='updateAdobeAnalyticsProjectReportSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateAdobeAnalyticsProjectReportSuiteInput), graphql_name='input', default=None)),
))
    )
    update_automator_slack_webhook = sgqlc.types.Field(sgqlc.types.non_null(CreateSlackWebhookPayload), graphql_name='updateAutomatorSlackWebhook', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateSlackWebhookInput), graphql_name='input', default=None)),
))
    )
    update_build_schedule = sgqlc.types.Field(sgqlc.types.non_null('UpdateBuildSchedulePayload'), graphql_name='updateBuildSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateBuildScheduleInput), graphql_name='input', default=None)),
))
    )
    update_current_user = sgqlc.types.Field(sgqlc.types.non_null('UpdateCurrentUserPayload'), graphql_name='updateCurrentUser', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateCurrentUserInput), graphql_name='input', default=None)),
))
    )
    update_custom_chart = sgqlc.types.Field(sgqlc.types.non_null('UpdateCustomChartPayload'), graphql_name='updateCustomChart', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateCustomChartInput), graphql_name='input', default=None)),
))
    )
    update_custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null('UpdateCustomDashboardPayload'), graphql_name='updateCustomDashboard', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateCustomDashboardInput), graphql_name='input', default=None)),
))
    )
    update_custom_table = sgqlc.types.Field(sgqlc.types.non_null('UpdateCustomTablePayload'), graphql_name='updateCustomTable', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateCustomTableInput), graphql_name='input', default=None)),
))
    )
    update_google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null('UpdateGoogleAnalyticsProjectViewPayload'), graphql_name='updateGoogleAnalyticsProjectView', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateGoogleAnalyticsProjectViewInput), graphql_name='input', default=None)),
))
    )
    update_google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null('UpdateGoogleSearchConsoleConfigurationPayload'), graphql_name='updateGoogleSearchConsoleConfiguration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateGoogleSearchConsoleConfigurationInput), graphql_name='input', default=None)),
))
    )
    update_google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null('UpdateGoogleSearchConsolePropertyPayload'), graphql_name='updateGoogleSearchConsoleProperty', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateGoogleSearchConsolePropertyInput), graphql_name='input', default=None)),
))
    )
    update_jira_authentication = sgqlc.types.Field(sgqlc.types.non_null('UpdateJiraAuthenticationPayload'), graphql_name='updateJiraAuthentication', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateJiraAuthenticationInput), graphql_name='input', default=None)),
))
    )
    update_jira_integration = sgqlc.types.Field(sgqlc.types.non_null('UpdateJiraIntegrationPayload'), graphql_name='updateJiraIntegration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateJiraIntegrationInput), graphql_name='input', default=None)),
))
    )
    update_legacy_task = sgqlc.types.Field(sgqlc.types.non_null('UpdateLegacyTaskPayload'), graphql_name='updateLegacyTask', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateLegacyTaskInput), graphql_name='input', default=None)),
))
    )
    update_logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null('UpdateLogzioProjectQueryPayload'), graphql_name='updateLogzioProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateLogzioProjectQueryInput), graphql_name='input', default=None)),
))
    )
    update_majestic_configuration = sgqlc.types.Field(sgqlc.types.non_null('UpdateMajesticConfigurationPayload'), graphql_name='updateMajesticConfiguration', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateMajesticConfigurationInput), graphql_name='input', default=None)),
))
    )
    update_password = sgqlc.types.Field(sgqlc.types.non_null('UpdatePasswordPayload'), graphql_name='updatePassword', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdatePasswordInput), graphql_name='input', default=None)),
))
    )
    update_project = sgqlc.types.Field(sgqlc.types.non_null('UpdateProjectPayload'), graphql_name='updateProject', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateProjectInput), graphql_name='input', default=None)),
))
    )
    update_schedule = sgqlc.types.Field(sgqlc.types.non_null('UpdateSchedulePayload'), graphql_name='updateSchedule', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateScheduleInput), graphql_name='input', default=None)),
))
    )
    update_segment = sgqlc.types.Field(sgqlc.types.non_null('UpdateSegmentPayload'), graphql_name='updateSegment', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateSegmentInput), graphql_name='input', default=None)),
))
    )
    update_splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null('UpdateSplunkProjectQueryPayload'), graphql_name='updateSplunkProjectQuery', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateSplunkProjectQueryInput), graphql_name='input', default=None)),
))
    )
    update_test = sgqlc.types.Field(sgqlc.types.non_null('UpdateTestPayload'), graphql_name='updateTest', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateTestInput), graphql_name='input', default=None)),
))
    )
    update_test_result = sgqlc.types.Field(sgqlc.types.non_null('UpdateTestResultPayload'), graphql_name='updateTestResult', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateTestResultInput), graphql_name='input', default=None)),
))
    )
    update_test_suite = sgqlc.types.Field(sgqlc.types.non_null('UpdateTestSuitePayload'), graphql_name='updateTestSuite', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateTestSuiteInput), graphql_name='input', default=None)),
))
    )
    update_test_suite_email_alert = sgqlc.types.Field(sgqlc.types.non_null(CreateTestSuiteEmailAlertPayload), graphql_name='updateTestSuiteEmailAlert', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateTestSuiteEmailAlertInput), graphql_name='input', default=None)),
))
    )
    update_url_file_upload = sgqlc.types.Field(sgqlc.types.non_null('UpdateUrlFileUploadPayload'), graphql_name='updateUrlFileUpload', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(UpdateUrlFileUploadInput), graphql_name='input', default=None)),
))
    )


class PageInfo(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('end_cursor', 'has_next_page', 'has_previous_page', 'start_cursor')
    end_cursor = sgqlc.types.Field(String, graphql_name='endCursor')
    has_next_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasNextPage')
    has_previous_page = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasPreviousPage')
    start_cursor = sgqlc.types.Field(String, graphql_name='startCursor')


class PauseCrawlingPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')


class Permission(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code',)
    code = sgqlc.types.Field(sgqlc.types.non_null(PermissionCode), graphql_name='code')


class PredicateMetadata(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('key', 'name', 'type')
    key = sgqlc.types.Field(sgqlc.types.non_null(SegmentRulePredicate), graphql_name='key')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    type = sgqlc.types.Field(sgqlc.types.non_null(PrimitiveType), graphql_name='type')


class ProjectConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ProjectEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Project'))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ProjectEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='node')


class ProjectTrend(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('report_template_code', 'trend_reports')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    trend_reports = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TrendReport'))), graphql_name='trendReports')


class Query(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('datasource', 'datasources', 'get_account', 'get_alert_settings', 'get_automator_account_statistics', 'get_automator_report_templates', 'get_crawl', 'get_crawl_types_metadata', 'get_custom_chart', 'get_custom_dashboard', 'get_custom_table', 'get_jira_issue_types', 'get_jira_projects', 'get_jira_settings', 'get_legacy_tasks_for_projects', 'get_project', 'get_report', 'get_report_templates', 'get_report_types', 'get_reports_for_crawls', 'get_roles', 'get_schedule_frequencies', 'get_segment', 'get_test_suite', 'get_test_suite_locations', 'get_url_file_upload_types', 'get_user_agents', 'me', 'node', 'nodes', 'segmentable_metrics_metadata', 'sharelink', 'version')
    datasource = sgqlc.types.Field(Datasource, graphql_name='datasource', args=sgqlc.types.ArgDict((
        ('code', sgqlc.types.Arg(String, graphql_name='code', default=None)),
        ('datasource_code', sgqlc.types.Arg(DatasourceCode, graphql_name='datasourceCode', default=None)),
))
    )
    datasources = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Datasource))), graphql_name='datasources')
    get_account = sgqlc.types.Field(Account, graphql_name='getAccount', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_alert_settings = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(AlertSetting))), graphql_name='getAlertSettings')
    get_automator_account_statistics = sgqlc.types.Field(sgqlc.types.non_null(AutomatorAccountStatistics), graphql_name='getAutomatorAccountStatistics', args=sgqlc.types.ArgDict((
        ('account_id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='accountId', default=None)),
))
    )
    get_automator_report_templates = sgqlc.types.Field(sgqlc.types.non_null('ReportTemplateConnection'), graphql_name='getAutomatorReportTemplates', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportTemplateConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportTemplateOrder)), graphql_name='orderBy', default=None)),
))
    )
    get_crawl = sgqlc.types.Field(Crawl, graphql_name='getCrawl', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_crawl_types_metadata = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlTypeMetadata))), graphql_name='getCrawlTypesMetadata')
    get_custom_chart = sgqlc.types.Field(CustomChart, graphql_name='getCustomChart', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_custom_dashboard = sgqlc.types.Field(CustomDashboard, graphql_name='getCustomDashboard', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_custom_table = sgqlc.types.Field(CustomTable, graphql_name='getCustomTable', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_jira_issue_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JiraIssueType))), graphql_name='getJiraIssueTypes', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(GetJiraIssueTypesInput), graphql_name='input', default=None)),
))
    )
    get_jira_projects = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JiraProject))), graphql_name='getJiraProjects', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(GetJiraProjectsInput), graphql_name='input', default=None)),
))
    )
    get_jira_settings = sgqlc.types.Field(sgqlc.types.non_null(JiraSettings), graphql_name='getJiraSettings')
    get_legacy_tasks_for_projects = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskConnection), graphql_name='getLegacyTasksForProjects', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LegacyTaskConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTaskOrder)), graphql_name='orderBy', default=None)),
        ('project_ids', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID))), graphql_name='projectIds', default=None)),
))
    )
    get_project = sgqlc.types.Field('Project', graphql_name='getProject', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_report = sgqlc.types.Field('Report', graphql_name='getReport', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(GetReportInputType), graphql_name='input', default=None)),
))
    )
    get_report_templates = sgqlc.types.Field(sgqlc.types.non_null('ReportTemplateConnection'), graphql_name='getReportTemplates', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportTemplateConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportTemplateOrder)), graphql_name='orderBy', default=None)),
))
    )
    get_report_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportType'))), graphql_name='getReportTypes')
    get_reports_for_crawls = sgqlc.types.Field(sgqlc.types.non_null('ReportScrollConnection'), graphql_name='getReportsForCrawls', args=sgqlc.types.ArgDict((
        ('crawl_ids', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID))), graphql_name='crawlIds', default=None)),
        ('filter', sgqlc.types.Arg(ReportConnectionFilterInput, graphql_name='filter', default=None)),
        ('limit', sgqlc.types.Arg(Int, graphql_name='limit', default=100)),
        ('scroll_id', sgqlc.types.Arg(String, graphql_name='scrollId', default=None)),
))
    )
    get_roles = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Role'))), graphql_name='getRoles')
    get_schedule_frequencies = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ScheduleFrequency'))), graphql_name='getScheduleFrequencies')
    get_segment = sgqlc.types.Field('Segment', graphql_name='getSegment', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_test_suite = sgqlc.types.Field('TestSuite', graphql_name='getTestSuite', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    get_test_suite_locations = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Location))), graphql_name='getTestSuiteLocations')
    get_url_file_upload_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UrlFileUploadType'))), graphql_name='getUrlFileUploadTypes')
    get_user_agents = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UserAgent'))), graphql_name='getUserAgents')
    me = sgqlc.types.Field(sgqlc.types.non_null('User'), graphql_name='me')
    node = sgqlc.types.Field('Entity', graphql_name='node', args=sgqlc.types.ArgDict((
        ('id', sgqlc.types.Arg(sgqlc.types.non_null(ObjectID), graphql_name='id', default=None)),
))
    )
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Entity'))), graphql_name='nodes', args=sgqlc.types.ArgDict((
        ('ids', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ObjectID))), graphql_name='ids', default=None)),
))
    )
    segmentable_metrics_metadata = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('SegmentableMetricMetadata'))), graphql_name='segmentableMetricsMetadata')
    sharelink = sgqlc.types.Field('Sharelink', graphql_name='sharelink')
    version = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='version')


class Redirect(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('is_meta_redirect', 'redirects_to', 'result', 'status_code', 'url')
    is_meta_redirect = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isMetaRedirect')
    redirects_to = sgqlc.types.Field(String, graphql_name='redirectsTo')
    result = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='result')
    status_code = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='statusCode')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')


class Report(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('change', 'change_weight', 'core_uiurl', 'crawl', 'crawl_duplicate_urls', 'crawl_hreflangs', 'crawl_id', 'crawl_linked_domains', 'crawl_links', 'crawl_segment', 'crawl_sitemaps', 'crawl_uncrawled_urls', 'crawl_unique_links', 'crawl_urls', 'crawl_urls_aggregates', 'crawl_web_crawl_depths', 'created_at', 'datasource', 'datasource_code', 'datasource_code_enum', 'diff_report_totals', 'has_changes', 'id', 'legacy_rows', 'legacy_tasks', 'paginated_crawl_urls_aggregates', 'project', 'project_id', 'query_version', 'raw_id', 'raw_trends', 'report_downloads', 'report_template', 'report_template_code', 'report_type_code', 'report_type_code_enum', 'rows', 'rows_with_all_metrics', 'segment', 'segment_version', 'total_rows', 'total_weight', 'trend', 'type', 'type_code')
    change = sgqlc.types.Field(Int, graphql_name='change')
    change_weight = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='changeWeight')
    core_uiurl = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='coreUIUrl')
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')
    crawl_duplicate_urls = sgqlc.types.Field(CrawlDuplicateUrlConnection, graphql_name='crawlDuplicateUrls', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlDuplicateUrlConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlDuplicateUrlOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_hreflangs = sgqlc.types.Field(CrawlHreflangsConnection, graphql_name='crawlHreflangs', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlHreflangsConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlHreflangsOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='crawlId')
    crawl_linked_domains = sgqlc.types.Field(CrawlLinkedDomainConnection, graphql_name='crawlLinkedDomains', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlLinkedDomainConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlLinkedDomainOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_links = sgqlc.types.Field(CrawlLinkConnection, graphql_name='crawlLinks', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlLinkConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlLinkOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_segment = sgqlc.types.Field(CrawlSegment, graphql_name='crawlSegment')
    crawl_sitemaps = sgqlc.types.Field(CrawlSitemapConnection, graphql_name='crawlSitemaps', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlSitemapConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlSitemapOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_uncrawled_urls = sgqlc.types.Field(CrawlUncrawledUrlConnection, graphql_name='crawlUncrawledUrls', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlUncrawledUrlConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUncrawledUrlOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_unique_links = sgqlc.types.Field(CrawlUniqueLinkConnection, graphql_name='crawlUniqueLinks', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlUniqueLinkConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUniqueLinkOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_urls = sgqlc.types.Field(CrawlUrlConnection, graphql_name='crawlUrls', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlUrlConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_urls_aggregates = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregate)), graphql_name='crawlUrlsAggregates', args=sgqlc.types.ArgDict((
        ('backend', sgqlc.types.Arg(AggregatesBackend, graphql_name='backend', default=None)),
        ('dimensions', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregateDimension))), graphql_name='dimensions', default=())),
        ('filter', sgqlc.types.Arg(CrawlUrlConnectionFilterInput, graphql_name='filter', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregateOrder))), graphql_name='orderBy', default=())),
))
    )
    crawl_web_crawl_depths = sgqlc.types.Field(CrawlWebCrawlDepthConnection, graphql_name='crawlWebCrawlDepths', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlWebCrawlDepthConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlWebCrawlDepthOrder)), graphql_name='orderBy', default=None)),
))
    )
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    datasource = sgqlc.types.Field(sgqlc.types.non_null(Datasource), graphql_name='datasource')
    datasource_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='datasourceCode')
    datasource_code_enum = sgqlc.types.Field(sgqlc.types.non_null(DatasourceCode), graphql_name='datasourceCodeEnum')
    diff_report_totals = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportTotalRows'))), graphql_name='diffReportTotals', args=sgqlc.types.ArgDict((
        ('filter', sgqlc.types.Arg(JSONObject, graphql_name='filter', default=None)),
        ('include_self', sgqlc.types.Arg(sgqlc.types.non_null(Boolean), graphql_name='includeSelf', default=False)),
))
    )
    has_changes = sgqlc.types.Field(Boolean, graphql_name='hasChanges')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    legacy_rows = sgqlc.types.Field(LegacyReportRowConnection, graphql_name='legacyRows', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(JSONObject, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy', default=None)),
))
    )
    legacy_tasks = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskConnection), graphql_name='legacyTasks', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LegacyTaskConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTaskOrder)), graphql_name='orderBy', default=None)),
))
    )
    paginated_crawl_urls_aggregates = sgqlc.types.Field(CrawlUrlAggregateConnection, graphql_name='paginatedCrawlUrlsAggregates', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('backend', sgqlc.types.Arg(AggregatesBackend, graphql_name='backend', default=None)),
        ('dimensions', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregateDimension))), graphql_name='dimensions', default=())),
        ('filter', sgqlc.types.Arg(CrawlUrlConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=100)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlUrlAggregateOrder))), graphql_name='orderBy', default=())),
))
    )
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    project_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='projectId')
    query_version = sgqlc.types.Field(Int, graphql_name='queryVersion')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    raw_trends = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject))), graphql_name='rawTrends')
    report_downloads = sgqlc.types.Field('ReportDownloadConnection', graphql_name='reportDownloads', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(ReportDownloadConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(ReportDownloadOrder)), graphql_name='orderBy', default=None)),
))
    )
    report_template = sgqlc.types.Field(sgqlc.types.non_null('ReportTemplate'), graphql_name='reportTemplate')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    report_type_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTypeCode')
    report_type_code_enum = sgqlc.types.Field(sgqlc.types.non_null(ReportTypeCode), graphql_name='reportTypeCodeEnum')
    rows = sgqlc.types.Field('ReportRowConnection', graphql_name='rows', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(JSONObject, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy', default=None)),
))
    )
    rows_with_all_metrics = sgqlc.types.Field(AllMetricsReportRowConnection, graphql_name='rowsWithAllMetrics', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(JSONObject, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject)), graphql_name='orderBy', default=None)),
))
    )
    segment = sgqlc.types.Field('Segment', graphql_name='segment')
    segment_version = sgqlc.types.Field(Int, graphql_name='segmentVersion')
    total_rows = sgqlc.types.Field(Int, graphql_name='totalRows')
    total_weight = sgqlc.types.Field(Float, graphql_name='totalWeight')
    trend = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('Report'))), graphql_name='trend')
    type = sgqlc.types.Field(sgqlc.types.non_null('ReportType'), graphql_name='type')
    type_code = sgqlc.types.Field(sgqlc.types.non_null(ReportTypeCode), graphql_name='typeCode')


class ReportConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Report))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ReportDownload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl', 'created_at', 'file_url', 'filter', 'id', 'output_type', 'raw_id', 'report', 'report_template', 'reported_at', 'reporting_at', 'selected_metrics', 'status', 'total_rows', 'updated_at')
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    file_url = sgqlc.types.Field(String, graphql_name='fileURL')
    filter = sgqlc.types.Field(String, graphql_name='filter')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    output_type = sgqlc.types.Field(sgqlc.types.non_null(ReportDownloadOutputType), graphql_name='outputType')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    report = sgqlc.types.Field(sgqlc.types.non_null(Report), graphql_name='report')
    report_template = sgqlc.types.Field(sgqlc.types.non_null('ReportTemplate'), graphql_name='reportTemplate')
    reported_at = sgqlc.types.Field(DateTime, graphql_name='reportedAt')
    reporting_at = sgqlc.types.Field(DateTime, graphql_name='reportingAt')
    selected_metrics = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='selectedMetrics')
    status = sgqlc.types.Field(sgqlc.types.non_null(ReportDownloadStatus), graphql_name='status')
    total_rows = sgqlc.types.Field(Float, graphql_name='totalRows')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class ReportDownloadConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportDownloadEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ReportDownload))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ReportDownloadEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(ReportDownload), graphql_name='node')


class ReportEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Report), graphql_name='node')


class ReportRowConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportRowEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportRow'))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ReportRowEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null('ReportRow'), graphql_name='node')


class ReportScrollConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('nodes', 'scroll_id', 'total_count')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Report))), graphql_name='nodes')
    scroll_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='scrollId')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ReportTemplate(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('allowed_output_types', 'automator_summary', 'beta', 'categories', 'change_sign', 'change_weight', 'code', 'created_at', 'datasource', 'datasource_code', 'datasource_code_enum', 'default_metrics', 'default_order_by', 'deleted_at', 'description', 'healthscore_category', 'healthscore_subcategories', 'id', 'metrics_groupings', 'name', 'position', 'query_version', 'raw_id', 'report_types', 'summary', 'tags', 'total_sign', 'total_weight', 'updated_at')
    allowed_output_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ReportDownloadOutputType))), graphql_name='allowedOutputTypes')
    automator_summary = sgqlc.types.Field(String, graphql_name='automatorSummary')
    beta = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='beta')
    categories = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='categories')
    change_sign = sgqlc.types.Field(Float, graphql_name='changeSign')
    change_weight = sgqlc.types.Field(Float, graphql_name='changeWeight')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    datasource = sgqlc.types.Field(sgqlc.types.non_null(Datasource), graphql_name='datasource')
    datasource_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='datasourceCode')
    datasource_code_enum = sgqlc.types.Field(sgqlc.types.non_null(DatasourceCode), graphql_name='datasourceCodeEnum')
    default_metrics = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='defaultMetrics')
    default_order_by = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject))), graphql_name='defaultOrderBy')
    deleted_at = sgqlc.types.Field(DateTime, graphql_name='deletedAt')
    description = sgqlc.types.Field(String, graphql_name='description')
    healthscore_category = sgqlc.types.Field(String, graphql_name='healthscoreCategory')
    healthscore_subcategories = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='healthscoreSubcategories')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    metrics_groupings = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(MetricsGrouping))), graphql_name='metricsGroupings')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    position = sgqlc.types.Field(Float, graphql_name='position')
    query_version = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='queryVersion')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    report_types = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(ReportTypeCode)), graphql_name='reportTypes')
    summary = sgqlc.types.Field(String, graphql_name='summary')
    tags = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='tags')
    total_sign = sgqlc.types.Field(Float, graphql_name='totalSign')
    total_weight = sgqlc.types.Field(Float, graphql_name='totalWeight')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class ReportTemplateConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('ReportTemplateEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ReportTemplate))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class ReportTemplateEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(ReportTemplate), graphql_name='node')


class ReportTotalRows(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('report_id', 'report_type_code', 'total_rows')
    report_id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='reportId')
    report_type_code = sgqlc.types.Field(sgqlc.types.non_null(ReportTypeCode), graphql_name='reportTypeCode')
    total_rows = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalRows')


class ReportType(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'id', 'name', 'position', 'raw_id')
    code = sgqlc.types.Field(sgqlc.types.non_null(ReportTypeCode), graphql_name='code')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    position = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='position')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')


class ResetPasswordPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('password_updated', 'password_validation_errors')
    password_updated = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='passwordUpdated')
    password_validation_errors = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='passwordValidationErrors')


class ResumeCrawlingPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')


class Role(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name')
    code = sgqlc.types.Field(sgqlc.types.non_null(RoleCode), graphql_name='code')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class RunCrawlForProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl',)
    crawl = sgqlc.types.Field(sgqlc.types.non_null(Crawl), graphql_name='crawl')


class Schedule(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'latest_run_time', 'next_run_time', 'project', 'raw_id', 'schedule_frequency', 'updated_at')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    latest_run_time = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='latestRunTime')
    next_run_time = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='nextRunTime')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    schedule_frequency = sgqlc.types.Field(sgqlc.types.non_null('ScheduleFrequency'), graphql_name='scheduleFrequency')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class ScheduleFrequency(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name')
    code = sgqlc.types.Field(sgqlc.types.non_null(ScheduleFrequencyCode), graphql_name='code')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class Segment(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_segments', 'crawl_url_filter', 'created_at', 'filter', 'id', 'last_failed_at', 'last_generated_at', 'name', 'project', 'raw_id', 'updated_at', 'version')
    crawl_segments = sgqlc.types.Field(CrawlSegmentConnection, graphql_name='crawlSegments', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlSegmentConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlSegmentOrder)), graphql_name='orderBy', default=None)),
))
    )
    crawl_url_filter = sgqlc.types.Field(JSONObject, graphql_name='crawlUrlFilter')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    filter = sgqlc.types.Field(JSONObject, graphql_name='filter')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    last_failed_at = sgqlc.types.Field(DateTime, graphql_name='lastFailedAt')
    last_generated_at = sgqlc.types.Field(DateTime, graphql_name='lastGeneratedAt')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    version = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='version')


class SegmentConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('SegmentEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Segment))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class SegmentEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Segment), graphql_name='node')


class SegmentableMetricMetadata(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('key', 'name', 'predicates')
    key = sgqlc.types.Field(sgqlc.types.non_null(SegmentableMetric), graphql_name='key')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    predicates = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(PredicateMetadata))), graphql_name='predicates')


class Session(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('expires_at', 'token')
    expires_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='expiresAt')
    token = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='token')


class SetBuildScheduleTestSuitesPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_test_suites',)
    build_schedule_test_suites = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(BuildScheduleTestSuite))), graphql_name='buildScheduleTestSuites')


class ShareProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('auth_token', 'sharelink')
    auth_token = sgqlc.types.Field(sgqlc.types.non_null(AuthToken), graphql_name='authToken')
    sharelink = sgqlc.types.Field(sgqlc.types.non_null('Sharelink'), graphql_name='sharelink')


class Sharelink(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'created_at', 'id', 'raw_id', 'sharelink_template', 'target_url')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    sharelink_template = sgqlc.types.Field(sgqlc.types.non_null('SharelinkTemplate'), graphql_name='sharelinkTemplate')
    target_url = sgqlc.types.Field(String, graphql_name='targetUrl')


class SharelinkTemplate(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    name = sgqlc.types.Field(String, graphql_name='name')


class Sitemap(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('enabled', 'level', 'links_out', 'parent', 'status', 'type', 'url', 'url_digest')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    level = sgqlc.types.Field(Int, graphql_name='level')
    links_out = sgqlc.types.Field(Int, graphql_name='linksOut')
    parent = sgqlc.types.Field(String, graphql_name='parent')
    status = sgqlc.types.Field(sgqlc.types.non_null(SitemapStatus), graphql_name='status')
    type = sgqlc.types.Field(sgqlc.types.non_null(SitemapType), graphql_name='type')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    url_digest = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='urlDigest')


class SlackWebhook(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'created_at', 'id', 'raw_id', 'test_suite', 'url')
    alert_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SlackAlertType))), graphql_name='alertTypes')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')


class SlackWebhookConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('SlackWebhookEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SlackWebhook))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class SlackWebhookEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(SlackWebhook), graphql_name='node')


class SplunkConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'is_working', 'raw_id', 'splunk_project_queries', 'updated_at', 'url', 'username')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_working = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isWorking')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    splunk_project_queries = sgqlc.types.Field(sgqlc.types.non_null('SplunkProjectQueryConnection'), graphql_name='splunkProjectQueries', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(SplunkProjectQueryConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(SplunkProjectQueryOrder)), graphql_name='orderBy', default=None)),
))
    )
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='url')
    username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='username')


class SplunkConnectionConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('SplunkConnectionEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SplunkConnection))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class SplunkConnectionEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(SplunkConnection), graphql_name='node')


class SplunkProjectQuery(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('base_url', 'created_at', 'date_range', 'enabled', 'id', 'project', 'query', 'raw_id', 'splunk_connection', 'updated_at', 'use_last_crawl_date')
    base_url = sgqlc.types.Field(String, graphql_name='baseUrl')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    date_range = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='dateRange')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')
    query = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='query')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    splunk_connection = sgqlc.types.Field(SplunkConnection, graphql_name='splunkConnection')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    use_last_crawl_date = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='useLastCrawlDate')


class SplunkProjectQueryConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('SplunkProjectQueryEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(SplunkProjectQuery))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class SplunkProjectQueryEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(SplunkProjectQuery), graphql_name='node')


class Subscription(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_updated',)
    crawl_updated = sgqlc.types.Field(sgqlc.types.non_null(CrawlUpdatedPayload), graphql_name='crawlUpdated', args=sgqlc.types.ArgDict((
        ('input', sgqlc.types.Arg(sgqlc.types.non_null(CrawlUpdatedSubscriptionInput), graphql_name='input', default=None)),
))
    )


class Test(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('absolute_threshold', 'automatic_threshold_enabled', 'create_jira_ticket_on_failure', 'created_at', 'id', 'jira_ticket_custom_note', 'raw_id', 'relative_threshold', 'report_template', 'report_template_code', 'severity', 'threshold_predicate', 'threshold_type', 'updated_at')
    absolute_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='absoluteThreshold')
    automatic_threshold_enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThresholdEnabled')
    create_jira_ticket_on_failure = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='createJiraTicketOnFailure')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    jira_ticket_custom_note = sgqlc.types.Field(String, graphql_name='jiraTicketCustomNote')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    relative_threshold = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='relativeThreshold')
    report_template = sgqlc.types.Field(sgqlc.types.non_null(ReportTemplate), graphql_name='reportTemplate')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    severity = sgqlc.types.Field(sgqlc.types.non_null(Severity), graphql_name='severity')
    threshold_predicate = sgqlc.types.Field(sgqlc.types.non_null(ThresholdPredicate), graphql_name='thresholdPredicate')
    threshold_type = sgqlc.types.Field(sgqlc.types.non_null(ThresholdType), graphql_name='thresholdType')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')


class TestConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Test))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class TestEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(Test), graphql_name='node')


class TestResult(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('absolute_threshold', 'id', 'passed', 'raw_id', 'relative_threshold', 'report', 'report_percentage', 'report_template', 'report_template_code', 'report_total_rows', 'severity', 'status', 'threshold_predicate', 'threshold_type')
    absolute_threshold = sgqlc.types.Field(Int, graphql_name='absoluteThreshold')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    passed = sgqlc.types.Field(Boolean, graphql_name='passed')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    relative_threshold = sgqlc.types.Field(Int, graphql_name='relativeThreshold')
    report = sgqlc.types.Field(Report, graphql_name='report', args=sgqlc.types.ArgDict((
        ('type', sgqlc.types.Arg(sgqlc.types.non_null(ReportTypeCode), graphql_name='type', default='Basic')),
))
    )
    report_percentage = sgqlc.types.Field(Float, graphql_name='reportPercentage')
    report_template = sgqlc.types.Field(sgqlc.types.non_null(ReportTemplate), graphql_name='reportTemplate')
    report_template_code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='reportTemplateCode')
    report_total_rows = sgqlc.types.Field(Int, graphql_name='reportTotalRows')
    severity = sgqlc.types.Field(sgqlc.types.non_null(Severity), graphql_name='severity')
    status = sgqlc.types.Field(TestResultStatus, graphql_name='status')
    threshold_predicate = sgqlc.types.Field(ThresholdPredicate, graphql_name='thresholdPredicate')
    threshold_type = sgqlc.types.Field(ThresholdType, graphql_name='thresholdType')


class TestResultConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestResultEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(TestResult))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class TestResultEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(TestResult), graphql_name='node')


class TestSuiteConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestSuiteEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestSuite'))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class TestSuiteEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='node')


class TestSuiteEmailAlert(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('alert_types', 'created_at', 'email', 'id', 'raw_id', 'test_suite')
    alert_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(EmailAlertType))), graphql_name='alertTypes')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    email = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='email')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class TestSuiteEmailAlertConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestSuiteEmailAlertEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteEmailAlert))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class TestSuiteEmailAlertEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteEmailAlert), graphql_name='node')


class TestSuiteJiraIntegration(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('id', 'jira_integration', 'raw_id', 'test_suite')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    jira_integration = sgqlc.types.Field(sgqlc.types.non_null(JiraIntegration), graphql_name='jiraIntegration')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class TestSuiteJiraIntegrationConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('TestSuiteJiraIntegrationEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteJiraIntegration))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class TestSuiteJiraIntegrationEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteJiraIntegration), graphql_name='node')


class TrendReport(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_id', 'created_at', 'total_rows')
    crawl_id = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='crawlId')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    total_rows = sgqlc.types.Field(Int, graphql_name='totalRows')


class UnlinkChildTestSuiteFromParentTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('child_test_suite', 'parent_test_suite')
    child_test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='childTestSuite')
    parent_test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='parentTestSuite')


class UnlinkCustomMetricContainerFromProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_metric_container', 'project')
    custom_metric_container = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainer), graphql_name='customMetricContainer')
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')


class UnlinkJiraIntegrationFromTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite_jira_integration',)
    test_suite_jira_integration = sgqlc.types.Field(sgqlc.types.non_null(TestSuiteJiraIntegration), graphql_name='testSuiteJiraIntegration')


class UnlinkTestSuiteFromBuildSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule_test_suite',)
    build_schedule_test_suite = sgqlc.types.Field(sgqlc.types.non_null(BuildScheduleTestSuite), graphql_name='buildScheduleTestSuite')


class UpdateAdobeAnalyticsProjectReportSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('adobe_analytics_project_report_suite',)
    adobe_analytics_project_report_suite = sgqlc.types.Field(sgqlc.types.non_null(AdobeAnalyticsProjectReportSuite), graphql_name='adobeAnalyticsProjectReportSuite')


class UpdateBuildSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('build_schedule',)
    build_schedule = sgqlc.types.Field(sgqlc.types.non_null(BuildSchedule), graphql_name='buildSchedule')


class UpdateCurrentUserPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('user',)
    user = sgqlc.types.Field(sgqlc.types.non_null('User'), graphql_name='user')


class UpdateCustomChartPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_chart',)
    custom_chart = sgqlc.types.Field(sgqlc.types.non_null(CustomChart), graphql_name='customChart')


class UpdateCustomDashboardPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_dashboard',)
    custom_dashboard = sgqlc.types.Field(sgqlc.types.non_null(CustomDashboard), graphql_name='customDashboard')


class UpdateCustomTablePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('custom_table',)
    custom_table = sgqlc.types.Field(sgqlc.types.non_null(CustomTable), graphql_name='customTable')


class UpdateGoogleAnalyticsProjectViewPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_analytics_project_view',)
    google_analytics_project_view = sgqlc.types.Field(sgqlc.types.non_null(GoogleAnalyticsProjectView), graphql_name='googleAnalyticsProjectView')


class UpdateGoogleSearchConsoleConfigurationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_configuration',)
    google_search_console_configuration = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleConfiguration), graphql_name='googleSearchConsoleConfiguration')


class UpdateGoogleSearchConsolePropertyPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('google_search_console_property',)
    google_search_console_property = sgqlc.types.Field(sgqlc.types.non_null(GoogleSearchConsoleProperty), graphql_name='googleSearchConsoleProperty')


class UpdateJiraAuthenticationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_authentication',)
    jira_authentication = sgqlc.types.Field(sgqlc.types.non_null(JiraAuthentication), graphql_name='jiraAuthentication')


class UpdateJiraIntegrationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('jira_integration',)
    jira_integration = sgqlc.types.Field(sgqlc.types.non_null(JiraIntegration), graphql_name='jiraIntegration')


class UpdateLegacyTaskPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('legacy_task',)
    legacy_task = sgqlc.types.Field(sgqlc.types.non_null(LegacyTask), graphql_name='legacyTask')


class UpdateLogzioProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('logzio_project_query',)
    logzio_project_query = sgqlc.types.Field(sgqlc.types.non_null(LogzioProjectQuery), graphql_name='logzioProjectQuery')


class UpdateMajesticConfigurationPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('majestic_configuration',)
    majestic_configuration = sgqlc.types.Field(sgqlc.types.non_null(MajesticConfiguration), graphql_name='majesticConfiguration')


class UpdatePasswordPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('password_updated', 'password_validation_errors')
    password_updated = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='passwordUpdated')
    password_validation_errors = sgqlc.types.Field(sgqlc.types.list_of(sgqlc.types.non_null(String)), graphql_name='passwordValidationErrors')


class UpdateProjectPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('project',)
    project = sgqlc.types.Field(sgqlc.types.non_null('Project'), graphql_name='project')


class UpdateSchedulePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('schedule',)
    schedule = sgqlc.types.Field(sgqlc.types.non_null(Schedule), graphql_name='schedule')


class UpdateSegmentPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('segment',)
    segment = sgqlc.types.Field(sgqlc.types.non_null(Segment), graphql_name='segment')


class UpdateSplunkProjectQueryPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('splunk_project_query',)
    splunk_project_query = sgqlc.types.Field(sgqlc.types.non_null(SplunkProjectQuery), graphql_name='splunkProjectQuery')


class UpdateTestPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test',)
    test = sgqlc.types.Field(sgqlc.types.non_null(Test), graphql_name='test')


class UpdateTestResultPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_result',)
    test_result = sgqlc.types.Field(sgqlc.types.non_null(TestResult), graphql_name='testResult')


class UpdateTestSuitePayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('test_suite',)
    test_suite = sgqlc.types.Field(sgqlc.types.non_null('TestSuite'), graphql_name='testSuite')


class UpdateUrlFileUploadPayload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('url_file_upload',)
    url_file_upload = sgqlc.types.Field(sgqlc.types.non_null('UrlFileUpload'), graphql_name='urlFileUpload')


class UrlFileUpload(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('crawl_type', 'created_at', 'custom_upload_template', 'enabled', 'file_name', 'file_url', 'id', 'is_customizable', 'processing_feedback', 'raw_id', 'sample', 'status', 'total_rows', 'updated_at', 'upload_base_domain', 'url_file_upload_type')
    crawl_type = sgqlc.types.Field(sgqlc.types.non_null(CrawlTypeMetadata), graphql_name='crawlType')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    custom_upload_template = sgqlc.types.Field(JSONObject, graphql_name='customUploadTemplate')
    enabled = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='enabled')
    file_name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='fileName')
    file_url = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='fileUrl')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_customizable = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='isCustomizable')
    processing_feedback = sgqlc.types.Field(String, graphql_name='processingFeedback')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    sample = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='sample')
    status = sgqlc.types.Field(sgqlc.types.non_null(UrlFileUploadStatus), graphql_name='status')
    total_rows = sgqlc.types.Field(Int, graphql_name='totalRows')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    upload_base_domain = sgqlc.types.Field(String, graphql_name='uploadBaseDomain')
    url_file_upload_type = sgqlc.types.Field('UrlFileUploadType', graphql_name='urlFileUploadType')


class UrlFileUploadConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UrlFileUploadEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(UrlFileUpload))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class UrlFileUploadEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(UrlFileUpload), graphql_name='node')


class UrlFileUploadType(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'crawl_type', 'id', 'is_custom', 'name', 'raw_id', 'upload_template')
    code = sgqlc.types.Field(sgqlc.types.non_null(ProjectUploadType), graphql_name='code')
    crawl_type = sgqlc.types.Field(sgqlc.types.non_null(CrawlTypeMetadata), graphql_name='crawlType')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    is_custom = sgqlc.types.Field(Boolean, graphql_name='isCustom')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    upload_template = sgqlc.types.Field(JSONObject, graphql_name='uploadTemplate')


class UrlRewriteRule(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('case_option', 'match_from', 'rewrite_to')
    case_option = sgqlc.types.Field(UrlRewriteCaseOption, graphql_name='caseOption')
    match_from = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='matchFrom')
    rewrite_to = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rewriteTo')


class UrlSampling(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('name', 'regex_pattern', 'sample_percentage')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')
    regex_pattern = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='regexPattern')
    sample_percentage = sgqlc.types.Field(sgqlc.types.non_null(Float), graphql_name='samplePercentage')


class User(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('accounts', 'accounts_users', 'adobe_connections', 'created_at', 'email', 'first_name', 'google_connections', 'id', 'job_title', 'last_name', 'logzio_connections', 'overall_limit_levels_max', 'overall_limit_pages_max', 'permissions', 'raw_id', 'splunk_connections', 'sso_client_id', 'terms_agreed', 'updated_at', 'user_keys', 'username')
    accounts = sgqlc.types.Field(sgqlc.types.non_null(AccountConnection), graphql_name='accounts', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(AccountConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(AccountOrder)), graphql_name='orderBy', default=None)),
))
    )
    accounts_users = sgqlc.types.Field(sgqlc.types.non_null(AccountUserConnection), graphql_name='accountsUsers', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    adobe_connections = sgqlc.types.Field(sgqlc.types.non_null(AdobeConnectionConnection), graphql_name='adobeConnections', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(AdobeConnectionConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(AdobeConnectionOrder)), graphql_name='orderBy', default=None)),
))
    )
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    email = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='email')
    first_name = sgqlc.types.Field(String, graphql_name='firstName')
    google_connections = sgqlc.types.Field(sgqlc.types.non_null(GoogleConnectionConnection), graphql_name='googleConnections', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    job_title = sgqlc.types.Field(String, graphql_name='jobTitle')
    last_name = sgqlc.types.Field(String, graphql_name='lastName')
    logzio_connections = sgqlc.types.Field(sgqlc.types.non_null(LogzioConnectionConnection), graphql_name='logzioConnections', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LogzioConnectionConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LogzioConnectionOrder)), graphql_name='orderBy', default=None)),
))
    )
    overall_limit_levels_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='overallLimitLevelsMax')
    overall_limit_pages_max = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='overallLimitPagesMax')
    permissions = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Permission))), graphql_name='permissions')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    splunk_connections = sgqlc.types.Field(sgqlc.types.non_null(SplunkConnectionConnection), graphql_name='splunkConnections', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(SplunkConnectionConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(SplunkConnectionOrder)), graphql_name='orderBy', default=None)),
))
    )
    sso_client_id = sgqlc.types.Field(String, graphql_name='ssoClientId')
    terms_agreed = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='termsAgreed')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    user_keys = sgqlc.types.Field(sgqlc.types.non_null('UserKeyConnection'), graphql_name='userKeys', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(UserKeyConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(UserKeyOrder)), graphql_name='orderBy', default=None)),
))
    )
    username = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='username')


class UserAgent(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('code', 'name')
    code = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='code')
    name = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='name')


class UserKey(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('created_at', 'id', 'secret', 'updated_at', 'user')
    created_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='createdAt')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    secret = sgqlc.types.Field(String, graphql_name='secret')
    updated_at = sgqlc.types.Field(sgqlc.types.non_null(DateTime), graphql_name='updatedAt')
    user = sgqlc.types.Field(sgqlc.types.non_null(User), graphql_name='user')


class UserKeyConnection(sgqlc.types.relay.Connection):
    __schema__ = deepcrawl_schema
    __field_names__ = ('edges', 'nodes', 'page_info', 'total_count')
    edges = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null('UserKeyEdge'))), graphql_name='edges')
    nodes = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(UserKey))), graphql_name='nodes')
    page_info = sgqlc.types.Field(sgqlc.types.non_null(PageInfo), graphql_name='pageInfo')
    total_count = sgqlc.types.Field(sgqlc.types.non_null(Int), graphql_name='totalCount')


class UserKeyEdge(sgqlc.types.Type):
    __schema__ = deepcrawl_schema
    __field_names__ = ('cursor', 'node')
    cursor = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='cursor')
    node = sgqlc.types.Field(sgqlc.types.non_null(UserKey), graphql_name='node')


class Project(sgqlc.types.Type, BaseProject):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'adobe_analytics_project_report_suite', 'alert_setting', 'core_uiurl', 'crawl_types', 'crawls', 'custom_metric_containers', 'google_analytics_project_view', 'google_search_console_configuration', 'google_search_console_properties', 'has_test_site_password', 'id', 'last_finished_crawl', 'legacy_tasks', 'location', 'logzio_project_queries', 'majestic_configuration', 'mobile_user_agent', 'raw_id', 'raw_trends', 'schedule', 'segments', 'sitemaps', 'splunk_project_queries', 'trends', 'url_file_uploads', 'user_agent')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    adobe_analytics_project_report_suite = sgqlc.types.Field(AdobeAnalyticsProjectReportSuite, graphql_name='adobeAnalyticsProjectReportSuite')
    alert_setting = sgqlc.types.Field(sgqlc.types.non_null(AlertSetting), graphql_name='alertSetting')
    core_uiurl = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='coreUIUrl')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(CrawlType))), graphql_name='crawlTypes')
    crawls = sgqlc.types.Field(sgqlc.types.non_null(CrawlConnection), graphql_name='crawls', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CrawlConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CrawlOrder)), graphql_name='orderBy', default=None)),
))
    )
    custom_metric_containers = sgqlc.types.Field(sgqlc.types.non_null(CustomMetricContainerConnection), graphql_name='customMetricContainers', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(CustomMetricContainerConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(CustomMetricContainerOrder)), graphql_name='orderBy', default=None)),
))
    )
    google_analytics_project_view = sgqlc.types.Field(GoogleAnalyticsProjectView, graphql_name='googleAnalyticsProjectView')
    google_search_console_configuration = sgqlc.types.Field(GoogleSearchConsoleConfiguration, graphql_name='googleSearchConsoleConfiguration')
    google_search_console_properties = sgqlc.types.Field(GoogleSearchConsolePropertyConnection, graphql_name='googleSearchConsoleProperties', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(GoogleSearchConsolePropertyOrder)), graphql_name='orderBy', default=None)),
))
    )
    has_test_site_password = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasTestSitePassword')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    last_finished_crawl = sgqlc.types.Field(Crawl, graphql_name='lastFinishedCrawl')
    legacy_tasks = sgqlc.types.Field(sgqlc.types.non_null(LegacyTaskConnection), graphql_name='legacyTasks', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LegacyTaskConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LegacyTaskOrder)), graphql_name='orderBy', default=None)),
))
    )
    location = sgqlc.types.Field(sgqlc.types.non_null(Location), graphql_name='location')
    logzio_project_queries = sgqlc.types.Field(sgqlc.types.non_null(LogzioProjectQueryConnection), graphql_name='logzioProjectQueries', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(LogzioProjectQueryConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(LogzioProjectQueryOrder)), graphql_name='orderBy', default=None)),
))
    )
    majestic_configuration = sgqlc.types.Field(MajesticConfiguration, graphql_name='majesticConfiguration')
    mobile_user_agent = sgqlc.types.Field(UserAgent, graphql_name='mobileUserAgent')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    raw_trends = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(JSONObject))), graphql_name='rawTrends', args=sgqlc.types.ArgDict((
        ('report_template_codes', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='reportTemplateCodes', default=None)),
        ('trend_limit', sgqlc.types.Arg(sgqlc.types.non_null(Int), graphql_name='trendLimit', default=30)),
))
    )
    schedule = sgqlc.types.Field(Schedule, graphql_name='schedule')
    segments = sgqlc.types.Field(SegmentConnection, graphql_name='segments', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(SegmentConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(SegmentOrder)), graphql_name='orderBy', default=None)),
))
    )
    sitemaps = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(Sitemap))), graphql_name='sitemaps')
    splunk_project_queries = sgqlc.types.Field(sgqlc.types.non_null(SplunkProjectQueryConnection), graphql_name='splunkProjectQueries', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(SplunkProjectQueryConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(SplunkProjectQueryOrder)), graphql_name='orderBy', default=None)),
))
    )
    trends = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(ProjectTrend))), graphql_name='trends', args=sgqlc.types.ArgDict((
        ('report_template_codes', sgqlc.types.Arg(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(String))), graphql_name='reportTemplateCodes', default=None)),
        ('trend_limit', sgqlc.types.Arg(sgqlc.types.non_null(Int), graphql_name='trendLimit', default=30)),
))
    )
    url_file_uploads = sgqlc.types.Field(sgqlc.types.non_null(UrlFileUploadConnection), graphql_name='urlFileUploads', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(UrlFileUploadConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )
    user_agent = sgqlc.types.Field(UserAgent, graphql_name='userAgent')


class TestSuite(sgqlc.types.Type, BaseProject):
    __schema__ = deepcrawl_schema
    __field_names__ = ('account', 'automatic_threshold', 'automatic_threshold_enabled_for_all', 'builds', 'children', 'cloned_at', 'core_uiurl', 'crawl_types', 'email_alerts', 'has_site_test_pass', 'has_test_site_password', 'id', 'location', 'parent', 'parent_linked_at', 'raw_id', 'slack_webhooks', 'test_suite_jira_integration', 'tests', 'url_file_uploads')
    account = sgqlc.types.Field(sgqlc.types.non_null(Account), graphql_name='account')
    automatic_threshold = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThreshold')
    automatic_threshold_enabled_for_all = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='automaticThresholdEnabledForAll')
    builds = sgqlc.types.Field(sgqlc.types.non_null(BuildConnection), graphql_name='builds', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(BuildConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(BuildOrder)), graphql_name='orderBy', default=None)),
))
    )
    children = sgqlc.types.Field(TestSuiteConnection, graphql_name='children', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestSuiteConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteOrder)), graphql_name='orderBy', default=None)),
))
    )
    cloned_at = sgqlc.types.Field(DateTime, graphql_name='clonedAt')
    core_uiurl = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='coreUIUrl')
    crawl_types = sgqlc.types.Field(sgqlc.types.non_null(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteCrawlType))), graphql_name='crawlTypes')
    email_alerts = sgqlc.types.Field(TestSuiteEmailAlertConnection, graphql_name='emailAlerts', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestSuiteEmailAlertOrder)), graphql_name='orderBy', default=None)),
))
    )
    has_site_test_pass = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasSiteTestPass')
    has_test_site_password = sgqlc.types.Field(sgqlc.types.non_null(Boolean), graphql_name='hasTestSitePassword')
    id = sgqlc.types.Field(sgqlc.types.non_null(ObjectID), graphql_name='id')
    location = sgqlc.types.Field(sgqlc.types.non_null(Location), graphql_name='location')
    parent = sgqlc.types.Field('TestSuite', graphql_name='parent')
    parent_linked_at = sgqlc.types.Field(DateTime, graphql_name='parentLinkedAt')
    raw_id = sgqlc.types.Field(sgqlc.types.non_null(String), graphql_name='rawID')
    slack_webhooks = sgqlc.types.Field(SlackWebhookConnection, graphql_name='slackWebhooks', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(SlackWebhookOrder)), graphql_name='orderBy', default=None)),
))
    )
    test_suite_jira_integration = sgqlc.types.Field(TestSuiteJiraIntegration, graphql_name='testSuiteJiraIntegration')
    tests = sgqlc.types.Field(sgqlc.types.non_null(TestConnection), graphql_name='tests', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(TestConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
        ('order_by', sgqlc.types.Arg(sgqlc.types.list_of(sgqlc.types.non_null(TestOrder)), graphql_name='orderBy', default=None)),
))
    )
    url_file_uploads = sgqlc.types.Field(sgqlc.types.non_null(UrlFileUploadConnection), graphql_name='urlFileUploads', args=sgqlc.types.ArgDict((
        ('after', sgqlc.types.Arg(String, graphql_name='after', default=None)),
        ('before', sgqlc.types.Arg(String, graphql_name='before', default=None)),
        ('filter', sgqlc.types.Arg(UrlFileUploadConnectionFilterInput, graphql_name='filter', default=None)),
        ('first', sgqlc.types.Arg(Int, graphql_name='first', default=15)),
        ('last', sgqlc.types.Arg(Int, graphql_name='last', default=None)),
))
    )



########################################################################
# Unions
########################################################################
class Entity(sgqlc.types.Union):
    __schema__ = deepcrawl_schema
    __types__ = (Account, AdobeAnalyticsProjectReportSuite, AdobeConnection, Build, BuildSchedule, BuildScheduleRun, BuildScheduleTestSuite, Crawl, CrawlSetting, CrawlTypeMetadata, CustomChart, CustomDashboard, CustomMetricContainer, CustomMetricContainerVersion, CustomTable, GoogleAnalyticsProjectView, GoogleConnection, GoogleSearchConsoleProperty, JiraAuthentication, JiraIntegration, LegacyTask, Location, LogzioConnection, LogzioProjectQuery, Project, Report, ReportDownload, ReportTemplate, Schedule, Segment, SlackWebhook, SplunkConnection, SplunkProjectQuery, Test, TestResult, TestSuite, TestSuiteEmailAlert, TestSuiteJiraIntegration, UrlFileUpload, UrlFileUploadType, User)


class ReportRow(sgqlc.types.Union):
    __schema__ = deepcrawl_schema
    __types__ = (CrawlDuplicateUrl, CrawlHreflangs, CrawlLink, CrawlLinkedDomain, CrawlSitemap, CrawlUncrawledUrl, CrawlUniqueLink, CrawlUrl, CrawlWebCrawlDepth)



########################################################################
# Schema Entry Points
########################################################################
deepcrawl_schema.query_type = Query
deepcrawl_schema.mutation_type = Mutation
deepcrawl_schema.subscription_type = Subscription

